commit d8f6decce75ef550868896208f417e96ec30d23b
Author: Marcel Schnirring <ms@marcel-schnirring.de>
Date:   Sat Dec 31 14:27:59 2016 +0100

    playlist: added column date to detailed view (fixes #14926)
    
    Adds functionality to sort playlists by date within Qt interface.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a5aee64cc830fabba54b845af13bfa5d78029cc0
Author: Marcel Schnirring <ms@marcel-schnirring.de>
Date:   Sat Dec 31 14:27:58 2016 +0100

    core: added sort by date (prepare for playlist fix)
    
    Prepares the core to allow sorting playlists by date.
    Further, sorting by artist now decides the order of equal entries via publish date and album.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit d10557df3b558edde19996882c0ae78548d8ca6b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 31 14:43:24 2016 +0200

    cdda: handle GNOME cdda: URLs (fixes #9654)

commit 5969a43e312c3ea4762cc78430d1448f97392622
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 30 17:11:23 2016 +0100

    upnp: Use ItemDescriptionHolder to parse container descriptions
    
    Fix #17828

commit d9bd0b6598c1b5ad219ec1ae3d48c53149323c37
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 30 17:02:28 2016 +0100

    upnp: Move ItemDescriptionHolder declaration earlier in the file

commit c1d3aecac6f605295ffa88085da33bbff7fdc7f2
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 30 17:00:27 2016 +0100

    waveout: Kill warning

commit 8c295c79d404841bbe66c35d9916e8e8f9be3cfb
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 30 15:02:11 2016 +0100

    freetype: Makefile: Don't link with libc++ when unrequired
    
    Fix #17827

commit 9e393d0a452e150f739bbd5bfdd95426d6c4665f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Dec 30 14:11:08 2016 +0100

    freetype: Makefile: Group win32 parts together

commit b78dcd6b3703064aeb324bc896f4bf6e3128b2a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 30 16:15:50 2016 +0200

    demux/playlist: get metadata from stream

commit 557ad540a427c5b0613c0a5bdf028676f4962f48
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 30 16:05:48 2016 +0200

    cdda: implement STREAM_GET_META control
    
    (Unfortunately, this does not seem to be actually called.)

commit c2f488d042cf5ca8d8a062b834375c5ad4f97530
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 30 15:47:17 2016 +0200

    cdda: implement pf_readdir (fixes #4630)

commit 85249e79ad7882a9607a57b300162ee16df4fcb3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 30 13:40:55 2016 +0200

    cdda: retain CDDB and CD-TEXT data (refs #4630)

commit b9635a719f4c74582627933caf43caa842dbce49
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 30 15:15:36 2016 +0200

    cdda: missing parenthesis

commit 52259bffe2d74b46e61f31dae3c9e118a823f174
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 30 13:27:38 2016 +0100

    demux: hevc: fix probing on PREF_SEI

commit a731c32de358541ee043806af5d053414f6f26ca
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 30 13:16:59 2016 +0200

    cdda: potentially missing initializer

commit 5be75ee79d742324d95df259c2e683e178fe92fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 30 12:31:10 2016 +0200

    cdda: factor common open code

commit facd1712df4c6aa649f892fa1f1496c0545b33ab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 29 22:44:05 2016 +0100

    decoder: svg: ifdef deprecated api

commit ad76af9b57ac6e9ab1cf9354b67cb7ca6c7377d3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 29 15:55:20 2016 +0100

    text_renderer: svg: rework
    
    Drops legacy code, local chroma conversion.
    Shrinks regions instead of fixed size/viewport.
    Allows multiline.
    Fixes unsafe template.

commit d9961de0126a54ee549107e21f0a9bb5f1a532b3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 16:30:38 2016 +0100

    gui: qt: Fix build with Qt4

commit 9a50de6670848becc6a18dcb93b8fd01e0d9c9f6
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 16:13:36 2016 +0100

    dwrite: Fix inverted logic
    
    We need to print the error on WinRT only since we don't have a fallback.
    On desktop, it's ok to fail, especially since it will fail on < Win8.1

commit 3c176c53539a45979c995d8fe4a1f68da66e00c4
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 16:04:10 2016 +0100

    dwrite: Remove useless variable

commit f5afa36da43f765cc9db2981d052b227f54d9067
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 16:01:50 2016 +0100

    dwrite: Reduce errors verbosity
    
    Some failures can be expected depending on the OS version and would spam
    the user

commit d824855c5d53e34b160514634610397fb201f069
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 14:32:15 2016 +0100

    qt: main_intf_win32: Remove useless cpp checks

commit 2c8fd86a3d146dde54ef9769aa405cd24ac07e9e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 14:30:29 2016 +0100

    qt: Make main_interface_win32 a subclass of main_interface

commit 9841b74fc4348012a9124b89f787333ebced34ab
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 29 14:54:08 2016 +0100

    vout/opengl: fix picture leak in case of error

commit 0a6a1f6dbec0e63b58d052e28ca0a5eadd56dbec
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 29 14:05:06 2016 +0100

    vout/ios2: add missing vlc_gl_MakeCurrent()/vlc_gl_ReleaseCurrent()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 21548d7e3db3e8537a95611da3f5a6ac66673949
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 29 14:07:58 2016 +0100

    iOS2: fix compilation

commit 838ed46a2d32e08328af62025a1a80dcc7d6a1ee
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 29 13:55:35 2016 +0100

    vout/ios2: add missing OpenglESNoop

commit 0486aecc1913cc77358cbe37be862813a060516e
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Dec 28 17:45:25 2016 +0100

    vout/macosx: Ensure context exists when calling vout_display_opengl_New
    
    vout_display_opengl_New seems to require a valid context, therefore we
    need to vlc_gl_MakeCurrent before calling it and release it again
    afterwards.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1117ff946a67dfaae27a21b54e2dc679bb500e23
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Dec 28 17:45:24 2016 +0100

    opengl: Replace vlc_gl_Destroy in macosx, glwin32, caopengllayer vouts
    
    Some vouts like macosx and glwin32 do not use vlc_gl_Create to create a
    vlc_gl_t, and set no module but vlc_gl_Destroy expects that a module is
    set and will therefore fail for these vouts.
    
    This commit replaces vlc_gl_Destroy in these vouts with direct calls to
    vlc_object_release.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 81bb144b0316d5e62757e54477481ecfce9e1b6b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 29 13:43:33 2016 +0100

    vout/ios2: fix vlc_gl_t creation

commit 7d5370679e7c2af711d2e7a2431770a5e9bde569
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 11:32:47 2016 +0100

    qt: preferences: Always use a combobox for resume playback
    
    Using a checkbox would force the value back to 0/1 when saving the
    simple preferences, while it can be set to 2 from advanced preferences.
    This also moves this setting out of the Privacy/Network interactions
    category, as it doesn't belong there
    
    Fix #17061

commit 44cf24579a0aa2534959750dddce6272a4461092
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 10:35:25 2016 +0100

    main_interface_win32: Adapt taskbar buttons based on the playlist
    
    Fix #10429

commit 2068e2f6f69aef3f950757644e95ed9d78f48ab9
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 27 17:28:58 2016 +0100

    directsound: Fix volume range
    
    Setting an integer limit on a float will yield UB when trying to clamp
    the volume within its given range.
    Fix #17659

commit b7a2ed7c23ba555797ca284e1a8425a7387e4a62
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 09:35:24 2016 +0100

    main_interface_win32: Display the taskbar buttons upon creation if required
    
    fix #6868

commit 88a6650274e2a46f89427fffee5a91a1060d0d92
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 29 09:29:57 2016 +0100

    core/picture: add null check

commit 04335a2fdf70cd33995afe081c0cf004ef39d6cd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 29 09:29:22 2016 +0100

    core/picture: use visible size in picture_Export
    
    Fix #16789

commit 345754bdf1f0a17544106f11321fc2043f45a4f8
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 28 17:16:37 2016 +0100

    main_interface_win32: Use the video as thumbnail image
    
    Or the full interface when no video is playing

commit 0f9a6c411211a69210f4e34882ac59c749f1c29b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 28 16:58:31 2016 +0100

    main_interface_win32: Fix play/pause button not being updated
    
    The buttons are created upon the main intf winID, so we need to update
    the buttons with the same winID as parameter

commit 691dbca5616b9140e7f5f3907c389dba90f55686
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 28 16:42:20 2016 +0100

    main_interface: Don't silently ignore failure to register a message

commit 494d36c4102dd9c55af868494daceb2bd18180c0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 28 16:41:23 2016 +0100

    main_interface_win32: Fix missing taskbar icons
    
    Fix #14003

commit b2ebaf3c4a063ba0d9647d5302720d0390015f9e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 28 13:38:18 2016 +0100

    Qt: EPG: change program using epg events

commit cee004987d82f2aabbc37c7236005c0901604fad
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 28 12:16:59 2016 +0100

    Qt: EPG: use epgtime for timeline
    
    removes last use of system time for epg ui

commit c6b4ff82a82e5d1a3f718d60f46910e9195179f8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 28 11:12:25 2016 +0100

    Qt: EPG: clear epg on input change

commit f4eed3ff803ff67f9114b71b21f6bc3769cad19c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 27 23:24:30 2016 +0100

    demux: ts: improve default event picking
    
    on missing running state

commit cb15c171a9ccb81864388fb9520b0ca622f075c9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 27 19:25:30 2016 +0100

    es_out: use only channel name for epg

commit 5b269e2292fe60104750d35db8541e5768a065af
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 27 18:47:20 2016 +0100

    vout: show empty epg
    
    always give visual feedback on hotkey

commit c9383327fc54db4a7be0a2bd04c2bad35c07403c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 27 16:40:32 2016 +0100

    vout: epg: use epg_time instead of system clock time

commit c86f386639a9b198baf47e53dcd0f62ed6903065
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 27 15:35:01 2016 +0100

    es_out: add ES_OUT_SET_EPG_TIME
    
    Because EIT time/date is not correlated to PCR,
    GET_TIME (relative) or current time(),
    time base must be the one provided by SI tables. (TOT/TDT)

commit 003443e038aec8944da79e98c77e22aa6e07b638
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 27 15:52:17 2016 +0100

    input: add input_item_SetEpgTime

commit e22bb098f46e48b6512a1cc26e9a5747915b47f5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 27 14:42:11 2016 +0100

    vout: use current table info for epg

commit e25885c16d2c6614bea41a0bceb942ce9d4db4bf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 27 14:41:41 2016 +0100

    input: item: point to store current epg table

commit 846fb7c2f2d14c118dae21e817c948cab5ce68a2
Author: Julian Scheel <julian@jusst.de>
Date:   Wed Dec 28 09:01:03 2016 +0100

    aout: Do not try to resample without filter
    
    If no resampling filter is available it makes no sense to try to
    resample the audio to compensate for a clock drift. This avoids two
    warnings for each call of aout_DecSynchronize, because it tries to start
    resampling just to stop it immediately because no filter is available.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit ba9689033cd471536efb0d030e08f4f13beb6bdb
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 27 19:02:34 2016 +0100

    qt: controller: Only react to external fullscreen changes
    
    And assume the playlist's "fullscreen" variable to be the reference
    value.
    Fix #17054

commit eea941425cc9a463841042627bf9d52ef1979a1c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 27 18:34:04 2016 +0100

    qt: controller: Don't connect the controller and MIM in a loop
    
    This ends up connecting the 2 way too many times

commit dcebe0134ffdf03cae4b702a9027b8278be6266b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 27 10:15:48 2016 +0100

    VT: only apply macOS flags to macOS

commit 81b08e0c7987b80c9377bede27849ff3857bfa01
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 26 18:33:53 2016 +0100

    packetizer: h264: keep container color profile

commit 9e42fda609c7c757b4e80bc7410a93ce06643c0d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 26 17:45:39 2016 +0100

    demux: hxxx: add ARIB STD_B67 define
    
    Valid for HEVC

commit 4c85645838a12653f270667722f05ff714e648f5
Author: Frank Praznik <frank.praznik@gmail.com>
Date:   Wed Dec 21 14:04:02 2016 -0500

    Use QT file browser functions which return URLs when possible.
    
    The getOpenFileNames() and getSaveFileName() methods of QFileDialog only work
    on local paths and return a blank string if the dialog is used to select a
    remote file (e.g., on a Samba share).  As of Qt 5.2 the QFileDialog class
    provides the methods getOpenFileUrls() and getSaveFileUrl() that return QUrl
    objects which can contain URLs to remote paths.  Use these methods when an
    appropriate version of the Qt libraries are available so that the paths to
    remote files are returned correctly when selected via the various file
    selection dialogs.
    
    Signed-off-by: Frank Praznik <frank.praznik@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5bf3ee01298253707bd8f780b54b216ed79a8108
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 6 10:13:25 2016 +0100

    codec: vpx: copy the source projection metadata into the output
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fc633fdc6cb174a50035dc9ca1a55ea021532219
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 6 10:13:24 2016 +0100

    codec: avcodec: copy the source pose into the output
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e084d7990f6dd370b88f51f183b503e1097241bd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 22:58:03 2016 +0100

    demux: libasf: change peek type

commit 07052dd229997b5d5b8856f472378533218847bb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 22:24:58 2016 +0100

    demux: libasf: strings conversion can fail
    
    And drops empty string hack

commit adefef571ef3f8848fd42334fe5391d9ffda72fe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 22:23:38 2016 +0100

    demux: libasf: fix read overflow
    
    on 32bits SIZE_T

commit e50f75173bf700567db2bda60aeab89a13a1544b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 22:25:48 2016 +0100

    demux: libasf: change size type in helpers

commit c395028c8f867797a451152d7ad9fa542b7dc05f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 22:05:24 2016 +0100

    demux: libasf: fix integer overflow
    
    and read overflow on usage

commit 681ff38f7766568843e11a4e05744edb5f0d45c2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 22:03:37 2016 +0100

    demux: libasf: fix saved struct size

commit 9e2543f50dbdb036cf80ca39a3690b037c416663
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 21:38:15 2016 +0100

    demux: libasf: fix unchecked allocs/charset conversion

commit b948167ad2a6cb8ee097bfc0a913f6d4cdd2ed05
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 18:14:33 2016 +0100

    avcodec: add missing color xfer mappings

commit 8fb43520e3056225381cabf500e228c01a1f1318
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 17:58:36 2016 +0100

    packetizer: vc1: handle color spaces

commit 5d7129ac309e09b68027ec805d74f7f8268b7873
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 17:57:48 2016 +0100

    vlc_es: add BT470 and smpte240 xfer functions and more aliases

commit d51ff97d79acc9cee26acf731bc8d17c4a36a73a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 17:38:15 2016 +0100

    vlc_es: add FCC1953/BT470 System M color primary and more aliases

commit 7cb36e8af8014f2b7e00934ea36581dda21f3312
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 18:54:35 2016 +0100

    es_out: add array guards

commit 34ddbe467ec03a677e9f5c4467284a56e45d27f5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 18:48:38 2016 +0100

    es_out: fix read overflow

commit 61b4b3c619c978b5528270ee2dab0354bc796e8f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 25 18:43:59 2016 +0100

    vlc_es: remove translated strings
    
    Useless

commit 0b8974f484370cd3853c035fa3e16a25622354d7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 23 17:42:28 2016 +0100

    packetizer: mlp: fix endless loop

commit 51f706c72c82960dd36e3ed609e8f2bb5e7830e6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 23 17:42:12 2016 +0100

    packetizer: dts: fix endless loop

commit 1151319244f73ca746dd23871788841dd29f37fb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 23 17:35:20 2016 +0100

    packetizer: a52: fix endless loop
    
    On flush, we need to make sure there is enough frame data
    available otherwise data is never dequeued and we push only
    uninitialized buffer to decoder. (as we do not check
    GetBytes's return code)
    
    refs streams/ts/transport_error.ts

commit 1dc200b295d6dba4d8622beb700bb64a188cd327
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 23 12:34:19 2016 +0100

    share/icons: update xmas cone
    
    old cone inconsistency

commit 23d17364b6bab8a60614623bd9f30c780d96348b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 22 22:04:00 2016 +0200

    globalhotkeys/xcb: fix leak on error

commit edc3e0ba61a270651cff4ba4ae773e1d28bfcc30
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 22 22:03:33 2016 +0200

    globalhotkeys/xcb: fix memory leaks

commit 6b65b31e3bf39ff6dc50a5ed5a39731d5cd05d17
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 22 20:13:35 2016 +0100

    Contribs: use netcologne mirror instead of heanet

commit 189a70a31092fd7f3a2249e7b3aca2ef1f2135ec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 22 19:50:02 2016 +0100

    MKV: don't shout in debug messages for Chapters

commit b78a7ea1ad564f77b8067b1bd45bf3cbd7203ffc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 22 16:12:14 2016 +0100

    demux: ts: rework scrambling check

commit dd12f84ea33f10b38d39bb8b686fdc50c1a2c2e4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 22 15:58:18 2016 +0100

    demux: ts: don't pass corrupted packets to sections handler

commit e9b9ab2add7a5ca56569996cbe183d538aa36320
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 22 15:45:26 2016 +0100

    demux: ts: sections: remove packet size check

commit 05413606fabf70214e9fa19e8636dc755531b51c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 21 18:13:27 2016 +0100

    demux: ts: rework the corrupted/discontinuity/duplicate handling
    
    So we stop parsing known corrupted headers for timestamps
    and drop duplicates for psi sections

commit 091b14d05e6623053d75b3d03cbf013769eb9a26
Author: Petter Reinholdtsen <pere@hungry.com>
Date:   Wed Oct 26 20:47:51 2016 +0200

    vlc.desktop: announce support for DVD ISOs
    
    When using KDE and the graphical file managers dolphin and konqueror,
    vlc is not listed as an option to open a DVD ISO.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e49b4cafd6793003bace8e11215b432c5e745eb5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 22 17:24:46 2016 +0100

    avcodec/audio: fix inconsistent sample rate
    
    The sample rate was only initialized during opening because the
    (fmt_out.audio.i_rate != ctx->sample_rate) check was always false after the
    SetupOutputFormat() call. To fix this issue, move SetupOutputFormat() after a
    successfull call to avcodec_receive_frame() and after the date_Init() check.

commit e7447cc057cc41a8183af25bd0112be3bf4ce1c9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 22 17:23:03 2016 +0100

    avcodec/audio: fix frame leak in case of drop

commit 95b7bf976a0970b605ece61e8c4a951e555404f6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 17:41:12 2016 +0100

    compat: ffsll use long long int as argument
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 368f85d56c5c5d80373d6870f6f8e98b656a79f3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 22 15:43:37 2016 +0100

    contribs: mpg123: put back libm patch

commit 71089d390f1a2bbcfe1645fcedd54e06e30b4b61
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 22 13:36:45 2016 +0100

    demux: ts: early reject corrupted packets
    
    There's no way to know if any of the bits is valid.
    We can't even flag pid with corrupted/discontinuity
    as its number can also be corrupted.

commit d9d6a959409396978cea58d63df51d75d8c92fae
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 22 13:36:23 2016 +0100

    demux: ts: reject incorrect sized packets

commit 808bf7cb142f4101c63de16e9a3343b9edfbb200
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 22 11:39:45 2016 +0100

    Qt: missing lock in infos panel update
    
    crashes on heavy/frequent updates

commit 13ab9e838815942b2f0844ba977d01aa8337a8d2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 21 18:22:23 2016 +0100

    demux: ts: move away SI callbacks debugs

commit 634cd2e0e3d26237c47a11d752ec16e312ddc491
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Dec 21 22:01:12 2016 +0100

    macosx: Move diagnostic ignore in VLCFSPanelController
    
    This moves the partial availability ignore to a better position.

commit 8f71f55d3b78799c4fc6ee1c103ffe216be4b6c6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 21:22:07 2016 +0100

    Configure Obj-C to fail with partial-availability
    
    This is quite drastic but will avoid some silent failures on old OS X
    versions, like 10.7
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b3a22f5abb99dcb25f0f425e000e18a913100cf6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 21:21:40 2016 +0100

    macOS: disable warnings around Slider.isVertical
    
    This is temporary, until we find a better solution
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1fbcaed5fc2293e4278d73abd497cfe40b8afcad
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 21:21:53 2016 +0100

    macOS: disable warnings for FSPanelController
    
    Some drawing directives are too new, this code needs review and fixes
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 60afd8a149ad6f629ff108ba5fb862ca487dc911
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 21:22:02 2016 +0100

    macOS: statusbar do not warn about modern selectors for visibility
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9b0e91db2c9c4dcafcb245f096704d016d57b196
Author: Jean-Baptiste Kempf <jb@lunya.local>
Date:   Wed Dec 21 21:13:48 2016 +0100

    macOS: playlist, do not silently call objectAtIndexedSubscript
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6556301c86849384c41cb5ec408820325b4fb7b9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 21:21:21 2016 +0100

    macOS: OpenWindow, do not silently call objectAtIndexedSubscript
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7398f5f15680400f71b176eb88d04e60251375ab
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 21:21:13 2016 +0100

    macOS: DialogProvider, do not silently call objectAtIndexedSubscript
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 354e17c871e3deffdcd01cc9b7f5cf859e734d09
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Sep 9 15:58:23 2016 +0200

    macosx: Fix more weak NSWindow references
    
    Weak NSWindow references are not allowed on 10.7,
    and will lead to runtime crashes.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b630e409cde85bb968241bfddda6777c2ebacb55
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:23:36 2016 +0100

    macOS vout: do not warn about modern selectors
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e86f5a8de0dcafcc67950e10638cd4ac9a713b17
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:23:28 2016 +0100

    macOS vout: correctly redefine missing SDK declarations
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fb706bcc9f061c614ce68150bfe0f6f19a6cd9b6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:23:24 2016 +0100

    NSSpeech: do not silently call objectAtIndexedSubscript and objectForKeyedSubscript
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b755f6990faa9ea446cccc73a4756f2a2e805b14
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:23:21 2016 +0100

    Bonjour: do not silently call objectAtIndexedSubscript and objectForKeyedSubscript
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 594296276fd73bd40fc45ad5cf50570495f16e39
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:23:15 2016 +0100

    os_notification has an OS target of 10.8
    
    All the NSUser* classes are 10.8; but the rest of the code, using Growl,
    should still work in 10.7. The runtime checks seems correct for 10.7.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a9423a96267f21229fd50e88d2f82a9d9cc40f4e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:23:05 2016 +0100

    Keychain: do not silently call objectAtIndexedSubscript
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c8fa954d257fd177d4a81069431b771919d33e87
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:22:54 2016 +0100

    Keychain: check osx version at runtime to avoid impossible properties
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c30f4c6b0c22aa3c1288c10c2762cc82b1baab76
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:22:47 2016 +0100

    Videotoolbox: fix compilation for 10.8
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1c35b300b5fd24343d7c16520286ec26a791c7a9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:22:41 2016 +0100

    Videotoolbox has an OS target of 10.8
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 286bf0fc49aa69a9ebf6b26a222acab6ea3b0976
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 20:22:19 2016 +0100

    AVcapture: do not silently call objectAtIndexedSubscript
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b674cab22fe6da8939c8779747a4ec16c56a04c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 21 18:07:27 2016 +0100

    contribs: mpg123: update to 1.23.8

commit 5e7335e294e1f26c8e70eddcd1b819bc6b46519b
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Dec 21 17:02:55 2016 +0100

    macosx: Remove unused interface builder plugin

commit 6fca9f1489ff97fb5722baceeffa451efffddae3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 21 16:20:17 2016 +0100

    demux/mp4: fix null-deref when FromCharset() fails
    
    FromCharset() can return NULL in case of error.
    
    This fixes a regression introduced by 810539f.

commit 7d2c0123d6b895ddfafcef44fb39ae7e7ad7ae62
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 21 13:58:12 2016 +0100

    demux: ts: fix regression with incorrect pes headers
    
    Just discard dts/pts, not payload.
    
    refs sample OC3.demo.ts #16679

commit 57b0b612443dc322b3614ad4c6814f51c015236a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 21 12:54:36 2016 +0100

    vout/android: change AWindowHandler initialisation
    
    Rename setCallback to register. This new method will return a special flag that
    indicate if the video layout could be changed on the java side. If it's not the
    case, the "android-display" module will be disabled and only the gles2 module
    will work.

commit 12d482b3b43d3b52f2b73067b24d7c2a5fabcc5f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 21 12:53:48 2016 +0100

    vout/android: rename AWindowHandler_setWindowLayout

commit 3c8fe969a5e9f866f975142027efc2f669331319
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 21 12:50:58 2016 +0100

    vout/android: display: can't reset pictures

commit 158ab9157f1eef7258e2ad326b0ff1192c1ebdc8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 21 12:50:28 2016 +0100

    vout/android: display: fix ClearSurface for SW rendering

commit 3924a467c937d529db9c42b81f0d58c22384624f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 14:13:49 2016 +0100

    Contribs: VPX, pass the Extra_Cflags too for macOS

commit 1c5034fd3fc655d93f91ce879c5f93bb4852260f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 14:05:26 2016 +0100

    Contribs: use extra_cflags for Cmake too

commit 49c9b3cbddbb06dbbfbdf1e561031df039ecd8a6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 13:59:08 2016 +0100

    VPX: remove duplicate flags

commit 6807b05320bd1baf363ea9851c0cc9f841ea3381
Author: KO Myung-Hun <komh@chollian.net>
Date:   Tue Dec 20 21:34:39 2016 +0900

    qt: fix compilation on Qt4
    
    QMap::last() was introduced in Qt 5.2
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 6ce2d7356dbf986f0cf596a66a42f24cbedd35d3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 21 01:21:54 2016 +0100

    Fortunes about kind-napping and jails...

commit 5b3e91efd5adcd8e65213574e08f6d9621bb6ab2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 21:06:29 2016 +0100

    Qt: epg: remove time based highlighting

commit ce75cad91b15d03dabec9fee6526c97d0b788afc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 20:41:51 2016 +0100

    input: item: notify empty removed items/ empty epg

commit cbf676ed6fef2b81f3688154d2d1f13cefdb3651
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 18:41:04 2016 +0100

    input: item: replace previous epg table
    
    As tables are split per program and id,
    we no longer need to merge into a single one.
    
    Fixes bug where an removed event could not be
    removed in the merged table when not overlapped
    by another event.

commit 60f64ac9c947407d222ec7515d7d2611ff3d0777
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 14:01:37 2016 +0100

    epg: differentiate schedule eit from running info

commit fb11b15528ffa8e773c610ad30448a74403746d4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 14:00:58 2016 +0100

    es_out: update input only from current program

commit 7adcc6713f0609ae060a27dd4e3aa85919ecc29e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 14:17:25 2016 +0100

    demux: ts: missing check

commit ca6d10f3cbd77db31480b02de754f9454a04784e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 12:06:25 2016 +0100

    input: item: undef EPG_DEBUG

commit 0b7ba2aadaa743fa5211000c1d2228fe0264e864
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 19 21:15:25 2016 +0100

    demux: ts_psip: send single eit event updates

commit 520ac5b0b181dbba8a02663ef286d06813ec4042
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 19 14:24:15 2016 +0100

    es_out: add ES_OUT_SET_GROUP_EPG_EVENT
    
    We need finer updates for EPG events than full EPG tables
    updates. Will allow dropping epg merging on SET_GROUP_EPG
    as the epg tables are segmented and only use it for full
    updates / version change.

commit 94f0635d2d15e4538144e96dfbd5b9ec22865daf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 19 14:35:37 2016 +0100

    input: add input_item_SetEpgEvent

commit 710d099a26e1e1a024a19e20c3df45e646fb50b5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 19 14:37:06 2016 +0100

    input: item: EPG lookups/updates needs program+id

commit 3417f267cb35d10bbe1da8bbf7c96c72c6260a01
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 18:18:39 2016 +0100

    demux: ts: use EIT first running event
    
    Two simultaneously running events can happen
    
    sample ref
    FranceTV_HD_AIT_ChevauchementRunningEIT_20161220.ts

commit 499813ab39dc40ecfe110767c796280ef90ca710
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 14:56:37 2016 +0100

    demux: ts: fix incorrect table type ref in psip

commit 6295816c0310e55c4f43aa1749d08bc8dcd99025
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 20 17:51:56 2016 +0100

    input: es_out: fix old title on program change

commit 2e420ac4557e5b7a5106130a6ff076fd962a4fc8
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Dec 16 13:31:31 2016 +0100

    configure: detect luac with the exe file extension
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 0cf9523666b43e7aca7779db547a6a9a53a94d8e
Author: Mathieu Velten <matmaul@gmail.com>
Date:   Mon Nov 28 22:24:11 2016 +0100

    vaapi: add support for VP8/9 decoding
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 65deffb029df7cd3224c659106330ea4843f4035
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 20 19:31:05 2016 +0100

    lib/media_player: update set_android_context() comment

commit e66c9b7c6b7cd356df6cad1b5579e2e5d3ba905b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 20 18:01:11 2016 +0100

    vout/android: display: clear surface with OpenGL
    
    Clearing a surface with OpenGL ES2 doesn't mess up the surface state (and this
    doesn't break a future usage of MediaCodec on the same surface).

commit 032ce549a9f507c2452858012b53e9975c073b48
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 20 16:10:24 2016 +0100

    vout/android: display: reset window layout to 0 on close
    
    This fixes a wrong video layout when switching from android-display to gles2
    using the same window.

commit b00d601e7295d2e4dc3954079227b8209f50e73f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 20 17:58:56 2016 +0100

    vout/android: utils: remove clear surface support
    
    Clearing surfaces with a software renderer creates too many issues like making
    the surface unusable by MediaCodec.

commit f0f89ec07b16a197c5349b12ef8598b08c2a7b01
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 20 11:27:32 2016 +0100

    codec/mediacodec: remove useless p_sys->api malloc

commit b48b7fe78e4d34f7a957634386ef6908e964584f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 20 10:55:56 2016 +0100

    Revert "codec/mediacodec: update the surface when a new vout is requested"
    
    This was not fully tested, and it doesn't work on number of devices.
    This partially reverts commit 3aff6aace986c1d9d94c919c2dc4b17cdcb78332.

commit e2a28a8f2cbeff89521d406a2be75fa9a3a3f4cf
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 20 10:52:43 2016 +0100

    vout/android: fix libandroid.so not loaded

commit 578960cbf3abb34dd05ebb11363c0694308e702f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 20 10:51:26 2016 +0100

    vout/opengl: add more logs

commit feda2bc1c49683608b1200a590d1b80fe0289239
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 20 01:01:56 2016 +0200

    vout: do not handle window state change control...
    
    ...on unaffected platforms. This control is for backward compatibility
    with Windows and OS/2 code legacy. It is never triggered on other
    platforms (where window state is a window rather than display control).

commit 1f198be23b534eb8db0c52af0dfdc9b9d7148696
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 20 00:58:36 2016 +0200

    vout: do not send dummy windowed event
    
    If the vout implements neither fullscreen nor resize, this event has no
    effects.

commit 2108a26c4a2f3e80b6cf2150d6b4c97972804c3c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 20 00:57:02 2016 +0200

    vout: do not send dummy windowed event before resize
    
    Sending a non-fullscreen/windowed event to the core has to effects:
     - get a fullscreen change event back, which is ignored,
     - get a resize request, which is clobbered by the following resize.

commit ef7a757bcbf0ab8c3b05df4c751d3ad46f34f3f1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 20 00:49:33 2016 +0200

    vout: do not send bogus fullscreen event
    
    This had no effects: the core would send a fullscreen event back to the
    display plugin, which would then ignore it.

commit 2090c67086a586bb8f3e8bf58d77aa8ade883d25
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 20 01:06:46 2016 +0200

    vout_SetDisplayFullscreen: remove unused function

commit e189527ebefd4bfd01023f705f5b1e1bb49daa32
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 20 00:46:20 2016 +0200

    aa: remove write-only structure

commit 4f360602bd4f7ba017b9869c05fa469ee526f81e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 20 00:16:17 2016 +0200

    configure: unsilence the generic OpenGL header test

commit d247cf9ff51a0deb20013bb6be03eb7619e51ac2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 19 17:19:51 2016 +0100

    Qt: EPGItem: do not call update

commit a4f0215fb7f02deed7ed07dd285ec7c64710ca59
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 19 13:59:54 2016 +0100

    demux: ts: add comments for EIT

commit dd8adb8eadbd239bfe8de6714c1cf29ec763b8a0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 19 21:58:32 2016 +0200

    caopengllayer: missing lock/unlock (fixes #17801)

commit 5b4e4f28a5b8ac275e52ee9bf2dce1b12523d407
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 19 19:20:34 2016 +0100

    Revert "vlc_opengl: refactor vlc_gl_t creation"
    
    And use vlc_object_create() instead of the newly reverted vlc_gl_Create().
    
    This reverts commit 79b2187631f2786f46a8225b538f3ec7ae7d1c9e.
    refs #17795

commit 377d831f14bdfb9e0bb6a7e78e24405e09cb1022
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 19 16:57:26 2016 +0100

    vout/android: use gles2 if MediaCodec can't handle the rotation
    
    MediaCodec can't handle rotation before Android 21 and can't handle flipped and
    transposed orientations.

commit 2c51d8b5144f6ed99a3feb040b0d694f2084c119
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 19 16:54:27 2016 +0100

    vout/opengl: android: fix not normal orientation
    
    This was working before since vd->fmt.orientation was ignored for
    MediaCodec.

commit 30937af9684b5f6e54316a1f235c628322018af3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 19 16:47:29 2016 +0100

    mediacodec: update fmt_out if codec support rotation
    
    If MediaCodec can handle the rotation, we don't need to ask the vout to
    rotate the video again.

commit 6d5cd320c197388de621624f1b505c9e610019b6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 19 15:37:32 2016 +0100

    vout/android: change android-display priority
    
    This allow us to use a different vout to render VLC_CODEC_ANDROID_OPAQUE in
    regards of the video_format_t:
    
     - opaque android-display: priority of 280: do direct rendering on a
       SurfaceView, will fail if there is a projection to handle (360 videos).
    
     - gles2: priority of 265: do direct rendering on a SurfaceTexture created from
       an OpenGL Texture, can handle projection.
    
     - android-display: priority of 260: will fail for VLC_CODEC_ANDROID_OPAQUE.
    
    The gles2 module has a little overhead for VLC_CODEC_ANDROID_OPAQUE. It does
    one JNI->Java/synchronize/wait per frame. That's why it's not used by default
    (but I wasn't able to see any significant differences on the devices I tested).

commit 6e1e98b3aae6bf25f40704d267a60bf11a54b2bb
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 19 15:36:29 2016 +0100

    Revert "vout: gl: don't handle Android opaque fmt"
    
    This reverts commit 44e70121f9ba81fe7b3ae74fd96b798439f3b3e6.

commit 1e81cbe879e3155aeb8a015ce9dd75c97ec5a520
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 19 14:48:35 2016 +0100

    vout/opengl: fix null-deref
    
    This could happen when vout_display_opengl_Delete() was called from
    vout_display_opengl_New().

commit 87448d600c51f9da2b1def9929405d01bafebc66
Author: Filip Roséen <filip@atch.se>
Date:   Mon Dec 19 03:20:28 2016 +0100

    vout/win32: fix vlc_gl_t creation
    
    These changes makes us of vlc_gl_Create to create an object of type
    vlc_gl_t, effectively making sure that it is a valid VLC_OBJECT
    (instead of only looking like such).
    
    refs #17795
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c55c92d3b054734f1815ec15364203a418d69f9a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 19 14:59:17 2016 +0100

    vout/caopengllayer.m: fix vlc_gl_t creation
    
    These changes makes use of vlc_gl_Create to create an object of type vlc_gl_t,
    effectively making sure that it is a valid VLC_OBJECT (instead of only looking
    like such).

commit 928c87ecc86ea6de9cf7eb7a761423ee894ff027
Author: Filip Roséen <filip@atch.se>
Date:   Mon Dec 19 03:16:11 2016 +0100

    vout/macosx: fix vlc_gl_t creation
    
    These changes makes use of vlc_gl_Create to create an object of type vlc_gl_t,
    effectively making sure that it is a valid VLC_OBJECT (instead of only looking
    like such).
    
    refs #17795
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 79b2187631f2786f46a8225b538f3ec7ae7d1c9e
Author: Filip Roséen <filip@atch.se>
Date:   Mon Dec 19 03:07:43 2016 +0100

    vlc_opengl: refactor vlc_gl_t creation
    
    Given that there are places in the codebase that just require a
    created object of type vlc_gl_t ("gl"), these changes split the object
    creation into two functions:
    
     - vlc_gl_Create: a simple wrapper around vlc_custom_create
     - vlc_gl_ModuleCreate: creates a vlc_gl_t with an associated
                            module/surface.
    
    refs #17795
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 10028ddeecc43506194a5a0b264beb8c55cdda5b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 15 11:35:48 2016 +0100

    vout/opengl: add converter_android
    
    This converter handle the chroma ANDROID_OPAQUE. It creates a Java
    SurfaceTexture from an OpenGL texture name. MediaCodec will be able to render
    directly to the ANativeWindow* that is created from this SurfaceTexture.

commit ef68d7861116a7c5d87e752fa8e1430c27d8eea8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 15 13:02:10 2016 +0100

    vout/android: vout_display_sys_t only needed for sw buffers

commit f77d7c36099d3d20e924a9178b18f1f228c4ddc4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 15 12:59:28 2016 +0100

    vout/android: simplify locking
    
    Always use the lock boolean from picsys.

commit 151ac15198e983a7e67bfe189591e60b932edc08
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 8 11:03:47 2016 +0100

    vout/android: utils: move AndroidOpaquePicture_DetachVout

commit 5769ac71bab4927bd08b17e5eb55f06536838372
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 15 12:35:27 2016 +0100

    vout/android: utils: use an anonymous union in picture_sys_t

commit 11faa8374d78d06119711b3ee9e9d0d5e4242c65
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 7 16:26:55 2016 +0100

    vout/android: utils: add SurfaceTexture jni helpers
    
    SurfaceTexture_waitAndUpdateTexImage() implementation could be done in JNI
    because there is no proper way to implement a listener in JNI (that is needed
    to be notified when a new frame is available).

commit 6cd7dc62198e9678d226fd2ca1fea4031a94f739
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 15 11:30:15 2016 +0100

    vout/android: utils: fix wrong cast

commit 80bcbe8d5ff2623ff0dc9003d68e9a9e3d071688
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Mon Dec 19 10:54:48 2016 +0100

    vout/opengl: fix flipped and transposed orientation
    
    Now that GL_CULL_FACE is enabled (for 360 videos), it's not possible to flip or
    transpose the video by touching the vertex positions. The orientation matrix
    must now be applied on the textures coordinates.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 6ddbef9b2f7be2abbabab40567850f22a7021ab1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Dec 16 17:05:51 2016 +0100

    vout/opengl: hide orientationTransformMatrix()

commit e3ba19d8338872c723cf3ea08f0adc5c23477396
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 15 11:50:25 2016 +0100

    vout/opengl: move RGBA/YUV/XYZ12 converters

commit b94de34ccda1c02ddeb84059794ef90e1299b61b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 14 16:48:56 2016 +0100

    vout/opengl: add a new API to convert textures
    
    Add a new struct: opengl_tex_converter_t. This struct can be used to convert
    textures in regards of a video_format_t. The main objective is to allow
    developers to add support for HW specific chromas in separate files.

commit a1abe86d0bc360c7717bf99036d7a7635908d6a0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 12 10:56:33 2016 +0100

    vout/opengl: expose shaders commands in an internal header

commit 86e93440cf84d5870eb873c7093f1ac736922740
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 19 10:46:44 2016 +0100

    vout/opengl: factor proc address initialisation

commit c3b2338ab1bce1b2b359f5bc29f7fc5ee872067d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 14 16:21:30 2016 +0100

    vout/opengl: move chroma and tex size initialisation

commit 67a899056d286a925c03e1d1b5b0176b2c9e4e68
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 14 17:03:12 2016 +0100

    vout/opengl: pool: gen textures before creating the pool

commit 9b62e435d8c7bd14bc0cc27a81b3f7d30f502d26
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 13 19:01:44 2016 +0100

    vout/opengl: rework Upload function
    
    Upload is renamed to UploadPlane.
    Add UpdatePic, that upload every planes of a picture_t.

commit 45be7acf6166b8a2569f261accae201a24c20be3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 14 12:15:03 2016 +0100

    vout/opengl: factor textures generation

commit c19787f6f88350403606e3a68b8076f83f4d1d2a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 14 12:14:40 2016 +0100

    vout/opengl: assume that multitexture is true
    
    It's safe to call glActiveTexture(GL_TEXTURE0 + 0), even if there is only one
    texture.

commit 98fcfec7d76ef023dd338a52310bd0fd712e9542
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Dec 14 13:34:36 2016 +0100

    vout/opengl: remove unused code
    
    There is no GL_TEXTURE_RECTANGLE_EXT textures anymore.

commit bcd5a61204fe6bf69778d35a2849152bd8066f2b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 8 16:07:09 2016 +0100

    vout/opengl: remove unused vgl->local_count
    
    This is not used anymore.

commit a772a4e9cfb08d46515fd771e82acbec0c90fc02
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 8 16:03:49 2016 +0100

    vout/opengl: build and use only needed shaders/programs
    
    The ugly FIXME will be gone with next commits.

commit 923c9f42f4b45381fde49f7c78f30c7a80c7ae51
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 19 01:29:17 2016 +0200

    opengl: remove legacy lock/unlock
    
    We don´t need two pair of names for the same pairs of callbacks.

commit 49a9058aaf1369197bc1207e827ef85f4e3d6221
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 19 01:26:54 2016 +0200

    opengl: remove legacy stubs
    
    The caller, normally opengl/display.c or formerly gl.c, is responsible
    for setting and clearing the current context before entering the
    generic OpenGL rendering code.

commit 4246e218c1ddb520db3f2d47edc69de698bc7e13
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 19 01:14:33 2016 +0200

    vsxu: remove no-op

commit bd7808b0bfc5babedbe2e8093fe63aacb6b68026
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 19 01:14:20 2016 +0200

    projectm: remove no-op

commit 6f95126d25a03f135338db5486c4adfbdb66ef1b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 19 01:14:08 2016 +0200

    glspectrum: remove no-op

commit 6005055f1763af09d0e4316b7f54edd105a469a5
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Dec 19 00:57:40 2016 +0300

    snap: don't install libvlccore to the staged environment.

commit b2e60793a1c7b7002c6b24843aba56842c1d96e7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 18 23:10:51 2016 +0200

    opengl: remove repetitive indirection

commit e8dde09cac172b5ae4be9266575b6615e315b801
Author: Filip Roséen <filip@atch.se>
Date:   Wed Dec 14 15:51:06 2016 +0100

    demux/xiph_metadata: fix overflow/leaks in vorbis_ParseComment
    
    The previous implementation would suffer from a read overflow due to a
    mismatch between the length of psz_comment and comment_size (because
    of the usage of strndup).
    
    These changes make sure that:
    
     - psz_comment always refer to a buffer of length comment_size
     - we do not leak memory on "continues" when encountering unexpected
       data
    
    fixes #17776
    fixes #17779
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 57b6d3be82f6447481c126b1b8d3d8b3885d18d7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 16 15:52:03 2016 +0100

    codec: scte27: fix reading YCrCb into YCbCr (fix #17787)

commit ff69c44bcf2869f07a259f673eeb6ea44593494a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 16 14:38:35 2016 +0100

    Qt: epg: show date on non current day

commit bd7d05ca0a7825d2509e6ee190d162312ce8f1c0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 16 14:38:23 2016 +0100

    Qt: epg: clear text on reset

commit ab494fd208e74112324254a2f78970c81d7744db
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 19:45:01 2016 +0100

    Qt: rework EPG
    
    Less loops and simplified structs/updates
    
    Also now redisplays recorded epg.

commit ac68b13f390c927bca28ea76a4f297db7800f0e2
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Dec 11 16:46:28 2016 +0100

    macosx: Use the new slider for fscontroller volume
    
    This commit will use the new VLCDefaultValueSlider for the
    VLSFSPanelController volume slider.

commit d986f8abb70b2039fdfc37f5139868ad01361d54
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Dec 11 16:02:18 2016 +0100

    macosx: Add VLCDefaultValueSlider
    
    This is a new VLCDefaultSlider which allows setting a default
    value, to which the knob will snap and a tick mark will be drawn for.
    It's useful in VLC for things like volume sliders, which have a
    default value (100%) to which we want the slider to snap.
    Additionally this class is controllable with the scrollwheel by default.

commit 3b4bd994ddd57f40f98a5d37da34b16feb192609
Author: Jim Bankoski <jimbankoski@google.com>
Date:   Thu Dec 15 16:08:21 2016 -0800

    codec: aom: Handle extended color spaces
    
    Support 10/12-bit, full/partial color range and BT.601/709/2020.
    
    Signed-off-by: Alex Converse <alex.converse@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 33f1d268f5a765631071ec4e25b1a4334ab2b98f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 15 22:38:58 2016 +0200

    include: fix comments for VLC_CONFIG_VALUE and VLC_CONFIG_RANGE

commit a876c1f6ee931098d77465a63f5f83057d663ae7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 15 21:01:05 2016 +0200

    configure: remove dead code

commit ba78a1fe00edbbb34502704347788f3455faccf4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 15 17:08:52 2016 +0100

    Qt: rate limit EPG updates
    
    As we don't have discrete updates due to use of input variable
    for events, we're updating far too many times on EPG tables updates,
    reprocessing the whole EPG set. This is mainly the performance
    issue with large EPG updates.
    
    Also no longer updates internal event storage when hidden.

commit 5242884a5c01b51518ef51af3d4725a29f94ec60
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 15 16:33:45 2016 +0100

    video_chroma: chain: Fix inverted checks

commit a2c06b3881f6498a9243ff4b00ed50c4e996dad8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 15 00:27:37 2016 +0100

    macosx: initializing NSApplication may fail
    
    Do it without crashing if it does

commit 004366d949e7fa727ed151306211d5ffcc1ee2ee
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 20:15:44 2016 +0100

    demux: mp4: add option for M4A audio only

commit e2010bec054ead84171bd37a40237320458ad82f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 20:26:29 2016 +0100

    demux: mp4: fix potential null deref

commit 19d0d0f9d95a545fb8fe315cdb77ca41b6d3a68f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 16:01:25 2016 +0100

    demux: ts: kill warning

commit 9158b9645f8ada0529308ebcb16b7dac17c32d7a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 16:00:41 2016 +0100

    demux: ts: drop invalid payload

commit c5ef1b9eb7403bc69e88f30cbf9a5a21221f916c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 15:26:36 2016 +0100

    demux: ts: discard duplicated payloads

commit 57ab01be848071f271b0067e0825f555651a1594
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 13:54:08 2016 +0100

    mux: ts: missing mpeg audio layer2

commit 9f27d17bc5e4edf77c9890000448c9ffa05236f3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 11:45:54 2016 +0100

    demux: ts: don't set stream type in hotfix
    
    Generated PMT does only only need to point to
    the correct PES stream_id.

commit 9f1eaa9c618db8168e326f2b6d806c80ef7aeff0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 13:20:49 2016 +0100

    mux: ts: move stream type/id settings
    
    So it now applies to content created by demux's PMT hotfix

commit 1f3e0ea9429029704b3d1368133c849b1f4254dd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 14 13:16:13 2016 +0100

    demux: ts: only create probed es in hotfix

commit aeb22b2cb088d15a14bf5a8b61868349682451ec
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 14 12:46:36 2016 +0100

    codec: ass: Don't force fonts that aren't shipped anymore in the winstore app

commit eedb57aa96d2bc0046a6da2e081c75ae9edf8fd5
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 14 12:45:43 2016 +0100

    contrib: ass: Fix Dwrite usage on WinRT/UWP

commit 73d3b86d7451aae6828940cdaf64a9a282ce8dd4
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 14 11:25:12 2016 +0100

    vimeo.lua: update for website changes

commit 1afb09af94d6a787d23dbc788ac7c5070175c130
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 19:39:16 2016 +0100

    mux: ts: apply proper dts registration

commit d174d451cb73870a762f2211103334dbe915b5ef
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 17:34:10 2016 +0100

    packetizer: dts: remove init from fmtout

commit 7de1680a1edac665058bdeb858a30cbe4058f047
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 17:32:48 2016 +0100

    packetizer: mlp: add comment

commit d337105a538fd9919eaac3f709b930ef43ab6b82
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 17:30:59 2016 +0100

    packetizer: a52: remove init from fmtout

commit 90b567d9e418912f556aa53ff72d043414ab8f98
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 13 17:33:37 2016 +0100

    Update NEWS

commit 3aff6aace986c1d9d94c919c2dc4b17cdcb78332
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 13 15:41:46 2016 +0100

    codec/mediacodec: update the surface when a new vout is requested

commit 89a7c6477d2a4eb9d73b1e5fe4f4d39df200161c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 12 17:51:46 2016 +0100

    codec/mediacodec: add api->set_output_surface

commit b0516701c13c20e286563f5c717eb9c1a7b373cb
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 13 15:19:44 2016 +0100

    codec/mediacodec: move mediacodec restart handling

commit b212e22d4357c89a176847c8efda81547199f263
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 13 11:17:15 2016 +0100

    codec/mediacodec: add updateOpaqueVout
    
    This function updates the decoder video format and fetch the android surface
    attached to it.

commit f6d9e3b6eb0e91f874abc2efb5ba766eb1b09fd6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 13 15:43:47 2016 +0100

    codec/mediacodec: update visible size from sps

commit 9d9f0f56f73f3dec82ce25946566f5b265156411
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 13 15:40:24 2016 +0100

    codec/mediacodec: H264 CSDs need a valid sps

commit 6ba9be2957d81194e6a6c091541e4432f9a60eb8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 13 09:32:29 2016 +0100

    codec/mediacodec: remove useless code
    
    In case of direct_rendering, i_codec is already set to
    VLC_CODEC_ANDROID_OPAQUE.

commit f855893c821e79e951ca4d1e6254a5ffba10e0f8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 12 17:58:55 2016 +0100

    codec/mediacodec: remove intermediate video size

commit b1948abfacec1e785c8db2547133f11e5b0f5102
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 8 09:52:07 2016 +0100

    codec/mediacodec: set an error if dr is not possible
    
    Don't fallback to mediacodec with SW rendering. Indeed, getting back the output
    buffer to the CPU can take more time than using a SW decoder.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b4849d1c550bf7de108e67d80fc5a9c5ba708419
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 12 10:54:55 2016 +0100

    vout: move egl.c to opengl/egl.c

commit f5c17abdba4cc11952d25edbe632df73fd8c0ba4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 12 10:53:00 2016 +0100

    vout: move gl.c to opengl/display.c

commit c03e4f3d49dbcdf4f3ad84cedcaa8c56cbe982c3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 12 10:49:50 2016 +0100

    vout: move OpenGL sources
    
    Use a specific directory for OpenGL sources.

commit 1814f5ebc07c19c21d582d3264fc27ffd12b913e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 8 14:37:15 2016 +0100

    vout/opengl: use msg_Err for errors

commit 036eea961c75c9018a9cf8803322075aa4ee003e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 8 13:39:55 2016 +0100

    vout/opengl: fix an unlikely null dereference

commit 066d538f69fb8dd3afdd230095ee950a7c79c4c6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 8 12:01:11 2016 +0100

    vout/opengl: fix leak if program check fails

commit e145e8cae5cb807addb2899df1fdc1ed893c0bc1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 8 11:36:22 2016 +0100

    vout/opengl: always support shaders
    
    And drop fixed pipeline support.
    vout_display_opengl_New() will fail if there is no shaders support.

commit 6c4bb081844c51a9a1b1cdb44fc5f42e5a879327
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 8 11:21:57 2016 +0100

    vout: drop OpenGL 1.x and OpenGL ES 1 support
    
    Replace USE_OPENGL_ES=2 define with USE_OPENGL_ES2

commit 2568a24fb06b138c393e7c2508d9958dcb7222c8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 10:53:47 2016 +0100

    mux: ts: add base support for standards compliance

commit e0b8480ec356e0fc932a584498acf46258ffdc3e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 11:07:59 2016 +0100

    mux: ts: stream_type belongs to ts

commit 59e52265a1dc55652f07f64d57dd971c917555c6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 11:07:10 2016 +0100

    mux: ts: fix some types

commit d10d15f15130de7f188bbe1b91dd12ee0704f6a0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 14:41:30 2016 +0100

    demux: ts: add avformat muxed dts

commit 6b554e77499e02eed6793e1fb44c3667d23ba0ef
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 13 14:45:07 2016 +0100

    macosx: Constrain fscontroller hide-timeout
    
    This constrains timeout to non-zeor.
    Initializing the timer with 0 seconds will make it fire every
    0.1 milliseconds instead, which is too freqeuntly. It caused the
    fscontroller to flicker between animation states and never be fully
    visible, which is addressed by forcing a value of at least 1 second.

commit 7af395db556c12f19e6d8c21f98d3b9a57fa179d
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 13 14:27:40 2016 +0100

    macosx: Undef macro in VLCFSPanelController
    
    Fixup for 5e33115229969a072e866d1ae23ec9cfcf331460

commit 994b7c2f0bbe5637b77075042bbb2950a1d47dca
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 13 14:26:57 2016 +0100

    macosx: Speed up fscontroller animation
    
    Increase fscontroller animation speed to 0.4s
    instead of 0.7, which is quite slow.

commit f19a1aee098771c975796688efbf541d390530b3
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 13 14:05:34 2016 +0100

    macosx: Fix mouse detection in fscontroller
    
    Replaces NSPointInRect with NSMouseInRect to detect if the mouse
    is currently inside the fscontroller window frame.

commit 5e33115229969a072e866d1ae23ec9cfcf331460
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 13 11:15:43 2016 +0100

    macosx: Make VLCFSPanelController accessible
    
    This re-adds the accessibility strings that were present in the old
    fullscreen controller.

commit d62d91487c309762edbf631bd0e6a63f2fd7fba3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 13 10:20:09 2016 +0100

    Skins2: fix distcheck

commit a992f271fff7baa8989414af2c1918c805a36e5b
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Dec 10 02:28:10 2016 +0100

    skins2: Remove macOS code
    
    Skins2 is not built on macOS since very long time, given that Qt is not
    used there. The code is very old with a lot of TODOs and additionally it
    requires the quite old Carbon framework which implies 32bit only as
    Carbon was never ported to 64bit. (Cocoa should be used instead)
    
    Therefore this commit removes all macOS related skins2 code.

commit 8ae6c8bb8b14e36845d4e04bc6ac483449d72940
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Dec 1 17:54:32 2016 +0100

    dxgi_fmt: fix header name
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 974b4af5bba0ffe957679256b938c47f21308680
Author: Andrii Zui <andrew.zui@outlook.com>
Date:   Mon Dec 12 17:41:20 2016 +0000

    auhal: fix 7.1 channel layout for macOS - fix #17556
    
    Currently AUHAL drops rear surround channels if device layout is set to
    `L R C LFE Rls Rrs Ls Rs` because it expects Left Center and Right Center
    channels instead (as in MPEG_7_1_A). Setting input_layout to MPEG_7_1_C fixes
    this issue.
    
    Note that setting device layout to e.g. `L R C LFE Ls Rs Lc Rc` doesn't help,
    because VLC doesn't recognize Lc/Rc channels - they're not present in
    i_auhal_channel_mapping.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 51ca21f136968e62d953b31ed3e9543a28d4576d
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 6 11:33:42 2016 +0100

    direct3d11: compute the camera position only with FOVx
    
    Now we use the same the projection matrices and math than OpenGL and DirectXMath.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 591cf250b77be83147d160c40d086b6fda8f4a58
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 12 20:40:15 2016 +0200

    Remove antepenultimate add_module_list_cat() use

commit b6e1a1b95cccf6f61a3933869962a02874e503a7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 12 20:39:32 2016 +0200

    Use separate capabilities for video filters and converters

commit d86be2d1fe299be71241c49c22499d6a2c92baeb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 12 20:29:01 2016 +0200

    filter_chain: allow separate capabilities for filters and conversions
    
    This will be used for video filters. This is not used for sub filters
    and sub sources, as chain of those types do not use conversions.

commit 26cefe733f7566b4612a6c1bcc743540f45b0aa6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Aug 26 18:31:29 2016 +0300

    Use filter_chain_AppendConverter() as appropriate

commit e7eaa33c9c562b1906909d5de3898b5c7427dcbc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 12 20:01:17 2016 +0200

    Add filter_chain_AppendConverter()

commit da9ae5d620989b677a7092c79e7020dca9f4b1c5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 12 19:45:56 2016 +0200

    filter_chain: revector filter append
    
    (no functional changes)

commit a98e47e9ade23799cfbce9c6e371fa37e479c8fc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 12 20:23:31 2016 +0200

    chain: use variable inheritance instead of config chain
    
    It was rather confusing for a conversion plugin to parse the chain.
    (Then again, variable inheritance is also ugly in its own ways.
     Recursion should be prevented in a more controlled manner.)

commit ba6144f7f422ea2feaf1879d0ddaac395572e4a3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 12 19:41:34 2016 +0200

    Remove unused filter_chain_AudioFilter()

commit bf0252169517bd58badd87012d77999464410a2a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 12 17:08:22 2016 +0100

    Revert "demux: ts: fix inconsistency on un/seekable UNKOWN_ES"
    
    Breaks PMT shared pid
    
    This reverts commit c78a7a1c856fa222d8c470839eb69d3ac78f295c.

commit 64af70b902438da6628ef75ca862946e10b9d1bb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 12 14:55:15 2016 +0100

    demux: ts: add some more mpeg1 checks

commit e9938d680f006a023871cb4cb89f0a58e180bc14
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 12 14:39:03 2016 +0100

    demux: ts/ps: check marked bits and fixed headers
    
    refs #17773

commit 03dd2983ed522f2a55618a585d0d0af4ce6ca4a3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 12 13:42:34 2016 +0100

    demux: ps: rename timestamp function

commit 135e125b1e62ab0589572387ed423522d5c4fec0
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Mon Dec 12 13:09:29 2016 +0100

    core/es_out: fix projection to name conversions in EsOutUpdateInfo
    
    This fix a crash occurring when PROJECTION_MODE_CUBEMAP_LAYOUT_STANDARD
    is used.
    PROJECTION_MODE_CUBEMAP_LAYOUT_STANDARD value is 256 and not 2 so
    projection names cannot be stored in an array.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 269d285a59e21b6d6abe3d9ad4057566266b65d6
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 12 12:56:38 2016 +0100

    vout: win32 common: Delay inclusion of dxgidebug.h
    
    Since we need to have INITGUID defined, including it before common.h and
    therefore before all module specific headers would cause too much GUIDs
    to be defined, causing potential multiple definitions

commit 14c08cc00fe734aaaaab0b93ef04498308921619
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 12 12:55:59 2016 +0100

    vout: win32 common: Use initguid.h instead of #define INITGUID

commit 74a3930716904e45a31f22e5e8161b3dc1e2fcbf
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 12 12:47:37 2016 +0100

    vout: win32 common: Remove duplicated include

commit cefae03d0c06961327ea69acb6423cdfa2d73987
Author: Steve Lhomme <robux4@gmail.com>
Date:   Mon Dec 12 09:12:33 2016 +0100

    vlc_stream_extractor: remove extra coma for VLC_COMMON_MEMBERS
    
    it is not set in other places and some compilers don't like a stray coma.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 9da48aad69f5d24b3547eadc98b7aa0fa12ff3c8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 11 13:44:46 2016 +0100

    Revert "playlist/fetcher: do not ignore metadata scope when downloading art"
    
    This reverts commit 1dc4df30ded66e74a01c1df742f1dbe3e1338d1b.
    
    Pierre, Rémi and Marvin disagree with this patch

commit ddea6f6c3ae69ee50a668b8c3b0c4271fde00213
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 10 11:10:20 2016 +0100

    codec: spudec: fix unsized region regression (fix #17757)

commit 56a969a8fbdfcf58b46e5cf40acc6ca3c8ad1942
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Dec 9 21:36:54 2016 +0100

    skins2: fix object pointer inadvertedly modified recently

commit a3ab7ff0d9330cb9047a4cf0b4ac75432af12408
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Dec 9 21:12:32 2016 +0100

    skins2: fix typo following a recent change in playlist.
    
    This caused the skin engine to fail to refresh on the spot when new items
    were added to the playlist.

commit 1dc4df30ded66e74a01c1df742f1dbe3e1338d1b
Author: Filip Roséen <filip@atch.se>
Date:   Thu Dec 8 11:14:20 2016 +0100

    playlist/fetcher: do not ignore metadata scope when downloading art
    
    Previously the implementation would unconditionally download art,
    these changes make sure that we respect the scope of the fetcher being
    used.
    
    fixes #17760
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f1195781c0fd53d14cda88bc08c0ea5ed464dcd0
Author: Filip Roséen <filip@atch.se>
Date:   Thu Dec 8 11:14:19 2016 +0100

    playlist/preparser: do not "download" local art
    
    The previous implementation would consider FILE:///art.jpg to be a
    remote resources, meaning that it would try to "download" the file and
    put it in the cache.
    
    Given that the scheme part of an URI is case-insensitive (as stated in
    RFC3986 3.1.), these changes make sure that we treat the affected
    schemes in the way which was intended.
    
    fixes #17759
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c351a47861e5504b973d97173a242f098fa9230d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 16:59:41 2016 +0100

    codec: cc: fix regression with backgrounds
    
    following freetype changes

commit e5d0cba02c044b652a27c784dd1895f285099676
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 15:01:58 2016 +0100

    codec: substext: missing check

commit 35956340cc024883aca152667a0021f00263ab97
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 12:24:58 2016 +0100

    freetype: fix font string leak

commit 1a0dc5b0aa470230c654514b224104b50e734b25
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 12:18:49 2016 +0100

    demux: ts: use last pointer for prepcr queue

commit d75c0ce3fa98b6968d4a4b8f841deaeda76e3061
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 11:55:00 2016 +0100

    demux: ts: fix leak with opus and disambiguate block chains in pes

commit 1665e45f305fbcbf42ddea5b0ad1dbb1417b4add
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 11:22:44 2016 +0100

    demux: ts: use blockchain helper for opusparse

commit e514b6b4f97983969dc613254372d12855f7e58c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 11:14:57 2016 +0100

    codec: opus: fix comment leak

commit eda1ff2df82f8528978ac4c4cd258f6f6324801f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 8 11:05:57 2016 +0100

    codec: opus: fix leak

commit 9d930e85beeefe0fd9a22755b26ac936a714cd81
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Dec 8 05:45:49 2016 +0100

    bluray: Add missing VLC_OBJECT cast
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9aba960115190308a68b4f7852f0525ae2b296fd
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed Dec 7 14:18:37 2016 -1000

    contrib: speex: use 1.2.0 release.

commit 99ce03403e7036d07d8e4cfeca2e8ac229aa876c
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 6 11:12:18 2016 +0100

    opengl: the orientation should apply before the projection
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a679d56cb596b2ee5e271ec8f9f7f937b2fff652
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Dec 6 16:47:30 2016 +0100

    configure: double quote the path to find rcc
    
    It's already done for the other and fails with the contribs on Msys2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d75f89203bcf7bac331f789a6c08d6d87523706d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 19:59:21 2016 +0100

    codec: opus: fix types in comment_add

commit d72019e145262567f0fc3168eeaa757c5e54f6ae
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 19:45:38 2016 +0100

    codec: opus: check comment size overflow

commit 9df1339594923be2dbdb5a3e616b8d3b3d0f4f6c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 19:43:10 2016 +0100

    codec: opus: fix realloc usage

commit 2db5eb6551f7709aa923b8937a0bed522a5e052c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 19:34:59 2016 +0100

    demux: ts: check tag extension (fix #17755)
    
    Conflicts with opus

commit 0f43bb061a9c28b02fc7638d3f54d64f4b3e0690
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 7 18:28:05 2016 +0100

    contribs: cddb requires gettext

commit 046093e67560b2fdd3c2a65caede6eed1ac90576
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 17:21:56 2016 +0100

    demux: ts: add stub for private stream 0x05

commit c3334772f059094e8d1759dd183c2031c2df0904
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 16:38:35 2016 +0100

    demux: ts: early handle mpeg generic EAC3 descriptor

commit e3aa16fa29c823ef44458d346bc3211f108b3c8b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 16:33:07 2016 +0100

    demux: ts: correctly upgrade ATSC AC3 streams

commit 8447e3d87b65c36d57a2c55d4afb717bb1945321
Author: Filip Roséen <filip@atch.se>
Date:   Wed Dec 7 15:19:09 2016 +0100

    lpcm: validate block_nb_frames in DVD/LPCM cases
    
    Fix heap overflow due to invalid header data
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 99a436c52ad03ffdc33a212c16d8e2849200c872
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 7 10:40:24 2016 +0100

    lpcm: comment AOB padding values

commit 0a337ad8ee5533c9bae964ffb9c700a4683730b2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 15:05:52 2016 +0100

    demux: ts: add support for DVB extended audio description
    
    Better handles DVB extension for impaired and provides
    better then description and language of the stream.
    
    before -> qad (none)
    after  -> lang (Descriptive audio for hearing impaired)

commit 53f988c991aa32cd72cf7e89ae87818f388ba9a5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 14:59:38 2016 +0100

    demux: ts: clean up iso639 descriptor handling

commit 2c541dcdaafc06d31acb4fd1c43ec35622385986
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 20:52:12 2016 +0100

    text_renderer: reject incorrect pixbuf
    
    potential read overflow

commit 828490b9446f9e4a7d5a791f76bd257ca1f61be4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 20:48:03 2016 +0100

    text_renderer: svg: reject unknown pixbuf

commit c4c3840e68efdcabdd48899dff9cd1b8fc69c58a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 20:46:14 2016 +0100

    text_renderer: svg: fix fmt usage

commit 743c2a28acac811d71fe738012181184380c712c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 20:26:02 2016 +0100

    text_renderer: svg: fix rendering
    
    fmt size is saved but first call is always 32x32

commit 4e0941e306a869cd030e3324c158e71faf0efa1a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 18:00:33 2016 +0100

    freetype: has no longer default fixed font size

commit 6f23f0a1e1acaae6061038040e1666cb9731e65d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 17:59:28 2016 +0100

    text_style: set default font size to freetype's
    
    will mostly be overriden with this one

commit 273684327cd9369a288b2d8c28870dd8f200506c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 17:45:48 2016 +0100

    freetype: remove dead code

commit 3ec23b32c508581e445fb139e6f3354df7af1188
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 17:39:56 2016 +0100

    freetype: move font defaults

commit 98d908f78c970f45f3034a49d4a34607d88a3914
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 17:37:06 2016 +0100

    freetype: keep updating some styles

commit d68f218d6ce1a511f9471887ac58ca4993ee0ac6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 17:13:24 2016 +0100

    freetype: remove useless VLC_CLIP

commit 3c34eedd54ea16ddf30554ecc8d99141cc4ead1f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 6 17:12:49 2016 +0100

    freetype: add rgb ranges

commit ee1b1813406f81763749356ded9d7053e902ab3a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 6 19:12:16 2016 +0100

    doc: don't include accidental functionality

commit f02c1cd8e17c0c702d261371bc67da432de7fb84
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 6 17:03:32 2016 +0100

    dshow: Ensure our custom COM objects will be released through refcounting

commit c6400287b7d447cce703ddd2edba21770afa991d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 6 16:21:26 2016 +0100

    dshow: Cleanup

commit e6056f355336d24f5367b34266d9b636d8e97fc3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 6 16:20:21 2016 +0100

    dshow: Store streams in a vector

commit cde72d924e46fd70ff8473742c6d90c9b1a4288d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sun Dec 4 12:22:15 2016 +0100

    dshow: Use ComPtr to simplify resource management.
    
    As a side note, refcounts are now initialized with 0, which is expected
    so a "smart" pointer can increment the refcount itself upon acquiring
    the pointer.

commit f164f94ce76827f0f1d265d99044832cb7c22526
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Sat Dec 3 11:42:25 2016 +0100

    winstore: Remove translation

commit 7eb2492c44a81909a50f788486d9030b5265164f
Author: Salah-Eddin Shaban <salah@videolan.org>
Date:   Wed Nov 23 19:30:28 2016 +0200

    FreeType: Font fallback using DirectWrite
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6a08e8e3b1cdfa7193d48cc842f1ae7e3fa0593e
Author: Filip Roséen <filip@atch.se>
Date:   Mon Oct 31 01:13:31 2016 +0100

    demux/aiff: integer-overflow leads to infinite loop
    
    Given that the previous implementation stored the size of the current
    chunk-payload in an uint32_t, it would potentially overflow when
    adding the size of the chunk header and conditional padding.
    
    These changes fixes the previously described by storing the
    chunk-total size in a larger integer type, as well as making sure that
    we do not pass a too big of a value to vlc_stream_Read (that would
    cause problems on 32bit platforms).
    
    Fixes #17562
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f931a00f6a1ee581fec66c59964bf0e95a4b7411
Author: Filip Roséen <filip@atch.se>
Date:   Tue Dec 6 09:02:40 2016 +0100

    demux/xiph_metadata: prevent integer overflow (#17593)
    
    The previous implementation assumed that a 32-bit integer would fit
    in an `int`, something which is not guaranteed and might cause an
    integer overflow.
    
    These changes changes the declared type of the relevant variables, by
    also making a slight amount of clean-up on the affected paths, such
    as:
    
      - merging declaration and initialization
      - fixing redundant if-conditions
    
    fixes #17593
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6ea76b810153d83bf5891ab9ad0e6fa6e8dd1d1d
Author: Filip Roséen <filip@atch.se>
Date:   Tue Dec 6 11:45:35 2016 +0100

    gui/qt: remove maximum height of artContainer
    
    Limiting the size of the art-container does not make much sense, especially not
    when the maximum height prior to these changes was set in pixels.
    
    fixes #17749
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 66b36b8f354e97aab58aa0a54e0b1265ee37e8ee
Author: Filip Roséen <filip@atch.se>
Date:   Mon Nov 7 22:17:42 2016 +0100

    doc: document changes in MRL-handling
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 2752025d694b1f5fed07ff5953c7718d4a9ef1e3
Author: Filip Roséen <filip@atch.se>
Date:   Sat Dec 3 12:38:09 2016 +0100

    input/input: InputDemuxNew: add support for mrl-fragment-identifiers
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 18560f82f2d06ab5585638c9e31640503ed2d285
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 6 15:55:21 2016 +0100

    input/mrl_helpers: add test

commit 5ac71ec1e02fc0041c662ff9ed74df2821164dd6
Author: Filip Roséen <filip@atch.se>
Date:   Tue Nov 22 00:25:25 2016 +0100

    input/mrl_helpers: add mrl_FragmentSplit
    
    See added documentation.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 2282eeb9e35cdd0a07f612e2625cfc120de128f3
Author: Filip Roséen <filip@atch.se>
Date:   Sat Dec 3 12:46:28 2016 +0100

    input/input: simplify InputDemuxNew
    
    The functionality remains the same, the implementation should however
    be easier to follow than what we had previously.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4c12b431dcd50a160acf963e369ff08845567d87
Author: Filip Roséen <filip@atch.se>
Date:   Sun Dec 4 12:20:23 2016 +0100

    input/input: fix resource release
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 0da42c15d6ecfa32710eb26c7baab9df04935e64
Author: Filip Roséen <filip@atch.se>
Date:   Sat Dec 3 12:58:22 2016 +0100

    input/input: handle demux selection in InputSourceNew
    
    These changes moves logic from within InputDemuxNew, so that explicit
    demux selection is in one place.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 285b09aaa97d2dae1e1883cd8149b506a3358896
Author: Filip Roséen <filip@atch.se>
Date:   Sat Dec 3 12:43:00 2016 +0100

    input: demux.c:input_DemuxNew -> input.c:InputDemuxNew
    
    Given that the relevant function is only used from within
    src/input/input.c, and that no internal functions of demux.c are
    required within its implementation, these changes simply move the
    function to a more accurate location.
    
    It will also simplify future development in terms of MRL-extra data
    handling.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fcf559302e42146959a8266ada9d952c9fd9fde1
Author: Filip Roséen <filip@atch.se>
Date:   Tue Nov 22 00:50:52 2016 +0100

    stream_extractor: add vlc_stream_extractor_CreateMRL
    
    Function used by stream-extractor modules to make it easy to create a
    relative MRL for an entity within the data handled by the
    stream-extractor.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 709924819e41ace9f7c09f00badd76c9c7a7a924
Author: Filip Roséen <filip@atch.se>
Date:   Tue Nov 22 00:50:36 2016 +0100

    stream_extractor: add vlc_stream_extractor_Attach
    
    The documentation associated with these changes should explain what
    the function does in detail, and why it is necessary. In short the
    function simply tries to attach a stream-extractor to a stream_t.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 3c20a6c377be620f7ee865d83b165173ba88d7de
Author: Filip Roséen <filip@atch.se>
Date:   Mon Nov 28 02:58:29 2016 +0100

    core: add stream_extractor module type
    
    These changes introduces a new module type named stream_extractor. The
    added documentation should explain when such module should be used,
    but in short it allows for extraction of data within a stream,
    effectively resulting in a new stream that refers to the extracted
    data.
    
    Interaction with the stream-extractor shall never happen directly,
    instead the module-backend is written in a way so that it exposes a
    stream_t to the public.
    
        [ access ] -> [ stream_t ] -> [ stream consumer ]
                       '- [ stream extractor ]
    
    Future changes are necessary in order to make modules of this type
    usable in practice, but has been split into individual commits so that
    the changes are easier to follow.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit aca5d94f4fbd9d7e97959c96c3f6751ae70093e5
Author: Filip Roséen <filip@atch.se>
Date:   Mon Nov 7 16:46:49 2016 +0100

    doc: document Media Resource Locator
    
    There has never been any documentation related to what a MRL actually
    is, these changes addresses that by (hopefully) describing the entity
    in a way that makes it easier for future developers to treat them
    correctly.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4d41eae3acc690a365777dfa3e61d4d69ea172aa
Author: Filip Roséen <filip@atch.se>
Date:   Mon Nov 7 16:44:58 2016 +0100

    doc: add location for standalone documentation
    
    It is not always desirable to have documentation mixed with code.
    This, as an example, applies to documentation about a certain feature
    spanning several headers; or example implementations to aid future
    developers.
    
    These changes creates a designated place for such documentation.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e4fbdcebeb38b8ef2b4ceb9c25f5e0ac79f2b7a1
Author: Filip Roséen <filip@atch.se>
Date:   Fri Oct 28 12:22:07 2016 +0200

    stream: rename vlc_stream_NewMRL to vlc_stream_NewURL
    
    The function does not open MRLs, as correctly described in its
    documentation, as such it is rather unfortunate that its name uses MRL
    instead of URL (especially given that it cannot handle MRLs).
    
    These changes are simply renaming all occurrences of the function, so
    that the behavior of the function is properly reflected by its name.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit a7e4516f19b80efdd8743704920adb504ffaff60
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 6 09:29:42 2016 +0100

    bonjour: Work around a macOS 10.12 bug
    
    NSNetServiceBrowser and NSNetService do not properly release the
    delegates, see https://crbug.com/657495 and
    https://openradar.appspot.com/28943305

commit d8203596f9e6a772fdaa4dd8c52ba77e49261406
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 5 11:39:48 2016 +0100

    bonjour rd: Add bonjour renderer discovery submodule
    
    Add a bonjour renderer submodule to the bonjour service discovery
    module, so it can discover chromecast renderers (for now) and others
    in the future.
    There is still some work needed to make it detect chromecast
    capabilities correctly and to not hardcode it to chromecast.
    (See the TODO comment)

commit be0e8244040374f0ce84765e18fc5ad49f9de7d0
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 5 14:25:11 2016 +0100

    macosx: Use assign for the vlc_renderer_item_t pointer in VLCRendererItem

commit 35a9d3a7361c2fb1e25156f941e55c968e0e88f7
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 5 14:11:29 2016 +0100

    macosx: Fix wrong ivar declarations in VLCHUDTextFieldCell

commit 95988232008780978950de68b2795a1ea3c063a1
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 5 13:58:46 2016 +0100

    macosx: Fix logical error in VLCHUDTextFieldCell
    
    This does not make much difference as setting bezeled to NO
    enables bordered anyway, but this could be confusing as it
    would not really make sense according to the comment above
    that code.

commit eda2b348f77ceb878036ebae41b231033828f362
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 5 13:36:16 2016 +0100

    macosx: Correct VLCHUDSliderCell knob rect
    
    Correct a visual issue where the VLCHUDSliderCell
    knob would be clipped as the rect is clipped on the left for
    unknown reason.

commit 88b040922ceb2bd657ab73ae3597a6f1afc3e31b
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 5 13:32:03 2016 +0100

    macosx: Improve VLCHUDCheckboxCell
    
    Improve drawing and colors of the Checkbox Cell for
    use on dark HUD panels.
    This still requires a bit work but looks ok now.

commit 38e9a1728573d5048c3d944000b5d595b04dadeb
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 5 13:02:59 2016 +0100

    macosx: Use better colors for text in VLCHUDTextFieldCells

commit 8f33018707fd16f2408bb2b27b5cf53bc120106c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Dec 5 12:58:38 2016 +0100

    macosx: Use VLCHUDTextFieldCell instead of BGHUDLabels
    
    This removes all BGHUDLabels and sets the new VLCHUDTextFieldCell
    as the cell class.

commit 89174a426366460a8d763f52ec72fc1967b1385e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 15:57:07 2016 +0100

    avcapture: disable libdispatch ARC support for now to retain compatibility with macOS 10.8 and 10.7

commit 8fdbfcde7823de50e220aaf9b22aee114e9fafbf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 4 15:25:19 2016 +0100

    text_renderer: freetype: use default_style in render()

commit 3f511aeddda18d22671da69e759875e3843ceb1c
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 4 13:48:38 2016 +0100

    macosx: Remove spdif checkbox from simple audio preferences

commit 7f1934f5109913f900db57b3fa9688f739f06a8f
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 4 13:47:29 2016 +0100

    auhal: Remove spdif option
    
    Auhal can detect spdif support for itself, as the spdif option
    meaning changed, the variable shall not used anymore.

commit febff6273b1b7174173febe5235fe3f0f6876f85
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Dec 4 13:37:14 2016 +0100

    package: macosx: Eyetv configure switch is gone

commit 24ce1f2bf0ed2e3bf20c40ae5ed4380fd443becf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 13:42:22 2016 +0100

    macosx: remove 'README' UI

commit 5c26ad66d4b3b1d3de13ae778161f9ddde25cd59
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 4 14:36:29 2016 +0200

    VLSub: don't pretend to support HTTP 1.1

commit f9e9ed16ee9ac388f965a615c776d9bf68c3ed5d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 13:35:30 2016 +0100

    extras/macosx: fix packaging VLC.app

commit 934bd4bc9c2564ad3684b1a5af14f359b8d5125a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 13:34:23 2016 +0100

    contrib/libbluray: don't enforce use of fontconfig on appleOS

commit 8a922414eb3bc08e5458371f7618dc7f5378caaf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 13:34:12 2016 +0100

    contrib/libass: don't enforce use of fontconfig on appleOS

commit 7d8c253582deb6ce2d33320163cc3d10b534eacf
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Sun Dec 4 11:10:46 2016 +0100

    packetizer: hxxx: map SMPTE 2084 to the VLC value
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 90af03db08f5224a482736bfff2de6454f630abb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 13:17:05 2016 +0100

    Contribs: update protobuf to 3.1.0

commit 1e93312fabccb54253d7aa522843764c7269236b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 13:11:59 2016 +0100

    Tools: update protoc to 3.1.0

commit 9dd6c95e20ce0ef6a48505b5b5d84d3e8371b16e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sun Dec 4 12:16:05 2016 +0100

    codec: mediacodec: fix code style, wrap long lines

commit 2cf2a1517ee119867e9df760a6bc1cb7db0e9746
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sun Dec 4 12:13:14 2016 +0100

    codec: mediacodec: use anynomous union

commit b1dca7f0c02e248f1aa9352c26b3c09cc4b01a8f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 4 12:04:02 2016 +0100

    vlc_es: don't set defaut 1:1 AR

commit 29f0e2ec87c8c36ec7e802b12c2b461340124ed3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 11:59:04 2016 +0100

    macosx: remove EyeTV UI

commit c2b39301ccc7797b28f56a2ee28cb94ce56722bc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 11:18:36 2016 +0100

    extras/macosx: remove script to create Universal Binaries as we don't need it for the foreseeable future

commit 4fe394f2f4016b9ef07fe84dbfa634a88e9b3321
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 11:45:10 2016 +0100

    build: codesign-dp is gone

commit 006237604fa557245ab6a89ccb2453b3c86cb6bf
Author: Filip Roséen <filip@atch.se>
Date:   Sun Dec 4 11:35:04 2016 +0100

    demux/mkv: fix chapter publication condition
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5f2aa10e68130f10ebb5029503a155cae602a7cf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 11:37:18 2016 +0100

    build: remove reference to ios build.sh

commit 5c42461b96eb25250094ee0f0a06e6189a5bcaa8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 4 11:35:23 2016 +0100

    po: Remove eyetev file

commit 46b6e7af7640bc827a37c482948cf8de7034b57c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 1 12:59:59 2016 +0100

    vout: opengl: return in case of mem alloc fail

commit 8683e20c4fbc6e09fa82c4881bb6cc3b1f70af44
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 1 12:51:53 2016 +0100

    vout: opengl: GL_LUMINANCE* is deprecated starting opengl* 3
    
    Use GL_RED/GL_R16 instead of GL_LUMINANCE/GL_LUMINANCE16.

commit d6555063e85460e19efa44fe05101fb58ac580b9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 4 10:46:07 2016 +0100

    codec: dvbsub: fix regression (#17737)

commit d56a1e344016e99ff3c66a95545cabdec6634bfe
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 10:34:23 2016 +0100

    Remove unmaintained and outdated EyeTV support

commit c612f2431b7ccb25fb135c466d311ede02c88301
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 10:30:46 2016 +0100

    Remove Mac specific README as its time had come

commit 42e4c9cb99657a7a533f30ef16c7f6cff7681506
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 3 16:48:15 2016 +0100

    mux: mp4: simplify trackinit

commit b8afd4d6e7b6bf54444b410319192ee872953c49
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 3 16:26:46 2016 +0100

    macosx: Handle abort of login window correctly

commit 6aac090f5395825742491035ad60af38290a99bb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 3 15:43:44 2016 +0100

    extras/mac: remove code-signing script for previously shipped script to delete VLC's preferences

commit ac0d6d1f41344b31563148a705504d507aee95f8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 3 15:40:34 2016 +0100

    iOS: remove build script
    
    The script is now part of the VLCKit.git

commit fb9ab461aa79943962930941579017cb64745dda
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 3 13:50:30 2016 +0100

    hotkeys: increase the 360 nav sensitivity

commit d3d2a16b5b7f7904326e071400770e5d6ca3ff82
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 3 13:36:51 2016 +0100

    macosx: Fix playlist duration calculation for media library

commit 39f034a682f467840c47e8a35fb60f87660e0ae3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 3 10:27:57 2016 +0100

    vout iOS: remove translation

commit 554d3cd9d542e7d21e59841e552845e590efc135
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 3 10:27:47 2016 +0100

    audiounit: remove translation

commit 7ff760c671eeb3e315bf80c5bc63d61280f1d634
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 3 10:27:33 2016 +0100

    audioqueue: remove translation

commit 0424e86713514c66a8af021c0c40bcfded22924e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Dec 3 10:25:10 2016 +0100

    vout: android: remove translations
    
    No point in having translations for a module that is only used by libvlc.

commit 3078a7c8a37458e6d71deedc85e40d3aece99674
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Dec 3 10:24:50 2016 +0100

    codec: mediacodec: remove translations
    
    No point in having translations for a module that is only used by libvlc.

commit ab3019622ce2da63c34465776207782c480a6900
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Dec 3 10:24:29 2016 +0100

    aout: tizen_audio: remove translations
    
    No point in having translations for a module that is only used by libvlc.

commit 8fdb2a376e2fe27268af51233d71f168a096d066
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Dec 3 10:24:00 2016 +0100

    aout: opensles: remove translations
    
    No point in having translations for a module that is only used by libvlc.

commit f56819d166dde3afde0b4f94609162508f49f686
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Dec 3 10:22:13 2016 +0100

    aout: audiotrack: remove translations
    
    No point in having translations for a module that is only used by libvlc.

commit a747acb7b021be6a3b5430b2caf06a92a1a93d80
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 3 01:21:59 2016 +0200

    qt: fix incomplete commit f59a3272

commit 27a081c2344267ea7bf741823a8945a01293847a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 2 17:48:18 2016 +0100

    lua: work around 32-bit integers limitation in vlc.var
    
    Integer object variables use 64 bits. If lua integers are limited to 32
    bits, use floats when necessary.
    
    Ref #17285

commit 26e83d54b6a9f71073271f7a74f0d21ff2cd8668
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 2 17:11:42 2016 +0100

    httprequests.lua: use proper binding to get current stream length
    
    ... instead of the "length" object variable.
    
    Ref #17285

commit e9a775915fe68a51a45db4989152a71becd4429f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 2 17:00:04 2016 +0100

    cli: optimize current playlist item marker

commit be8f61c0a5be99d861e7d71f0b4be8f897fecc21
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 2 12:06:50 2016 +0100

    cli: use proper binding to get current stream length
    
    ... instead of the "length" object variable.
    
    Ref #17285

commit f7686767fc7f135d45e294e7ff2409d65240145a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 2 11:30:14 2016 +0100

    soundcloud.lua: update API magic

commit 5d2341eb19e4618fc347a44a927e1fd85533eecc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 1 19:02:55 2016 +0100

    codec: mediacodec: pictures are progressive

commit 41d21a660817ffa6b76adaa55f3dc434fc830aa2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 1 18:39:48 2016 +0100

    iOS/tvOS: fix simulator compilation with Xcode 8

commit f59a3272f50ebae0cdc4dbebbd52539da09f3b4d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 1 19:23:36 2016 +0200

    qt: remove stray flags

commit 151f90ba03da55ff1ef05a2c835d82344695ef4d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 1 18:02:14 2016 +0100

    vout: android: handle spherical projection as a last resort

commit 5172aa6620248e6d2ff61b8c63120616d4eebeba
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 1 17:56:07 2016 +0100

    libvlc: video: fix viewpoint update when there is no input thread

commit d7f11468dfc78dc9ffd371054bfffb1a3e8d5730
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 1 00:14:19 2016 +0200

    qt: remove support for Qt4 with X11 or QPA

commit 0cae94326b562ee1ad858eac29a4dbfc87ed9677
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 1 00:11:03 2016 +0200

    qt: remove --mouse-events
    
    --keyboard-events and --mouse-events are meant for the non-embedded
    provider and LibVLC. They make little to no sense in GUIs.

commit c2d69ef720d9f7e867af1a1b521d0d3c93a55049
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 1 00:10:32 2016 +0200

    qt: remove uninitialized member

commit a910b64b2cec0f5f39ebb6c86423a62722f88608
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 22:39:26 2016 +0200

    vdpau: add two buffer per decoder thread
    
    Now that we do not allow arbitrary large buffers (to avoid crashing the
    GPU), the initial boundary needs to be large enough for smooth decoding.

commit 1d13fb602994301012de3cf7d7855464e34b9111
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 28 14:06:33 2016 +0100

    direct3d11: log how many pics were requested when we refuse to create the pool
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b52e4833e651c40384b4871aec0104955e8fdb6b
Author: Josef Andersson <josef.andersson@fripost.org>
Date:   Mon Nov 28 20:41:10 2016 +0100

    Corrected Swedish desktop name to be in line with other Swedish FOSS translations
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 921d37dd06604def8054df0ec76ecbadf736b470
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 29 11:36:41 2016 +0100

    jpeg: handle Spatial RDF metadata coded as XML data
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c1ae08c2c8e713a49da64352033c122f9a0c11ff
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 18:47:57 2016 +0200

    vdpau: remove the manage callback

commit e390a60e6bb57797117aa97eebed89e95531068e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 18:49:58 2016 +0200

    xcb/xvideo: remove the manage callback

commit 5d4e758d18548ec357a801958dc8d28fdd67360f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 18:48:34 2016 +0200

    xcb/x11: remove the manage callback

commit 4ecdf7d99469e973cdb1846b0bfd29a694fa11d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 18:39:25 2016 +0200

    xcb: really remove mouse events from display plugins

commit cdade38c73e2c184170a086e4e772b0c58878154
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 18:34:43 2016 +0200

    xcb/window: remove no-op

commit 0eba087eaea3de1b6b861566b9383e9d4639c933
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 18:35:57 2016 +0200

    xcb/xvideo: remove stray xcb_flush()

commit 09d330f03a3288938f5797978973237f9e5d0652
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 18:35:47 2016 +0200

    vdpau/display: remove stray xcb_flush()

commit 7af17b8fd89ef2dc81b83276029c17a4df559a84
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 18:33:19 2016 +0200

    xcb/x11: remove stray xcb_flush()

commit 30dc60272da1871df722eb1779bb1d21d6b133b5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 30 15:43:37 2016 +0100

    qt: handle window mouse events
    
    Ref #9787

commit 34821277637646a6416a731b76716d0fedad39cd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 30 12:12:13 2016 +0100

    vout: xcb: remove mouse cursor handling from displays
    
    Ref #9787

commit a695036a527ca8256ae824d65440d8a58c0970e8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 30 11:56:46 2016 +0100

    vout: xcb: window: implement VOUT_WINDOW_HIDE_MOUSE
    
    Ref #9787

commit 1a0a8254cc93ff099c311001e674e7a914598d77
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 30 11:56:13 2016 +0100

    core: vout: add VOUT_WINDOW_HIDE_MOUSE
    
    A window can now hide the mouse cursor. If this control is not implemented by
    a "vout window" module, the control will be sent to the "vout display" module.
    
    Fix #12064
    Ref #9787

commit 9ef9ebb072451b7a8b5d43f51ec2a11c75da1cd2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 30 18:05:44 2016 +0200

    configure: require libva >= 0.37 (fixes #17706)

commit 66a638cbe9bd8746aa1cac84a2a9317f3e5a5382
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 30 15:33:15 2016 +0100

    vfilter: fps: incorrect fps stored in picture fmt

commit 5153e130a8b65de3a8c38ae39425c93409dba23f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 30 15:06:18 2016 +0100

    vfilter: fps: proper use of date

commit 0951cb7cd2752125d2ec97b450f4ac7061079d07
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 30 14:47:56 2016 +0100

    vfilter: fps: simplify variable reading and remove fmt copy

commit 6878cf5f9e89996f90f5727a338736c2215194e8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 30 13:38:30 2016 +0100

    Snap: more rights for external medias and inhibit

commit d83bd182f7492e1687083a515ab364bf590c8fc6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 30 11:09:40 2016 +0100

    vout: ios2: sys->vgl can be null

commit 11f58819d00c70e29b363bcca2d7fa746acd2825
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 23:45:58 2016 +0200

    qt: enable window provider only if when supported

commit 7d33a100250a8dd447b19f3d02767b15ed518eba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 22:59:02 2016 +0200

    win32: use _WIN32_WINNT_WIN8

commit 7118f0b05ba55b0406110730edd201a090cc41a9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 22:58:51 2016 +0200

    win32: use _WIN32_WINNT_WIN7

commit 91ad414900176c0c9490bf0698380e30d0e19190
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 22:58:27 2016 +0200

    win32: use _WIN32_WINNT_VISTA

commit 785b0f18d70815288c8a673bcd0f3849af7ef6f7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 22:08:48 2016 +0200

    qt: add Wayland run-time detection
    
    This is for the GUI only. It does _NOT_ include video embedded
    windowing.

commit 84796d325a67aab36a2800d94f5fa44d4ab9dbfe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 22:08:03 2016 +0200

    configure: add conditional for Qt5 X11

commit d04a027873879c36e2d3fb84ea9cc6c35d698573
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 21:54:37 2016 +0200

    qt: run-time check that X11 is used
    
    ...before calling XSync().

commit dbc5b8ca6e23ec9cbffbe1be8221e686f48dcf88
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 21:53:59 2016 +0200

    qt: fix compilation on Qt4-X11 (untested)

commit ee5605bf5754c334026eab5c5546a3d40a98a1a2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 21:31:57 2016 +0200

    qt: add intermediate p_sys variable

commit 64c997cb83c346d7c65876ef7a12da7165b97041
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 21:07:31 2016 +0200

    qt: fix X11 ifdef

commit df38af198ead6b10cac7dda33584894bc5904cd1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 29 19:50:53 2016 +0100

    vda: compilation fix

commit 3dd26a14e64c09b3f7f57f809349e25de23c1d3a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 19:56:29 2016 +0200

    qt: clean up X11 ifdef's

commit e496e5c3fc6b33675fe43847770ad88de67c15cc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 19:54:23 2016 +0200

    Revert "Qt4: make video widget not eat mouse click events"
    
    This reverts commit bd057d1bbcde511df0a1fc2c3128ab252ff20095.
    This very old hack is no longer necessary.

commit 6e6297e170cd0691f9d8710c9bacc51db946bf11
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 19:51:12 2016 +0200

    Revert "qt5: unsubscribe disable motion and XI2 mouse events"
    
    This reverts commit 4e55554c37e7c55586c41a5e9fc50f393167ac0b.
    This explicit hack (by design) inhibited XI2 support. It no longer
    serves any purpose.

commit 00a3e51ce5215240d3fea485a998346dafa01629
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 29 19:05:45 2016 +0200

    doc: improve pagination for log functions doc

commit c1aa56aa09e7de492e1a94f5b0bfd985d90f6edf
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Nov 29 14:19:36 2016 +0100

    avcodec: va: assert sooner when the data are not right
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit ac1f5fe207ef6c98cf0da4a796dea4b4e37f4289
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Nov 29 14:19:35 2016 +0100

    avcodec: va: respect the buffer release prototype
    
    It has always have an extra uint8_t pointer.
    
    --
    replaces https://patches.videolan.org/patch/15166/
    fix compilation
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 89c7023526acc60e3078dd5315d24c7621ce55d9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 29 14:23:33 2016 +0100

    vout: decklink: fix restart handling
    
    now can properly handle multiple items

commit 3ef8c0993f3d241ec39f8771e7d6a70f06a6f418
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 29 11:52:23 2016 +0100

    vout: decklink: unify sys

commit 2b860fc41144a6c5c648b9d27898d85e990fb8be
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 29 03:44:31 2016 +0100

    cli: remove deprecated vlc.sd.is_loaded() call when listing SDs

commit 9555aa09aeb63d3a3ee30b3f099a9180d5445ad1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 29 02:58:18 2016 +0100

    playlist: fix typos in documentation

commit 8d5040cfa8e60916c6244f008f0e348dc66e4b75
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 28 23:44:40 2016 +0200

    vout: invert default for event thread
    
    The name was confusing and only three rarely used video output plugins
    suffer from this bug.

commit 1ec06f9a8092c05cab9b8ee591735b084bbd1ad2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 28 23:40:50 2016 +0200

    gl: event thread is not needed
    
    This video output never sends key events.

commit df48e332f748fb05205476f53ed7a53fde13462e
Author: Mathieu Velten <matmaul@gmail.com>
Date:   Mon Nov 28 20:11:05 2016 +0100

    vaapi: add support for HEVC decoding
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a3797ea8eae74bb622579705207df6fed6a6ed14
Author: Mathieu Velten <matmaul@gmail.com>
Date:   Mon Nov 28 19:54:28 2016 +0100

    vaapi-drm: try the render node before the card node
    
    This patch make it work with Wayland on Fedora 25.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2570c6ce23e73c4a99c15c1cf5279bd95e16692e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 28 19:40:05 2016 +0100

    vout: decklink: add static asserts

commit 19d9eb8e1226ef38c38b810272d84fff0e8e274d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 28 19:17:57 2016 +0100

    vout: decklink: check video connection parameter
    
    Does not fail on setting

commit 1f6082d0e6e7a52f524d89de3f0aa0345e206933
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 28 19:45:45 2016 +0200

    xcb/glx: remove GLX video output display plugin
    
    This is replaced by the GLX OpenGL provider plugin.

commit b5243c985b5e611a35d78d64eea235b334dfa052
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 28 19:43:49 2016 +0200

    gl: module is no longer experimental

commit f39bc9c4eb97e963b896a6d2b6f385607c2164b3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 28 19:43:42 2016 +0200

    gl: fix memory leak

commit a62fba042f4adb290dba0af49dfa45a310e80d86
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 28 19:38:55 2016 +0200

    xcb: remove mouse events

commit 20839a09adf33367de26e5277324abe72ee3b8d0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 28 19:21:06 2016 +0200

    xcb/window: handle mouse events (refs #9787)

commit 3a715b7dd556a0a8ec992a7ef83e1ee623d0cb68
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 28 17:25:05 2016 +0100

    vout: decklink: ensure nosignal picture has same format

commit 753cfc8f233bc23ad6b0616b8a08d7a384dae69e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 28 16:21:01 2016 +0100

    vout: declink: split signal image and fix fmt corruption

commit bfd43b519a7da86cb5d9a4df2e8babe90bb8d9be
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 28 10:27:47 2016 +0100

    vout: gl: activate gles2
    
    This module isn't built by default, so it's safe to assume we want to use it
    when the build is enabled.

commit 44e70121f9ba81fe7b3ae74fd96b798439f3b3e6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 28 10:20:32 2016 +0100

    vout: gl: don't handle Android opaque fmt

commit ec65d2e2d42e6dcf42b80158cd481ec6a0495d18
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 24 17:05:35 2016 +0100

    vout: opengl: increase picture max for gles2
    
    This restriction was here because gles1 devices didn't have much memory, but
    it's not the case (anymore) for gles2 devices.

commit e92e785b0138336db0b07da8dec9f05bf4b5f7c3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 24 16:17:39 2016 +0100

    vout: android: can't handle projection
    
    use androidgl instead

commit e093c829e3994e1599dcdd004fbd0fd079e8f17b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 23 14:50:42 2016 +0100

    vout: android: set is_slow when non opaque

commit de4b40698dc562700e85611d81f22b752e069690
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 25 15:12:08 2016 +0100

    vout: android: simplify

commit 3d9f101c5bded52f243f655bbe86c686fe8f5f41
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 24 18:34:30 2016 +0100

    vout: android: don't poll window size and mouse events

commit ce3879d3df2e2621765b36db5a9e44431cb56e3f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 23 10:25:16 2016 +0100

    vout: android: remove useless pf typedef

commit c45aa5ebf4a600791b613437456c3d404e568bca
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 23 10:03:50 2016 +0100

    vout: android: fix utils.h comments

commit 1223557f8b62dc11c77142c9876cc10ca06ec920
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 22 18:23:49 2016 +0100

    codec: omxil/android: get the native surface from the vout

commit ee1c41694436c7ef812ace205fb8adee3860f8db
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 22 18:16:11 2016 +0100

    vout: android: move native_window_priv_api_t from AWindowHandler

commit 6d32f1491daaf62f29f4eff8eb104da4b0f35311
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 22 16:38:25 2016 +0100

    vout: android: rename p_handle to p_surface

commit 329c3c0258ccdb5ed331ef19e45ac67ea4a7bda7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 22 15:39:43 2016 +0100

    vout: android: add back "vout window" module
    
    The android-display depends now on the android-window module.

commit 59e0fea8d8eaf9b9f3342f70cf9f4f67031df231
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 22 16:00:07 2016 +0100

    vout: android: window can't change the video layout

commit 92a8ff01aa1e76e23c6bae72104dbb522d57abe9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 22 15:38:30 2016 +0100

    vout: android: store AWindowHandler in window handle

commit 5d175d23debc71f143400c92efee3d46622d3dc9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri May 27 17:43:43 2016 +0200

    video_output: rename android_native_window to android-window

commit d5a12edeb0db9a3148a64d3e1e4e82c9d59ac9ef
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri May 27 17:32:08 2016 +0200

    video_output: rename android_window to android-display
    
    Since it's a "vout display" module.

commit 38aca24fb0cad5badd38d5ad07665c23844a1867
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 24 18:03:32 2016 +0100

    libvlc: media: add projection in libvlc_video_track_t

commit 08670a3de27d4c6221dac5d11490f9d353f312c4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 24 18:03:03 2016 +0100

    libvlc: media: add orientation in libvlc_video_track_t

commit 45740ca2e675eebca69aed9308a104121c67bdb5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 25 16:42:13 2016 +0100

    core: window: handle mouse events
    
    Mouse events can now be caught by "vout window" modules in addition to "vout
    display" modules. Mouse events are propagated to the vout_thread_t via a new
    vout_control. That way, window mouse coordinates can be translated to video
    coordinates from ThreadControl (where it's safe to access vd->source and
    vd->cfg).
    
    Ref #9787

commit 7d92250228a4d5b2729e9abe72c8929289e558f9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 28 11:10:16 2016 +0100

    vout: decklink: incref decklink_sys in open

commit bd9218a1689b5a09b9b309e5d504f4d396a2503a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 28 11:03:35 2016 +0100

    vout: decklink: incref on decklink_sys getter

commit 155dcb01e90d4238bccdfe04560ac1394e7af3a1
Author: Steve Lhomme <slhomme@matroska.org>
Date:   Sat Nov 26 06:17:23 2016 +0100

    directx_va: reduce the number of necessary decoding buffers
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1a5e35f88f1cca05096438be76135a19151d2e8e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 23 17:24:01 2016 +0100

    direct3d11: factorize similar Pixel Shaders
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e86c7fbbf36adf4839799113b679fb0a024f0ba9
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 23 17:24:00 2016 +0100

    direct3d11: pass the colorspace convertion
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1ebe10fabcd98a5ea616df3cbc223b64b3959549
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 23 17:23:59 2016 +0100

    direct3d11: pass the Pixel Shader white point as a constant
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c0377d0481667d13803101d9972c9e47638af249
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 23 17:23:58 2016 +0100

    direct3d11: use float4 for YUV/YUYV sources to be multiplied by matrices
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 308adde88e3ba89653bf5c163316387381adb746
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 23 17:23:57 2016 +0100

    direct3d11: add a Pixel Shader constant matrix to do colorspace conversion
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7d024e58331dcce68480f4e45e8538d40bfe98a4
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 23 17:23:56 2016 +0100

    direct3d11: code cleaning
    
    - 16 is for 4x4 matrices
    - group the opacity padding in an array
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5c2ac7eee3c85cd48306f63ff9b0350031bf38aa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 27 18:20:46 2016 +0100

    vout: decklink: schedule frames in prepare

commit e3cef24925a5ff7b6b1f2caea5a4dca46c4b33d9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 27 18:21:46 2016 +0100

    vout: decklink: configure framerate

commit 8f2629d9d2800d621a1456d773686bed3589fd7d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 18:16:52 2016 +0200

    playlist: add/fix some documentation

commit 41b8427d75de164c71d77d1a9455dfea5e60b74e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 27 13:07:25 2016 +0200

    arm_neon: fix compilation

commit 10a24cfeb5f5615755a29bf3c767134d05281371
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 26 15:46:22 2016 +0100

    vout: decklink: fix incorrect pic pool format
    
    refs #17690

commit bfab9beabbb07bdc01fef0b4af13466dcb7d4ea1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 25 23:00:04 2016 +0200

    Move spu source and filter plugins to dedicated directory

commit 878be93de1da53099211f6f24fae524d9a86e983
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 25 22:46:46 2016 +0200

    puzzle: use UTF-8 encoding

commit c06e3ed9d9bb9e215a4123751f77f3a1707d8b82
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 25 22:46:06 2016 +0200

    Remove most nested headers from <vlc_filter.h>

commit 24dddc303deb11d3bb4acd0c4dba18df4cdfde23
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Fri Nov 25 10:33:40 2016 +0100

    core: remove the 360 video viewpoint zoom
    
    The functionality is provided by the fov parameter.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit cd022d9cddd007ea1dc0fda861924a76b36970f2
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed Nov 23 20:03:16 2016 +0100

    hotkeys: change the FOV instead of the zoom
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 899c1952cf45332a0d71e67abd849cbf5e8b65bf
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed Nov 23 20:02:17 2016 +0100

    vout: opengl: compute the camera position only with FOVx
    
    Below a threshold of 90 degrees, the camera stay at the center of the sphere.
    Above this threshold, it linearly dependent of the FOVx value.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c18c70f554c70e4c6865ad7a77ade841b409f81b
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed Nov 23 20:04:44 2016 +0100

    input: clip the viewpoint FOV with min and max constants
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 75ed38db031c0a59ed15ebcc00ecd3af6ebcde69
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed Nov 23 19:59:02 2016 +0100

    vlc_es: add min and max field of view constants
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 122dab39ec8dc933a2ddac900d80f2a56df6e93b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 25 10:18:44 2016 +0100

    vlc_es: rename DEFAULT_FIELD_OF_VIEW_DEGREES

commit 2d0619ad10c2ed8372baa66b56250fe1a5b0296d
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed Nov 23 15:13:18 2016 +0100

    vout: opengl: f_fov in vout_display_opengl_t sets the FOVx
    
    FOV usually refers to the horizontal field of view and not the vertical one.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5a67ef064179cd140e8d02dd9500744d46ab3363
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Mon Nov 21 18:26:25 2016 +0100

    vout: opengl: transmit the window aspect ratio
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 2f4ae29134d9165e214c85227392c674e004ff02
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Mon Nov 21 18:24:54 2016 +0100

    vout: opengl: set the view frustum in function of the window size for 360 video
    
    Previously, the frustum aspect ratio was set in function of the flat video
    resolution, which is not related at all to the view frustum shape.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit daf26e96cd7ad86bbb381a0e20d5b4c150f68a6e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 21 14:09:01 2016 +0100

    display: fill the whole video display in non-flat mode
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e54c9bed8790580101135f8684fc95b6eabaff0c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Nov 25 09:20:36 2016 +0100

    macosx: Disallow Window tabbing
    
    VLC does not use Window tabbing as it does not
    allow multiple windows in the sense of multiple
    tabs or documents at the moment, so we disable
    tabbing explicitly, to not have a slightly confusing
    menu item to enable tabs without having support for it.

commit 58e58bc045ab4a27af0818f2b0e650fef311fd05
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 24 20:26:04 2016 +0200

    vdpau/avcodec: account for multithreading
    
    Like the other video acceleration backends, multiple decoder thread
    require extra picture buffers (at least to keep playback smooth).

commit c628e724b290303f98714f5ee382782a06307985
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 18 15:14:30 2016 +0200

    input: event: don't set non-existing list variable
    
    This reverts commit 7ddd2f341f6bd54282061fa44d5c96d2dc560256.

commit 9b428d6823c675fd8c58f1fb2f7f16e4a8154c06
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 24 18:14:50 2016 +0100

    demux: adaptive: allow to retimestamp on segmentList merge
    
    incorrect segment time with hls updates

commit 9037ee6ed259b9d1faea2eadaff603862304e4bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 24 18:41:57 2016 +0200

    vdpau/avcodec: fix flexible array size

commit fb9ba9cbb37a56b7e4ee401d50380cfb3d6dca2e
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Wed Nov 23 17:23:37 2016 +0100

    core: merge the video format pose fields in a struct
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 3bf60326e50131547134e9870645ca6979d6cd78
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 23 23:56:34 2016 +0200

    win32: use LoadLibrary() instead of LoadLibraryW()

commit 9f110ac14c4cfd19b340fa7ecbf83bb106298de0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 23 23:56:02 2016 +0200

    win32: use LoadLibrary() instead of LoadLibraryA()

commit 75809d1f2780ecf47df1689f09ffa7b2c1142c3a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 23 22:27:45 2016 +0100

    cli: bring back long lost current playlist item marker
    
    After 10 years of absence :(

commit 5eab2397a86ca6bed93664cd3735945323e54d48
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 23 21:39:57 2016 +0200

    stream_filter: limit probing recursion (fixes #17670)
    
    This limits the number of filters that are probed automatically. There
    are no valid use cases for a large number of autoprobed filters.

commit b5b6c9409ecbe6e2fdc53a24c8469b8773ed1da0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 23 18:05:17 2016 +0100

    Contribs: update fluidlite to fix Reset All Controller issue

commit e72b4cfac135d1425142e622bc6fc4525cfb97fa
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 23 16:12:25 2016 +0100

    lua: fix comments about playlist API expansion

commit bf9003a0ac736b0b8798e34e6051880a4f9d24a4
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 23 15:31:39 2016 +0100

    lua: release lock earlier when querying playlist status

commit 79c779b380498259b28ac0b7b633b9fdb5b8204f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 23 15:01:50 2016 +0100

    input: es_out: remove invalid assertion and fwd declaration
    
    Asserts on captions on regular es

commit 68ed0645198ef152ac0070289efe68a03f5b1089
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 23 12:41:26 2016 +0100

    Update playlist documentation for input item ID removal

commit ccfdb5ae5251b1e4b9977c785d061609c4897279
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 22 21:50:01 2016 +0100

    Remove Direct2D module

commit 7284bd2d00ad71c4576baecb3051222f59817d17
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 23:04:38 2016 +0200

    vdpau: remove invalidated comment

commit 23569106994500c753fda466188182263e17bb13
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 22 13:23:19 2016 +0100

    direct3d11: deduce the ID3D11Device from ID3D11DeviceContext on winstore builds
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 687fe78e4900131ad66de4a6e4586f0fa27cad33
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 22 11:59:44 2016 +0100

    direct3d11: the flat Vertex Shader doesn't need any constants
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 37ab9432b1e037e0a9f3d12d1582741f915839eb
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 22 11:59:43 2016 +0100

    direct3d11: use the projection Vertex Shader for non-flat sources
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f897df68e68fa4929a837a74ff5a8671967c0ff3
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 22 11:59:42 2016 +0100

    direct3d11: update the projection constants when the viewpoint changes
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b44667ea589afbd7758cc183f955eb32e26b186b
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 22 11:59:41 2016 +0100

    direct3d11: add a Vertex Shader using a projection
    
    The projection matrices are passed via a constant buffer.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a12906dc5d8632d2e78dcf1b5a31dc47bdc6b9d1
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 22 11:59:40 2016 +0100

    direct3d11: display equirectangle sources in a sphere
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6734ad934b838eff29bbe07abe8836debf5c9c76
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 22 11:59:39 2016 +0100

    direct3d11: split the code to create the vertex/index buffers for each quad
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ccc8a356d3448651da251fe165d4bc2adcd73de0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 21:56:31 2016 +0200

    vdpau/avcodec: remove backward compatibility code
    
    VLC requires a newer libavcodec version anyway.

commit c19f472ff08ec446dba680e47dd66b2880215d81
Author: Filip Roséen <filip@atch.se>
Date:   Thu Nov 17 05:21:09 2016 +0100

    demux/mp4: adjust to changes introduced by 8f9b76e
    
    ExtractIntlStrings is only applicable for a limited range of boxes,
    though with the recent changes following its introduction it might be
    invoked for entities it is currently not protected from misdiagnosing.
    
    These changes make sure that we only interpret a box inside the
    function if:
    
     - the atom is known as a metadata box
     - the box has been parsed
     - the box has a father, and it is ATOM_udta
    
    The check so that we do not parse boxes that contain a "data"-box has
    been removed given that this check is more suitable at where the call
    to the function is made.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 8ea4f4f71b744ec3da24830e866389b5f2e25155
Author: Filip Roséen <filip@atch.se>
Date:   Thu Nov 17 05:21:10 2016 +0100

    demux/mp4: fixup of f695cf0
    
    The mentioned commit inaccurately assumed that every path within
    SetupmdirMeta requires the "metadata" box to have a child of type
    "data", which is not the case.
    
    These changes simply changes the behavior so that we invoke the
    correct parsing mechanism when it is applicable.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit b49d6f452e9b1369addcb1bab388981080f07348
Author: Filip Roséen <filip@atch.se>
Date:   Thu Nov 17 05:21:11 2016 +0100

    demux/mp4: make sure we have enough data remaining in ExtractIntlStrings
    
    The previous implementation would assume that we would always have at
    least 4 bytes of data left in the pending buffer, which can cause us
    to read more bytes than available inside the loop.
    
    This change make sure that we do not continue parsing if this happens.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit bf444c6983ff5170b9f6dacee39385bfbcb93912
Author: Filip Roséen <filip@atch.se>
Date:   Thu Nov 17 05:21:13 2016 +0100

    demux/mp4: fix handling of com.apple.quicktime metadata
    
    The previous implementation would ignore metadata keys unless there
    was a mapping to both AppleNameToMeta, and AtomXA9ToMeta, which is of
    course erroneous.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit bb08b9c452baf0f1878a04dc9fc312191a06c828
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 19:37:27 2016 +0200

    vdpau/display: fix subpicture leak on error

commit 813fb259943f2baace107414f0c41cc1d8c193e8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 22 19:09:36 2016 +0200

    vdpau: fix double free on error

commit 9dc69483de48d348f969c209e6e4ea9687b415f4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 22 10:01:54 2016 +0100

    codec: gstreamer: fix build

commit 2ffa685a93a4348baf458a22a2470f8b5db3c63b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 21 23:24:53 2016 +0200

    dvb: downgrade error messages
    
    The old DVB plugin generate syntax error messages on valid MRLs that
    the normal DTV plugin just fails to open (e.g. due to missing tuner).
    This has proven very confusing.

commit d9a1df6d4a7f97e1ed6d1e14f8e9ace0133063f4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:50:21 2016 +0100

    codec: svcdsub: use video_format_Init/Clean

commit 6babd6d345df7b4a8debb9919d6c0148a1b95abf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:48:33 2016 +0100

    codec: subsusf: use video_format_Init/Clean

commit 84651a60e2ad8a9afabb82bdfdb5b95eee5627bc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:40:58 2016 +0100

    codec: spudec: use video_format_Init/Clean

commit 4e34d4f905f6811bcb0306fc718f18ce96b88f66
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:37:29 2016 +0100

    codec: kate:  use video_format_Init/Clean

commit 24959530c0c9db552810d07df519dda1693a4232
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:33:43 2016 +0100

    codec: dvdsub: use video_format_Init/Clean

commit 0861b9b5ad9717242d151c503d9d3666418539e5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:32:56 2016 +0100

    codec: cvdsub: use video_format_Init/Clean

commit 25b37b0c07e3dcab8384bbcecfeb479d3c145131
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:31:19 2016 +0100

    access: vnc: use video_format_Init/Clean

commit a762315ce844fe52a77af0c39cc46c35bf010268
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:29:06 2016 +0100

    vfilter: mosaic: use video_format_Init/Clean

commit 6338806fda02bd6aeff24bd39be6914c7cffe8fb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:22:42 2016 +0100

    vfilter: erase: use video_format_Init/Clean

commit 789e8aeaa7992f3a34c506e1988806f74686eced
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:21:22 2016 +0100

    vfilter: alphamask: use video_format_Init/Clean

commit d487e659aa9b2872647269e680f98c091be25f50
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 20:19:05 2016 +0100

    text_renderer: svg: use video_format_Init/Clean

commit 755578c8c50db8e0bacf59ad2bd7f8972b92178a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 18:52:58 2016 +0100

    codec: gstreamer: fix unsafe copy of video_format_t

commit 8b37b6e7282271f95dcb090ade7134dc550f3faf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 21 22:14:23 2016 +0200

    M3U export: fix URLs with non-ASCII characters (fixes #15455)

commit 9b1ac09c996c9502402738419d989da561abd4f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 21 21:17:37 2016 +0200

    input: remove input_item_node_t.pf_compar

commit 4860e4e3b097a242deb1a07e29afeaa16ac75257
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 21 21:13:25 2016 +0200

    input: remove constant input_item_node_t.b_can_loop

commit 2cdf4fe167d563c12da9695a95ae2d469567f2c1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 21 17:48:41 2016 +0100

    VideoToolbox: fix wrong function type check

commit 43cb94a067c6aee2ce1c066fea3db4355398534e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 16:15:48 2016 +0100

    packetizer: h264: fix fps computation (fields/s vs fps)

commit 80aba5b08505214a8ce6b1e0ff2b634aa3aaddcb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 15:32:18 2016 +0100

    vout: decklink: fix mode fps debug

commit 25a09922948cbeed0574ffd36c3ba8558792cc5f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 21 15:07:07 2016 +0100

    vout: decklink: debug field dominance

commit e4e2626d9e6029b58b71b539cdc9047d75ecae83
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 19 20:30:55 2016 +0100

    vout: decklink: use 10bits output as default

commit 1c21aeda9411b952f00b4372df11acb7f5bb92a4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 17 20:08:23 2016 +0100

    vout: decklink: fix format auto selection

commit 081fcde974df6e67838ea91b63cacefdf5160e2e
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Apr 11 10:44:49 2014 +0200

    decklink output: use variable
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 798d289903875c69194ae45ed010083ad1b71836
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 21 10:03:05 2016 +0100

    direct3d11: compile the vertex shader only once
    
    also set the vertex shader layout only once
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1620731b1475a69b7348fee497e435e4da0f4452
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 21 10:03:04 2016 +0100

    direct3d11: rename globVertexShaderDefault to globVertexShaderFlat
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ad1ef4b904a9874aea59b8a313bed3b4448cac8d
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 21 10:03:03 2016 +0100

    direct3d11: pass the opacity value as a constant to the pixel shader
    
    it is not needed in the vertex shader
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 95f195dbbd6dc1b6345db4f901778b36dcdf4615
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Mon Nov 21 10:03:02 2016 +0100

    direct3d11: use a different vertex shader per quad
    
    The SPU need the flat vertex shader but others may need different shaders.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 29ecd6448abe923a10133af3e768672fc18d4e95
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 21 17:27:44 2016 +0100

    videotoolbox: assure that the vout is configured before creating a pic
    
    This fixes a regression from 47467b9628e4776164164ab9c6caadf3b36c2408
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9cc1042ef6b73573b5c8d7b42701386638199b23
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 21 16:24:14 2016 +0100

    es_format: remove useless init
    
    p_palette is already initialized from the memset

commit d5400c1afa27a8be713fee7a4a0fc6c3a27bd2a7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Nov 21 16:20:32 2016 +0100

    es_format: init video_format from es_format_Init

commit 4890a413e8fc0e780149b94ff46a0239094d052b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 20 19:28:21 2016 +0200

    ftp: handle preliminary (1xx) reply systematically

commit bc9fc74d681df71ce28e2f39c3cf886dfa5e9e5a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 20 19:17:08 2016 +0200

    ftp: factor common line receive code

commit 2b0e83c33ecffa5d24a10436692e1f4f38e7b168
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 20 16:44:46 2016 +0200

    Qt: remove dead SD mapper and menu code

commit 9aaa9f7fbef3b1da0eacb288621ac92cd7251917
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 20 16:31:48 2016 +0200

    lua: fix playlist locking

commit 15bfa0f7ef26a713733f80ce08b98eb7b8f86c0b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 20 16:31:27 2016 +0200

    sd: split generic and playlist code to different modules

commit fde9226ab2a8ed833067117c984f58a57f327c38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 20 11:48:16 2016 +0200

    win32: do not pretend to implement ftrylockfile()
    
    This is not currently used anywhere in the code base anyway.

commit 0d3f7a9e0fbc5eba2385aea770b44cd19fd05f2f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 23:45:35 2016 +0100

    Win32: remove outdated change-contribs-directory.sh script

commit a7854c861b51e15005a8977d593bbeca10a1bb78
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 23:44:28 2016 +0100

    Win32: manifest can be 0644

commit 6f5d821574b078668945a7538863e85c6bc91647
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 23:35:58 2016 +0100

    Makefile: Move win32 and MacOS specific files in their folder

commit 55f5b75167502ce7b5f70fcaac86abf0f78f7132
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 23:28:43 2016 +0100

    Remove outdated altlinux spec file

commit 270dc6a47f36315602502ebb9677c1344e6534b6
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Sat Nov 19 23:07:40 2016 +0100

    ios2 vout: fix the inverted video orientation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 040714ac2087bd0438e07423284884298a27c732
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 22:58:48 2016 +0100

    iOS build: forbid daemon and fork calls

commit 7d4761c540e2da66cd651e5fd9df34426f6c40a3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 19 22:29:29 2016 +0100

    cpu check: use HAVE_FORK where applicable

commit 68448424dd1f3e1f3f1653494dcc2e50a9d16bb3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 23:14:33 2016 +0200

    ncurses: fix root node tracking

commit 4ad950d0eb7db35273f8d6701cd3cd6ede0059d1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 23:07:16 2016 +0200

    ncurses: remove nonsensical pl_lock
    
    This lock "protects" two things:
     - The need-update boolean which can more easily be protected by the
       playlist lock.
     - The "node", whose lifetime is not correctly handled anyway.

commit ee9408e6e7fb22e0d88e16d3cc40109edfd5937a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 19:20:31 2016 +0200

    ncurses: fix exit and clean-up
    
    Make cancellation safe and simplify.

commit ea5fe6789dcff56b7ffd080d18b1283f5250fb7c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 19:01:20 2016 +0200

    ncurses: identify playlist item by input item
    
    This fixes a whole lot of use-after-free bugs.

commit 8b898e61fe0f817f16164a9a53321d1e94153045
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 18:30:31 2016 +0200

    ncurses: missing lock

commit b35575cae3082ea4f36119c877b7335b2860762b
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 17 22:53:21 2016 +0100

    osx_notification: Remove "item-change" callback
    
    Notify as soon as the current input item is changed,
    as it is not a good idea to rely on an item-change
    eventually happening later.
    This will result in some items that are added and played
    immediately lacking metadata in their notifications but
    this seems like an acceptable edge case.

commit 5111ca464be74a116201499c49f49af0db6557b3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 17:24:31 2016 +0200

    playlist: remove constant playlist_Add() parameter

commit 06fcb250409e2cbe130c1a3b8ec19c91dc3bf129
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 17:15:43 2016 +0200

    playlist: assert lock on (non-NULL) VIEWPLAY control

commit 2b69fa1f941806839cf3bae503b28ff0bf2719e7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 17:11:34 2016 +0200

    playlist: remove unnecessary shortcuts
    
    Controls can be processed if the playlist is empty. They just do
    nothing. Conversely, stop need not be processed if the playlist was
    already killed.

commit df6c654ef47740027edc37001964ebd4c6618c3f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 17:09:15 2016 +0200

    ncurses: only append to PL or ML
    
    User interfaces should only add new items under the playlist or the
    media library nodes. In particular, they have no business adding or
    removing SD items.

commit 06f2a64ba2eaec5beea490c0d89840d93102edfe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 16:41:53 2016 +0200

    playlist: remove useless intf-change object variable

commit b459e18dbfbe462313fc46d99b3a6a81e69a4d32
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 13:26:21 2016 +0200

    playlist: remove position parameter to playlist_Add*
    
    This removes the insertion offset parameter to playlist_Add(),
    playlist_AddExt() and playlist_AddInput().
    
    intf_InsertItem() was the only occurrence where the offset was zero,
    a side effect of how the command line is parsed backward. This is now
    done explicitly with playlist_NodeAddInput().
    
    A non-zero positive offset made no sense, since:
     - the number of children of a node can change asynchronously while the
       playlist lock,
     - the back-end asserted or triggered undefined behaviour if the offset
       was out of range.
    DBus was the only occurrence of this bug (see also #17451 comment:4),
    and has been fixed in an earlier change.
    
    In all remaining call sites, the offset was PLAYLIST_END. This removes
    the parameter which would otherwise constitute a useless constant.

commit bbe53b4f49eb0ce537409643ba1b431053aaf1d2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 13:19:06 2016 +0200

    interface: clean up intf_InsertItem()
    
     - Handle and report errors.
     - Fix and improve documentation.

commit 8cc1c986b8288cf9444ee4809cad53f751695218
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 12:59:11 2016 +0200

    playlist: remove constant duration parameter to playlist_AddExt()

commit 0aa7f149a5174856d1724a22520c7ff3523d068b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 12:51:38 2016 +0200

    dbus: fix racy track addition (refs #17451)
    
    This fixes potential assertion failures. Insertion position must always
    be valid.

commit e5652b3354a6f560bc3f7e2abf92da3b74800ca9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 12:04:08 2016 +0200

    playlist: remove useless parameter

commit 06bde4a9993ebc02ae3eabec44c19349df007839
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 12:01:47 2016 +0200

    playlist: remove unused NO_REBUILD flag
    
    The flag is sort-of-implemented, but never actually used.

commit 4a2f6a81943b877f0f2c10ce1861c6fbe020565c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 11:59:01 2016 +0200

    playlist: remove APPEND and INSERT flags
    
    They are set but never used. In practice, the (following) position
    parameter determines whether the item is inserted or appended. A
    positive position means insertion; PLAYLIST_END means appendment.

commit aa555f7966131c5d439ac443ea4e7514e9ac2b38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 11:52:58 2016 +0200

    playlist: remove no-op PREPARSE and SPREPARSE flags
    
    PLAYLIST_SPREPARSE is not used anywhere. PLAYLIST_PREPARSE is set but
    has no effects whatsoever.

commit 7a94f2e6b22bad255ddcca6e095ed33bc4803e45
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 00:26:02 2016 +0200

    lua: remove cargo-cultivated cancellation

commit 6acc10eb1c3e1beba591b8a94ecd7e2c2d1a317d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 19 00:06:17 2016 +0200

    skins2: remove playlist pointer copy and simplify

commit ed100a38ce60d72181acca0f9240f137913fd9de
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 22:39:18 2016 +0200

    playlist: remove playlist_item_t.p_playlist

commit e996f3d39f471fcf9fee8e4d71afaa5e90354de7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 22:33:00 2016 +0200

    playlist: remove use of playlist_item_t.p_playlist in callbacks

commit a33e28cefd110b376270f84e5ce2c4ec33809ec7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 22:29:20 2016 +0200

    playlist: delete array earlier during destruction
    
    Remove items from the arrays takes time, especially during playlist
    destruction. In particular removing an item from the current array
    requires a linear search and then a memmove(); that was the bottleneck
    with quadratic complexity while deleting the playlist. (Now the
    bottleneck is removing items from their parent.)
    
    Destroying the arrays early on skips those steps entirely.

commit f2a6855990c71b28453a6083cc6e37b16b73faac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 21:40:54 2016 +0200

    playlist: use search trees for ID and input to item mapping
    
    Regarding input item look-ups, this reduces asymptotic complexity from
    linear to logarithmic time.
    
    Regarding ID look-ups, this reduces insertion and deletion time to
    logarithmic. Previously it degraded to linear time because of memcpy()
    and memmove() in ARRAY_APPEND and ARRAY_REMOVE macros.
    
    This removes the "all_items" array, and its missing error handlers.
    
    Finally, this adds support for allocating more than INT_MAX items
    during the entire lifetime of the VLC instance. (The maximum number of
    _concurrent_ items is still INT_MAX, but memory would probably run out
    before that is reached.)
    
    Note: Item deletion still requires linear time. And playlist deletion
    still consequently requires quadractic time because of the "current"
    array.

commit e2858db5f17510e0625508175feba41acfa8c696
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 18 19:26:46 2016 +0100

    Revert "contrib: define CMAKE_SYSTEM_NAME when building for Android"
    
    This reverts commit 6290ebf68b5f59b7c1b272c242e62377fee4b557.
    
    It behaves badly depending on the CMake Version, and on our buildbots...

commit 5714803ead8f22dd08bd1549fbb775845ca210a4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 20:13:34 2016 +0200

    win32: don´t clobber process DLL directories (fixes #17663)
    
    LibVLC has zero business messing with process state. This breaks
    apps other than VLC and other libraries in the same process.

commit 11400bc5171270ff4650792b3995a1f670e48fb1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 20:10:25 2016 +0200

    vlc: do not load kernel32.dll
    
    vlc.exe already depends on kernel32.dll, so there is no need to load it
    explicitly. It can simply be looked up.

commit 5d9004a6441410e39f3dc229253c5073654a129c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 20:07:58 2016 +0200

    vlc: set default DLL directories

commit e5d458a7d85586053ac48ca7431becf5e924cdd5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 19:56:40 2016 +0200

    win32: fix IDN support when building retardedly

commit 281252c2dc66637795d5d5ed3b3dc54f84fee974
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 18 19:46:27 2016 +0200

    win32: don´t clobber process error mode
    
    Regression from e44f6165c138a1e715b5dd738155f9eb6dc90143

commit 4f5ab6dabdd7d034e3bf66fe9234f60ffacef1ad
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 17 12:45:28 2016 +0100

    OpenGL: more const
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 22fef9cdd6b6f985c40cdc075ea1482881e6e38f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 17 12:45:27 2016 +0100

    OpenGL: fix typo in comment
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d38296e626c7225932f224f220dd48f594b5ead2
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 17 12:45:26 2016 +0100

    OpenGL: code cleaning
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 119fb16bef9bf9fb62ee2db3f5a05fb3fd862186
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Nov 17 12:45:25 2016 +0100

    OpenGL: the zoom translation depends on the sphere radius
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5d48ad31e3bec86def868ef1f2bbcb45d01c1c1b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 17 12:06:08 2016 +0100

    hotkeys: handle 360° zoom with mouse wheel

commit 5c01b5d1312c35fa48ea64d1dbe5b1b14d536348
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 17 12:05:36 2016 +0100

    hotkeys: handle the mouse events for VR/360° navigation

commit 7ef3112223063ba78f4da7d232898ffd5df3a5f9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 19:30:27 2016 +0100

    hotkeys: listen to new inputs and new vouts
    
    Listen to playlist "input-current" to update the current input_thead_t, and
    listen to input "intf-event" to update the current vout. The vout/input don't
    need to be fetched when processing an action, this removes one FIXME, but this
    adds more lock complexity.
    
    This will be mainly needed for the next commit, in order to listen to mouse
    events from the vout.

commit 31c33ab24dcf9de787ae5214c4f4066dbff77dcd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 16:05:53 2016 +0100

    core: vout: notify when the viewpoint can change
    
    The boolean variable "viewpoint-changeable" will be used by interfaces in order to
    know if 360° navigation should be handled.

commit 7579cb0250ac4cc7e441f11d6c9b354197b1a58e
Author: Filip Roséen <filip@atch.se>
Date:   Fri Nov 18 09:02:30 2016 +0100

    lua/vlc: vlc_sd_probe_Open: fix memory-leak
    
    vlc_dictionary_all_keys requires the caller to not only release the
    returned value, but also the entities this value refers to; these
    changes fixes a memory-leak due to not doing the latter.
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 42c2b52b80710953227b8cee7747246fdbf86578
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 17 22:31:48 2016 +0200

    input: fix resuming from pause at EOF (fixes #6490)
    
    As things stood, the input was paused at EOF... and when resumed would
    get straight back into pause.
    
    This adds a flag to heep track of the occurrence of pause at EOF. If it
    occurs a second time in a row, terminate the input thread loop.
    
    If however the user seeks backward and resume, clear the flag and resume
    playback normally.

commit 4d1a065d485e7c107269102677f68d612e77f65f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 17 22:05:18 2016 +0200

    playlist: unregister input item callbacks at exit (fixes #17087)
    
    Destroy remaining playlist items normally.
    
    This does NOT fix #17652.

commit 4151f731a9a58a66e2931ae51cdb5939523e7c6b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 17 22:02:08 2016 +0200

    playlist: fix use after free in current array
    
    The "current" array is *not* sorted by ID. Binary search cannot work
    there. (Maybe this should be a linked-listed instead.)

commit 707cbccdd2b255568efca42d23c4a56da5f90bf9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 17 21:44:23 2016 +0200

    playlist: remove redundant hack
    
    Forcing an input item into a playlist item breaks common clean-up
    procedures.

commit a21d87cdd0c89b8ec36038fac63234221b5b43e0
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 17 06:59:51 2016 +0100

    sd: force playlist node deletion
    
    It is necessary because nodes are created with the RO flag.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 72f21416f2f1dac135cb933fb069353bce65153a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 17 20:01:29 2016 +0200

    playlist: remove unused expanded flag

commit 17f268596c0089d90f7341a6127e64e66ab67c86
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 17 19:13:33 2016 +0200

    playlist: fix flawed logic
    
    Regression from cc67adbfdcf3d084a8b2860e58dea0d711f24010.

commit 6d75b6515f4c33762dc85fc303d51a3f79473be5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 17 13:00:58 2016 +0100

    demux: ts: add DTS registration comments

commit 4473980e931a4e69e289cd85a0dc72b284a9b861
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 17 10:11:59 2016 +0100

    hxxx_sei: refactor and pass cc format directly

commit c8c9f30d7264895798690ee234e00d6b647f353a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 16 20:12:17 2016 +0100

    hxxx_sei: allow to differentiate T35 payloads

commit 2b7a60de8ec91870390c92d5609a82c2405fa905
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 16 20:54:30 2016 +0100

    codec: cc: allow to pass format directly
    
    and strip unwanted headers

commit 9d1754b9de248025e52f2fdbc02fe1127bc9df28
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 16 20:48:11 2016 +0100

    codec: cc: name enum type

commit ae0cb07a82384200b2e1fa1902f0fcfa2f1c84ae
Author: Filip Roséen <filip@atch.se>
Date:   Thu Nov 17 10:25:15 2016 +0100

    input/input: remove unused legacy variable
    
    psz_timer_name was introduced as part of bf117f4 (2008-04), but the
    usage of the variable was removed in e3a897c (2011-11); as such it
    does not longer serve a purpose.
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 9ffd8de8652e2c5050ad7809afc67907e7e9bf17
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed Nov 16 16:11:15 2016 +0100

    vout: opengl: scale the zoom to the sphere
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 8b3460eccb3532c1388f10f08ec5810814b8b017
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 15:34:27 2016 +0100

    vout: opengl: add a define for sphere radius

commit f4ea7434d2a68d8b39244dac2aeb7fe4acb2d545
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 13:44:08 2016 +0100

    libvlc: add f_zoom in libvlc_video_viewpoint_t

commit 4ad8cdba147c61c403f54e7dd1aefe087c145643
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 13:38:15 2016 +0100

    core: keys: add ACTION_ID_VIEWPOINT_ROLL (not bound)

commit 7250ce82dac585f3de66a017c7bb6962e431416c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 17 09:47:28 2016 +0100

    core: keys: bind page Up/down to viewpoint zoom in/out
    
    ACTION_ID_VIEWPOINT_FOV* are not bound anymore

commit 70ad5ae84ec6194edde0700650c52d211018e9f5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 13:14:35 2016 +0100

    core: keys: add ACTIONID_VIEWPOINT_ZOOM_*

commit d68a92f55b05f971d554ec3ad5cb2cace6872445
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 13:12:02 2016 +0100

    core: keys: rename ACTIONID_FOV* to ACTIONID_VIEWPOINT_FOV*

commit d59e76a52a3311616566f107e4eb6cb620c5b8be
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 14:15:15 2016 +0100

    core: keys: less translation for VIEWPOINT_FOV_*

commit c26f59fbcff28c795e394998302017f6d0fd0b0d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 13:08:59 2016 +0100

    core: vout: clip viewpoint zoom to [-1.f, 1.f]
    
    From -100% to 100%, default is still 0%.

commit a892f9aa7660499bec487cd1f537181b5cffc2d8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 17 09:22:54 2016 +0100

    video_output: fix viewpoint initialization from input
    
    Partially revert commits 8a62e7a2e14d8715e9783c895661a3901a2b96bf
    and 2d32661b145718b2d31dbf9a2f23b7f7af39799c

commit 8b4e5c8847b6fba21f9ec566396d22dfabf5278b
Author: Filip Roséen <filip@atch.se>
Date:   Thu Nov 17 03:36:24 2016 +0100

    gui/macosx: adjust to changes in 9d2aa1f
    
    The mentioned commit removes the last parameter of playlist_AddInput,
    causing an error diagnostic when trying to build gui/macosx (due to
    too many arguments being passed).
    
    These changes simply adjust the function-call so that it uses the
    right number of arguments, by dropping the (now removed) last
    argument, effectively fixing the build.
    
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>

commit 8a62e7a2e14d8715e9783c895661a3901a2b96bf
Author: Filip Roséen <filip@atch.se>
Date:   Wed Nov 16 22:43:03 2016 +0100

    video_output: default-initialize viewpoint if variable is missing
    
    This fixes 360 playback with OpenGL
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 286b556dbca0d54c4b6d528662699b1e1f00743d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 17 00:03:45 2016 +0200

    playlist: remove playlist_DeleteFromInput()

commit e7a4c97c94c28aad194b8fb9cd292828669e5e4f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 23:59:09 2016 +0200

    playlist: replace playlist_DeleteFromInput() wit playlist_NodeDelete()
    
    playlist_DeleteFromInput() requires recursive search through the whole
    playlist to find the correct playlist item. This only makes sense if
    the playlist item or playlist item ID are not known.

commit 9d2aa1f9f170767c88dee6777f6532bc33db9594
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 23:42:00 2016 +0200

    playlist: remove locked parameter to playlist_AddInput()

commit b46ae2a9398def500867ad8583d8af3d12bb8f14
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 23:42:00 2016 +0200

    playlist: remove locked parameter to playlist_AddExt()

commit 284b59b94f503b44e9bdc00a89f30fcc8e72e0fc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 23:42:00 2016 +0200

    playlist: remove locked parameter to playlist_Add()
    
    This is always false. For unlocked insertions, playlist_NodeAddInput()
    is preferred.

commit a0214475ebf6250bdab7be7ab4d717c2e56b72e1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 22:34:32 2016 +0200

    playlist: factor common code in playlist_AddInput()

commit 3f8bbdd86859575d4ac0c42c017de4adf8944b4a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 23:12:27 2016 +0200

    playlist: playlist_NodeAddInput() asserts the playlist lock
    
    As any function that requires a valid playlist item as parameter, the
    function can only make sense with the lock already held by the caller.

commit 77207fe1c111d6c080e818e6e97fccdb5b781c1f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 23:22:59 2016 +0200

    playlist: rationalize playlist_Export() prototype
    
    Passing a playlist item parameter to a locked playlist function cannot
    make sense. This replaces the parameter with a boolean to select the
    playlist or media lirary - like playlist_AddInput().
    
    The prototype bug was introduced ed0b72e3 before the playlist tree
    locking was defined/implemented, and somehow did not get corrected
    until now.

commit ffaa3171985fb2a57d5eeb67d89e93c2c5a5f7fe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 23:12:27 2016 +0200

    playlist: playlist_RecursiveNodeSort() asserts the playlist lock
    
    As any function that requires a valid playlist item as parameter, the
    function can only make sense with the lock already held by the caller.

commit 7b2ff4df683e526bd3a5c17e2d216705018e5ac3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 22:22:15 2016 +0200

    playlist: declare playlist_NodeAddInput() only once
    
    It is declared in <vlc_playlist.h>.

commit 4630d8e25a64fb748c05ecb78375a9f2057c0923
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 22:19:52 2016 +0200

    playlist: inline playlist_NodeEmpty()

commit 9afd42ce8d8474970fe800aeb746f7c488f48aa8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 22:16:33 2016 +0200

    playlist: inline playlist_DeleteFromItemId()

commit 50c44e464eed62a5a8ddb4721df582c35aa9a801
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 22:03:05 2016 +0200

    playlist: remove item parameter of playlist_NodeCreate()
    
    Nodes are not supposed to have real input items. The parameter was
    always NULL, except when copying another node, in which case it did not
    matter whether it was or was not NULL.

commit df87ece475373a807c3c26fa48258cf59a7a8e22
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 20:59:25 2016 +0200

    playlist: remove unused mutex structure

commit e486d6b0f58a239ac8945d9056e7bbd5424ba622
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 20:49:16 2016 +0200

    playlist: remove constant playlist_ItemFindFromInputAndRoot() parameter

commit 25e9e187562379b334a42f00d45603a665d75768
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 20:46:27 2016 +0200

    playlist: inline DeleteFromInput()

commit 2f78e03d62c08a7da2be524787d165681fc659e1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 20:41:09 2016 +0200

    playlist: remove unused playlist_DeleteFromInputInParent()

commit cc67adbfdcf3d084a8b2860e58dea0d711f24010
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 19:04:42 2016 +0200

    playlist: remove constant playlist_NodeDelete() parameter

commit a71f611fa4ea386050276664825879677f3cf21e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 19:01:13 2016 +0200

    playlist: remove constant playlist_NodeEmpty() parameter

commit cf8b24f05438d6bc451e0d17bf2bf3d006a5cbe3
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Nov 16 17:17:00 2016 +0100

    demux: mp4: support 360° v2 spatial metadata
    
    as found here https://github.com/google/spatial-media/blob/master/docs/spherical-video-v2-rfc.md
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1afd117faf50e266998ace5f08f06e52b2260958
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 16 18:31:14 2016 +0100

    macOS notification: fix crash on first item

commit 066d30b918ac9c084dc2725d9f4c483fd4f581b0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 17:48:22 2016 +0100

    vout: opengl: remove duplicate vout_display_opengl_SetViewpoint

commit 2d32661b145718b2d31dbf9a2f23b7f7af39799c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 16 17:48:03 2016 +0100

    core: vout: initialize viewpoint from input

commit f695cf0b5a6556f424dbbb4a6e607ba0528a788a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 18:41:29 2016 +0200

    mp4: fix NULL dereference (fixes #17651)

commit 8c8e84144181f678e23437a139c2b5b99bb8d978
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 17:51:27 2016 +0200

    playlist: fix item parenting regression

commit a6fd99e4e8efba957e457a864fcdbf89298817cf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 17:48:37 2016 +0200

    lua: fix memory leak when getting/inherting string variable

commit b8ab80704585a516f780dff2a1a70440ca9c1501
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 17:46:08 2016 +0200

    osx_notification: fix input item usage

commit c08c1e74d6026d9db9f17ca16bdd00cb4d8dddbf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 17:37:15 2016 +0200

    lua: remove constant parameter

commit 09a26d40407d80a9a3ebe3b61cef24d87f1a9dbd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 17:29:10 2016 +0200

    lua: use vlc.strings.url_parse()

commit 4aa188cac86e89ecaa589f8f28ce31281103b45f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 17:28:24 2016 +0200

    lua: move url_parse() from net to strings (fixes #3447)
    
    Leave an alias in url_parse() for compatiblity for the time being.

commit eb43fb752f8ce4c92ab2a3d55070709c13ecc6ac
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 16 15:48:07 2016 +0100

    demux: mp4: fix undefined NULL cmp
    
    Since that's now using ARRAY_SIZE

commit 8f9b76e90e16c2a9199c6cb5c9ffff8327252e1c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 16 15:32:25 2016 +0100

    demux: mp4: remove ReadBox_String
    
    Same usage as binary data

commit 7f74ae29092a716ee0c554ca31f468fbba6e5e1e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 15:29:02 2016 +0100

    luasd: handle memory error on probing

commit ec80ab802c7976aafbbc47ad11ef6e77b33d6778
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Thu Sep 29 15:34:48 2016 +0900

    vlc_fixups: define EPROTO if necessary on OS/2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b2b29786183dab2237423f3708ade6b3858ff62c
Author: Filip Roséen <filip@atch.se>
Date:   Fri Oct 14 11:44:46 2016 +0200

    meta_engine/taglib: read lyrics tag in Id3v2
    
    fixes #17494
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 810539f1b835fee4c7700d4d4480901f76317987
Author: Filip Roséen <filip@atch.se>
Date:   Wed Nov 16 11:37:07 2016 +0100

    demux/mp4: fix 17608: add support for parsing international strings
    
    fixes #17608
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 3089fda2ee67f2a3766a26faf221e3735664abbc
Author: Filip Roséen <filip@atch.se>
Date:   Wed Nov 16 11:37:06 2016 +0100

    demux/mp4: meta: replace usage of legacy helpers
    
    Replace the usage of legacy helpers with ones where common
    functionality is shared, effectively avoiding code-duplication.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 5ff87f2127cbab93dfa2313a7398324179c85a19
Author: Filip Roséen <filip@atch.se>
Date:   Wed Nov 16 11:37:05 2016 +0100

    demux/mp4: meta: add more versatile helpers
    
    The helper functions currently present in the relevant files are a bit
    too broad, leading to duplicate code in terms of functionality.
    
    These changes introduces three new helper-functions that will be used
    to refactor/replace the legacy implementation.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 2750558c2d2566148f8844f607bc8eb40a834532
Author: Filip Roséen <filip@atch.se>
Date:   Wed Nov 16 11:37:04 2016 +0100

    demux/mp4: store length of payload in MP4_Box_data_string_t
    
    MP4_ReadBox_String is invoked for boxes that contains raw
    byte-content, though there is nothing saying that this raw-byte
    sequence does not contain a null-byte ('\0').
    
    If the sequence contains a null-byte, then there is no way (in the
    previous implementation) for things working with the box-content to
    access data that follows it (given that one cannot know if the
    null-byte is the end-of-data terminator, or simply part of the
    payload).
    
    These changes make sure that the entire contents can be accessed by
    including the length of the contents in MP4_Box_data_string_t.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 57ff42122f34fee45d78937467c0a5285cabb911
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Oct 20 15:17:11 2016 +0200

    direct3d11: avoid crashing later in the decoder
    
    ID3D11VideoDevice::CreateVideoDecoderOutputView() crashes when the texture has
    more than 30 slices. Luckily we never need more than that.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bde3abf936df7211af0168447720246b0df998dc
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Oct 18 13:03:16 2016 +0200

    tools: cmake 3.4.1 is sufficient
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ee5fad6a354d4fde1bb98f715e0455c603599554
Author: Pyry Kontio <pyry.kontio@drasa.eu>
Date:   Fri Oct 21 22:32:07 2016 +0300

    Fix the tools bootstrap version check
    
    It was broken when ProtoBuf 3.1 was installed system-wide, for example.
    
    The bootstrap script that outputs which binary tools need to be installed, incorrectly
    detects that Protocol Buffers 3.1 is a compatible version with 2.6. This changes the
    check on the major version number to require it to be same, not just bigger,
    since changes on the major version numbers might be breaking changes, as was the case
    here.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aa3c0676355c3610693b55b78bce7e0cf04eb6cb
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sun Oct 23 16:18:12 2016 -0400

    demux/mkv: add proper compiler flags as required
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 551fc0a3f496c1a7d1920dea0ca0eb804eb5c708
Author: Sanchit Arora <sanchitarora13@gmail.com>
Date:   Sun Oct 23 22:39:12 2016 -0400

    contribs: move OpenJPEG downloads to github releases
    
    After complete migration to github
    http://www.openjpeg.org/2015/07/19/github-migration-and-new-website
    the old download links do not work.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 71ec2c472bfd4a23a1eb06e10de57c17f37c5a4c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 14:47:40 2016 +0100

    luasd: de-duplicate script names before probing
    
    Fix #3353

commit 6290ebf68b5f59b7c1b272c242e62377fee4b557
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Oct 26 17:34:37 2016 +0200

    contrib: define CMAKE_SYSTEM_NAME when building for Android
    
    Otherwise CMake doesn't understand properly it's cross compiling
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b044f2dd2e6df527b3928dd029c2df71df5fd67a
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Oct 26 17:37:19 2016 +0200

    contrib: sidplay2: use the same autoreconf than other projects
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b409b390fb9adcebb46320f8da3f294789adbcdf
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Oct 26 17:37:43 2016 +0200

    contrib: sidplay2: remove cached autoconf files
    
    otherwise the antique automake 1.8 is used
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2ae7ad4f19098cfefd91f758e9cdbfb1096cee3e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Oct 26 17:41:01 2016 +0200

    contrib: libxml2: don't use LZMA if the header is not found
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ed83de24abc9de89d9b34a83cd3278e79a2e3994
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Oct 26 17:41:20 2016 +0200

    contrib: qt: don't build release build in debug mode
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c36eb466f2f0012d582014d2731d47595872b327
Author: Filip Roséen <filip@atch.se>
Date:   Sun Nov 6 03:17:25 2016 +0100

    demux/nsv: ignore unsupported blocks
    
    The previous implementation would crash given that p_sys->p_video and
    p_sys->p_audio is not guaranteed to be non-NULL (they can be NULL due
    to an unsupported codec).
    
    These changes simply make sure that we do not try to send blocks that
    do not have have a corresponding ES (causing a crash).
    
    fixes #17571
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cea401cedda1de2971a704619a422a2032e7f97c
Author: Filip Roséen <filip@atch.se>
Date:   Sun Nov 6 03:17:24 2016 +0100

    demux/nsv: early abort in case of unknown video + audio
    
    If neither video nor audio track can be played, these changes make
    sure that we do not waste our breath demuxing a stream that will not
    output anything.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bf03219b198239693ba7ae77d5fb127435fef7f5
Author: Filip Roséen <filip@atch.se>
Date:   Sun Nov 6 03:17:23 2016 +0100

    demux/nsv: improve diagnostics related to unknown codec
    
    It is more helpful to know whether the unsupported codec is video or audio, and
    given the seriousness of the matter; an error or is more appropriate than a
    warning.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 541daf88efdaba12dc9472d26641b3c1a1aa14f0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Nov 16 14:14:21 2016 +0100

    contribs: Fix ffmpeg git url

commit 23167dc939065c3144bc30add34c52efad69012a
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 15 17:30:31 2016 +0100

    direct3d11: don't set the number of index in stone
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e6a843c05229f695bac98598451420f51068da7d
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 15 17:30:30 2016 +0100

    direct3d11: keep track of the number of vertices we use
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8e8c40132404f0011007a12ac8c240cc4c9eddf0
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Nov 15 17:30:29 2016 +0100

    direct3d11: remove doublon include
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bfbef724fe86cd5ec32391af32b37dd243a980f9
Author: Filip Roséen <filip@atch.se>
Date:   Wed Nov 16 03:51:13 2016 +0100

    vlc_memstream: fix include-guard
    
    Simple fix of typo in the include-guard so that it actually does what
    it is supposed to do.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 20c426643a37e58cadbea05d44e2d0f2798812b5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 14:06:41 2016 +0100

    luasd: probe scripts by name in separate helper
    
    Ref #3353

commit d584df8dce9f7f8dfd75043501fd249a2e13cfaf
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Nov 15 10:59:56 2016 +0100

    opengl: use shaders for non-flat projection sources
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1b395e65abf4bcaf0ef8bbb25184a1c8a7459a48
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Nov 15 10:53:49 2016 +0100

    opengl: fix possible typo
    
    There isn't a case where program[0] is 0 and program[1] is 0. They are always
    created together. So the second part of the if() is never called.
    
    program[0] is for YUV and XYZ sources so it is odd to use it with a single
    planar texture, given that's what program[1] is for.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 050f6b91e2b566bf1a9775d9ad9af4bee24309c0
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Nov 15 10:50:16 2016 +0100

    opengl: add documentation for the shader programs
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 09b208c2899875bceee729b30b00c7284447a724
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 09:40:47 2016 +0100

    lua: privatize intf_sys_t

commit 683a93d957f8a6d503d8f77c771ac6ef145e617d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 09:27:30 2016 +0100

    luasd: fix loading with "luasd" module alias

commit 1cb2e61136a033b5c5c8b84260b9ddb5c2383f7e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 09:19:11 2016 +0100

    luasd: small reorder in initialization

commit 88ca90c26f1645cd2b8d257ddbc504cdc393db9a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 09:06:49 2016 +0100

    luasd: remove "longname" parameter

commit 0f82c2b597d0103510ac3d4facc8cfb335d181b4
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 08:37:43 2016 +0100

    luasd: set description field by directly calling script descriptor
    
    Instead of expecting the longname to be passed in the config chain and
    parsing it from there

commit 8a57fce912d9b3cc44b3f0124722db48475a5ee7
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 08:25:56 2016 +0100

    luasd: helper function to fetch longname

commit ceb9d2bad5af6179196f299bba52930d5674a6df
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 07:56:44 2016 +0100

    luasd: handle probing error more gracefully

commit 9a034400f7346843154f5d5cb3c670350f231712
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 16 07:39:47 2016 +0100

    luasd: remove useless strdup()

commit 3efc8f324196cb152b96e84ace97512448186acf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 00:09:23 2016 +0200

    qt: use stack for SD descriptor structure

commit 705dc653f5690e4b7c3420abf08b8c98405cd2cd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 16 00:06:02 2016 +0200

    playlist: pass playlist item as "playlist-item-deleted" value
    
    This makes deletion and appending somewhat more consistent.

commit 9bd12356d588d49801b94be1d211399758d0764a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:59:53 2016 +0200

    playlist: pass playlist item as "playlist-item-append" value

commit 88ca3f3852910eeb7553c7fc38827a8c4a5c8c76
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:55:27 2016 +0200

    skins: use playlist item ID for append (as for delete)

commit ce385e2711e5932c4ebf51d9c80b3a978c3f35d1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:46:50 2016 +0200

    dbus: remove write-only callback_info_t.i_node

commit dcc131f2ada6733a11517cda5f805b581f2b6da0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:29:45 2016 +0200

    playlist: make PLAYLIST_END equal minus one
    
    And simplify accordingly, notably inline playlist_NodeAppend().

commit d5f4d48d72b33a477b159edc0d966e00b21ab8e4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:25:19 2016 +0200

    playlist: remove unused remove flag

commit 5001f5b25e7e235caae319de04ffe4f6146d0c8f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:22:39 2016 +0200

    playlist: remove unused save flag

commit 7cccb99c8cf2a9c4d47e44b76780a510a8ec349f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:18:21 2016 +0200

    playlist: privatize playlist_Node(Append|Insert)()

commit 75c276e0b6a03de668a300fd5d93743d810dd279
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:13:49 2016 +0200

    playlist: privatize playlist_GetNextLeaf()

commit b25cd30961fc8401c5b927464069d501a25b99fa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:12:18 2016 +0200

    playlist: remove dead playlist_GetPrevLeaf()

commit 3f81cf7e6ed1f8dc61b398b856c45e9547e32d43
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:10:15 2016 +0200

    playlist: inline playlist_NodeRemoveItem()

commit f293153157b40a93f43b1b43c4967e149c9ba9cb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 23:04:14 2016 +0200

    playlist: make item deletion function return void
    
    ...where applicable. (Some other functions conditionally delete stuff;
    those functions can actually fail.)

commit 2575bf38f484da882d418171819373daa56bf522
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 22:57:43 2016 +0200

    playlist: privatize all_items array

commit ff130ffa31680504a0af6b67508737da82604350
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 22:54:37 2016 +0200

    playlist: delete items a.s.a.p.

commit 1fb88c4b3578d36b4b58772d62ce6dc2977e770f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 22:01:42 2016 +0200

    dbus: reindent

commit ef49326ff53da4f4a9c83e51ced85fc4edf8821c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 20:29:40 2016 +0200

    input: remove iput_item_t.i_id

commit 014d77b76e909588f51ad3a4cd313808feacfae9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 22:01:25 2016 +0200

    dbus: use playlist item IDs rather input item IDs

commit c90fc91a0ff42436c06fcba1aa57dfe09a55a66e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 21:50:35 2016 +0200

    dbus: simplify seek signal sending

commit 0d80c1cff4581efb81081dff48ce5acfe33b2299
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 21:19:37 2016 +0200

    playlist: add playlist_CurrentInputLocked()

commit bfc41c3592e0af8b52f22353269aa2776a54649d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 20:43:57 2016 +0200

    Qt: stick to playlist item IDs, do not use input item IDs

commit 3e6f68692f8d45382f7bd971474c782405841e08
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 20:46:48 2016 +0200

    playlist: constify playlist_ItemGetByInput()

commit 4212a60ea1caedd0eb353431f01c85df1db5af6e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 21:40:39 2016 +0200

    playlist: remove constant parameter

commit 03098679b04f9d5f1eb93a3912135789c2fa70f4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 21:40:07 2016 +0200

    playlist: inline playlist_DeleteItem

commit 2c5e709f8a49ae25fbb51c54a2577590fbf02d02
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 15 17:33:57 2016 +0100

    input: es_out: refactor a bit

commit da97e0752b00e4d6441ad6ed313eebc0dad92660
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 20:30:16 2016 +0200

    qt: remove unused playlist item ID type

commit 359d2b12ab7071603c857e1c3d455d0c10b412b0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 15 19:19:27 2016 +0100

    Copy: fix pitch size argument

commit 2a70d8415186f4a552231ec937eedfff6729a8ea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 20:26:00 2016 +0200

    lua: return playlist item ID from playlist.current()
    
    This makes more sense than returning the input item ID, which is not
    exposed in any other place and manner through Lua. And it seems that
    was the intent too.
    
    Then again, the value is either way potentially invalid by the time it
    is returned.

commit 3012eb8913854918a6c51199e0ea4b9a20ac498d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 19:18:14 2016 +0200

    sd: add missing N_() in probe helpers

commit 756a8843b825361a6d4f00efd105c136468304ad
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 19:12:35 2016 +0200

    sd: remove generic "longname" parameter
    
    This removes the longname parameter from the SD configuration chain
    generated while probing SD.

commit 747a44649fa7f090dea74892a11151503d6cb3f1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 19:44:43 2016 +0200

    sd: remove services_discovery_GetLocalizedName()

commit 155a3443e8c9d15cc4b587206963141539925e3e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 19:45:44 2016 +0200

    sd: add backward compatibility hack for Qt GUI

commit ab8caa5e70a66c5def988f0b6617de2f0c21ebca
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 19:13:51 2016 +0200

    sd: use description field instead of longname parameter
    
    This gets the name of the playlist node for a playlist SD from the
    SD module intance rather than from a configuration chain. The latter
    was a rather ugly hack, and did not work with the command line (-S).
    
    It also fixes localization of the name.

commit ce3a8f4b2242dca83e1c5bd7dc560f493d91f8ee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 19:10:44 2016 +0200

    sd: add description field

commit b3d01bed732f72712418146845a857f905db648d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 19:46:42 2016 +0200

    sd: remove stray declaration

commit 1e4c227201b9f35264e1088c5067641c6da2fdc4
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Nov 15 15:21:43 2016 +0100

    hotkeys: new hotkeys to change the viewpoint in 360° videos
    
    yaw: Left/Right (same a DVD/BR nav)
    pitch: Up/Down (same a DVD/BR nav)
    fov: Page Up/Page Down
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e23cb34d2cc7eea0a173e84281205653acdecf64
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Nov 15 16:19:25 2016 +0100

    libvlc: add the API needed to update the viewpoint in 360° videos
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 562a5f59b225e0366fdc6529f17c8834351946c9
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Sep 15 16:27:53 2016 +0200

    test: use the jpeg file to test vout specific calls
    
    make sure we use a dummy/portable vout by default in tests.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c194d6d7591aee3b5fa9384666a1564270936511
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Nov 15 17:43:33 2016 +0100

    vout: opengl: handle VOUT_DISPLAY_CHANGE_VIEWPOINT
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c5ae5a73ccf56548b7f487071a8d3bc5c04459f4
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Nov 15 17:42:34 2016 +0100

    vout: opengl: initialize viewpoint on creation
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 142bedc3a93c5e153a98f50380ea4a3d3f08026b
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 10 10:01:34 2016 +0100

    vout: opengl: add vout_display_opengl_SetViewpoint
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit a1561a60a5f1a78d0dcfe4b384006330907d7eef
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 10 18:24:18 2016 +0100

    input: add INPUT_UPDATE_VIEWPOINT
    
    This new control allows us to change the viewpoint of a given input thread. The
    viewpoint will be applied to all vouts (and later all aouts) of the input.
    
    The current viewpoint is stored by the input thread.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 335c16ab44753ec66244109e3f40b4ffe2242da9
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 10 18:24:17 2016 +0100

    core: add viewpoint to change the yaw/pitch/roll/fow/zoom view during playback
    
    These changes allow for us to change the viewpoint for a given vout, which is
    the foundation required in order to play, and navigate, the contents of 360
    videos.
    
    Five new arguments has been added so that a user can decide where to start
    playing within the 360 globe.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 53df56a9298f1b3aa8bd3765ebb16b613cddb113
Author: Filip Roséen <filip@atch.se>
Date:   Mon Nov 14 23:38:36 2016 +0100

    video_format: fix initialization of f_pose_fov_degrees
    
    We cannot initialize video_format_t.f_pose_fov_degrees in
    es_format_Init given that it is a member of video_format_t, meaning
    that it will be overwritten on invocations of video_format_Init.
    
    These changes simply moves the initialization to where it actually
    belongs.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1965d8549223b8ee82997219740a4b717a14ff27
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 15 18:29:57 2016 +0200

    sap: fix "misleading indentation"
    
    GCC now warns here. And since the root cause is a no-op, remove it.

commit c731e9fd559a223274f85151db728e540f1e234f
Author: Steve Lhomme <slhomme@matroska.org>
Date:   Tue Nov 15 17:03:16 2016 +0100

    keystore: fix compilation with MSVC
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ebc8472821bafd51210fe2d2fee7947930e10a77
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 15 16:23:30 2016 +0100

    mux: ts: only refer to pcr by reference

commit 7d821b8eca306f8a953175eef727a91d85630cd2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 15 15:53:47 2016 +0100

    caopengllayer: fix compilation with earlier SDKs

commit 2c40d3f25df4aec764da5de8fae38c879c51b01d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 15 14:34:56 2016 +0100

    vout-macosx: fix compilation with earlier SDKs

commit d3b39d2a1a7ff83eab2c4839679945211a8034fd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 15 11:35:03 2016 +0100

    mux: ts: refactor pcr picking

commit e59b5d4ff1cf9236018db97c4cf64964ff6017b7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 14 19:21:03 2016 +0100

    mux: ts: be a bit smarter with generated lengths

commit 1a3d5703f0d7e8a0454fad424a5fd7fb4135aeec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 14 22:06:38 2016 +0100

    macOS: minimal dialog provider is gone
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 303cb351e94a08818bbe380f30ec48052644a208
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 15 01:30:08 2016 +0100

    sd: fix SD loading API documentation
    
    There's no point in passing a list of modules to load at the same time
    there, and it's not supported.

commit 80bd6e9bd263af4d2b5464bd51e2372e21fb8daf
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 15 01:26:53 2016 +0100

    sd: fix configuration chain "longname" parsing

commit dcee486154ec8bdad0f68a4d023dfa2a3b17981d
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Nov 15 00:15:42 2016 +0100

    macosx: Some type-annotated array fixes for Xcode 7

commit aaeeb46f97d2b1c4734711c7f3006ec55f561e0b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 23:59:41 2016 +0200

    ncurses: input item are equal if they are equal...
    
    If we have two valid input item pointers, then they are the same if
    and only if the pointers are equal. No need to compare input item IDs.

commit 9cb3c475361c07fa318b530517659b905e08277f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 23:59:05 2016 +0200

    qt: input item IDs are not negative
    
    Or they are not until we have 2 billions of them, and even then, the
    sign is not relevant.

commit f0573e676b8ba617a3ad3af5575820443035801a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 23:52:04 2016 +0200

    playlist: remove phony playlist item pointers

commit a1e55cc4d1ce44ad6362ef38efaa6d4bb5c57bec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 22:51:25 2016 +0200

    mediadirs: remove cargo-cultivated vlc_cancel()

commit c592092ed2898995f78b447d9feb7db84e8f70b8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 22:30:37 2016 +0200

    vlc_events: remove stray members

commit f96a013b439ab6f82de3cbf01ec2167b5d784ad1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 14 21:23:39 2016 +0100

    TTML: use locale-independent strtof for tts:fontSize

commit 3e77fa781e33367f787e91d9c0fae4633d8bc7c4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 14 21:18:58 2016 +0100

    Jpeg: use locale-indepent strtof

commit 6d370752244733f394b636e72ef7643cb8416dee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 22:01:27 2016 +0200

    sd: merge Create and Start, and Stop and Destroy
    
    Without the legacy event handler, the distinction is superfluous.

commit 12b925b0c54eccd1fe1b9a60460eb6e55e4c0859
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 21:53:44 2016 +0200

    sd: remove vlc_sd_StopAndDestroy() dead code

commit f7ff969d3bac9bd1aa82a3220ab147b8ac3b0570
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 21:48:38 2016 +0200

    sd: use owner structure instead of legacy event manager
    
    Since there are always exactly one callback per event (the owner´s),
    this is much simpler. This also removes unhandled error cases, and
    provides more straightforward callback prototypes.

commit 1a8808dfd8a6683c7525f8ffa4c07c423bec0a51
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 21:38:40 2016 +0200

    sd: avoid name look-up when destroying everything

commit 72c69dab571fab484e2fd008d3f6059333c26b67
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 21:33:13 2016 +0200

    sd: reorder initialization and merge two allocations

commit 6146f258ab0f4c1e3d80113ac0ef2addcbf06f2a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 20:40:48 2016 +0200

    sd: remove started and ended events
    
    They had no listeners.

commit 74acdbca75dd6368df3cb3b3435cc38cb639a24b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 20:35:57 2016 +0200

    sd: remove RemoveAll events
    
    This was never triggered.

commit 893ef33acc24be1d29ec4454c3c79fceb8412e8c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 14 20:31:41 2016 +0200

    lua: remove sd.remove_all_items_nodes()
    
    This is neither used nor documented.

commit f8e3d39cb145238aac3ee5fcd3bf90f7a07d57d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 13 18:41:14 2016 +0200

    transcode: remove deinterlace boolean
    
    The deinterlace module string is meaningless if deinterlacing is
    disabled, and must be set if deinterlacing is enabled. So compare it
    to NULL to indicate if deinterlacing is enabled or is not.

commit f961b58a6327d14820ff0571a6ba48efcfb0c207
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 13 18:24:21 2016 +0200

    filter: remove filter_chain_New() constant parameter

commit 25f857a50c0487930d81f7808d0b4d347fe0d5b6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 13 17:50:20 2016 +0200

    filter: do not copy the capability string
    
    The original remains valid, there is no need to copy it.

commit 830871ab612518d804b56d9284febed3a2113e03
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 13 17:48:40 2016 +0200

    filter: unexport filter_chain_New()
    
    Modules use higher-level wrappers, currently filter_chain_NewVideo().

commit 88c8b6e9b85b6705bae0e4dbef6f3f2e8268fecc
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 10 15:18:22 2016 +0100

    opengl: handle a non default fov value
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 8067a2495f13bc624470e19ad3cc988bac1b3b1d
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 10 14:56:32 2016 +0100

    jpeg: read panoramic metadata from the XMP EXIF data
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e48e1aa8bc02d1181f1adac890b6a6f6ef52f853
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 10 14:03:21 2016 +0100

    core: add a field of view field to video_format_t
    
    default to 80°
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit efbc26a42ebb7e80b11baa03d7da5e5129f73a60
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 10 14:02:25 2016 +0100

    core: add metadata info for VR/360° fields
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 87ca8f12c5b653f0da0e397d28737a0f2f0f5574
Author: Rajeesh K V <rajeeshknambiar@gmail.com>
Date:   Tue Aug 16 10:38:46 2016 +0530

    Qt: Enable Stop Time in media convert dialog
    
    Convert/Save dialog has had option to specify 'start time' but
    no option for setting 'stop time' in the interface. The backend
    'stop-time' option was already present. This patch simply adds
    and enables the edit widget for end time in Qt interface.
    
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 2e078529974050296de06bb4aab7b854b5a80a4c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 13 20:21:37 2016 +0100

    demux: avi: fix unchecked alloc

commit 1e88646c52013d9088a70562581eca36e831e4ec
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 13 20:20:18 2016 +0100

    demux: avi: fix potential NULL deref in GET_ATTACHMENTS

commit 6c58ce84f8b315480bd4be1797bed6a177ea95ab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 13 20:14:20 2016 +0100

    demux: avi: fix unchecked calloc

commit 810ec7b3b7e5db7447b34070bb56fa5181d8aef4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 13 20:03:47 2016 +0100

    demux: avi: fix potential leaks

commit 28632f8a59d4af211c1572c185f77962d60cecff
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 13 20:02:21 2016 +0100

    demux: avi: fix overflow in extradata

commit 3fe8d04f223bfca704d83914b9c110d85c9a4f86
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 13 19:50:18 2016 +0100

    demux: avi: fix undefined read (fix #17635)

commit 61eb0882323a9b507f8b3f3f78ebdb5e5f42a4c1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 13 11:49:01 2016 +0200

    vlc_bits: fix integer overflow in signed ExpGolomb code
    
    When bs_read_ue() returned 2^32-1, computing (val + 1) as 'int'
    overflowed. With this patch, the conversion from unsigned to signed is
    performed after the division by two, so that the absolute value range
    is always within limits of the signed 32-bits integer type.
    
    Also use fast types since the function are meant to be inlined.

commit 3cb2a4974cc7fd2ad28c27c82aa3ba911d1243bd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 13 19:30:55 2016 +0100

    demux: h26x: fix div by zero (fix #17634)
    
    not intuitive, but something was divided by numerator

commit e1a253f46fafd7164527af63025083404b6d998b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 13 19:21:32 2016 +0100

    demux: h26X: fix memleak on es_Add error

commit 225c7acc049c069c0376d7627d15b405a90c87dc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Nov 13 19:19:41 2016 +0100

    packetizer: hevc: don't overwrite chain on error (fix #17632)

commit eef513b05af2c303e954036bacb1b21feadadfee
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Nov 12 12:59:11 2016 +0100

    vout: decklink: add AFD to configuration

commit dee009c75e418bce6c02e01eda2916d56759eaa4
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Apr 11 11:07:19 2014 +0200

    vout: decklink: add AFD skeleton
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 74bc33ad47faad05d8fa5b4c15c1528d6a22b233
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 13 13:36:18 2016 +0200

    opengl: use single precision trigonometry
    
     - Use single precision trigonometric functions.
     - Compute sine and cosine only once.
     - Combine sine and cosine computation - on platforms allowing it.

commit 90e14b835b807f43acbaa10d330f52fbe591226b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 13 13:27:40 2016 +0200

    compat: add sincos() and sincosf() replacements

commit eac6a8ea09dd3e56e83cf87c2a8ba1d7df372e5d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 13 13:09:57 2016 +0200

    subsdec: remove broken AppendWideChar()
    
    That function assumed that:
    - wchar_t and wint_t are the same: not true on Linux-i386,
    - the locale encodes characters as UTF-8: not true on Windows.
    
    This replaces its only occurrence with AppendString() and an explicit
    UTF-8 sequence.

commit 9719d3beecb40617f3af0f5917cba1d727e67e63
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 13 11:30:50 2016 +0100

    MP4: fix format strings on Win32
    
    ref #17625

commit dba282d09cd81420c517124876a025645925ec13
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 13 02:54:43 2016 +0100

    lua: document vlc.strings.from_charset() error value
    
    Ref #4815

commit fdb829076d84ecef95823b30b9b9f6b1dfdc7015
Author: Filip Roséen <filip@atch.se>
Date:   Sat Nov 12 14:36:55 2016 +0100

    access/satip: fix 17630: prevent null-pointer dereference
    
    There is nothing that guarantees that vlc_UrlParse will populate
    url.psz_host after it has been invoked, as such we need to make sure
    that we do not try to strdup with the value if it is NULL.
    
    fixes #17630
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e62ab5fc711d264df8d9637689790fb3a33c1b2a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 12 00:33:53 2016 +0200

    Remove stray "album-art" variable usage
    
    The variable value is always zero as of bdc3ad38. Simplify accordingly.

commit 5c36c934a27675234512203988f50c24e6f94fa4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 11 14:16:30 2016 +0100

    demux: avi: handle broken samplespp == samplesize (really fix #12722)

commit a6330f6837bcb32d345385c69ee10a201e9b7417
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 11 13:44:34 2016 +0100

    demux: avi: fix Kbps in debug

commit 46471ff05ef939c326a4dd00808367c98067a6ec
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 11 10:26:12 2016 +0100

    mux: ts: add pid and codec on dts continuity debug

commit d22fdd2d377bd12b1eefa5719485e29d6fb356d4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 10 21:24:44 2016 +0200

    modules: fix list callback serialization/deserialization (fixes #17623)

commit e5820468bce6a38ccab5d61225511f2280c6813d
Author: Filip Roséen <filip@atch.se>
Date:   Thu Nov 10 18:25:05 2016 +0100

    demux/asf: fix stall on end-of-stream
    
    These changes are a fixup of e2fb104, in which a stupid brain-fart
    caused me to invert the expression that is to see whether or not we
    are at the end of stream.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 665382ab08f9b82e67eb635d596c5f5531e753c8
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 10 16:41:31 2016 +0100

    macosx: Fix return type to not discard const qualifier

commit 4aeb7fd29f5b6ed2d597633c30719296b0236cb5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 10 12:20:33 2016 +0100

    demux: ts: convert for unsigned stream_Tell

commit 38b209594db2d4e045d9f76ebb1edc692388324e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 10 12:17:52 2016 +0100

    demux: ts: convert seektotime for unsigned stream_Tell

commit 7544870de6453c06b588874ac4c60d9bbece08bb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 10 11:50:32 2016 +0100

    demux: ts: don't report length with seekpp
    
    refs #17582

commit a1a52484ba666bc4e5b6d3772c1e5f50414d437d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 10 11:48:20 2016 +0100

    demux: ts: return file offset, not time with seekpp
    
    refs #17582

commit 2ee4ab75afbfe8f7e87edccc6e928ed88782aef1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 10 11:59:01 2016 +0100

    demux: ts: rename confusing option seekpp

commit 983f363b6f5ba5c08f2a2932182ce178dea8592e
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Wed Nov 2 13:13:52 2016 +0100

    opengl: handle the roll/z-axis rotation
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5b85d8ce06e440ab5694552484d4556d13afc281
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Thu Nov 10 10:42:54 2016 +0100

    opengl: fix the teta and phi initial values
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b5d1387df4b55b4165b5d67ff03b57f499537d53
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Oct 28 16:49:15 2016 +0200

    opengl: better projection near/far values
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4438dabb801008bdbca752b23fe94aa12a43d30c
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Oct 28 16:08:58 2016 +0200

    opengl: rename variables to match the documention
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7c2c55ac827d6a64d9488f2b50985786250eb4a0
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed May 25 11:45:21 2016 +0200

    codec: avcodec: keep the projection mode information from the demux
    
    We need to propagate the projection mode set by the demux so to the
    output-format. These changes also remove a stray semicolon due to the proximity
    of the change (related to the pertinent one).
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c3d173385bf0e5ad915328e4b91939c1ae367106
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Wed May 25 14:47:59 2016 +0200

    demux: mp4: support the 360 spherical video box
    
    It is defined by the Spherical Video specification v1 from Google.
    https://github.com/google/spatial-media/blob/master/docs/spherical-video-rfc.md
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 08d26ea02f5c6c1e1169fd9f315a00e88241f03e
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Oct 28 16:06:36 2016 +0200

    opengl: remove the unused ViewMatrix
    
    The matrix is not used anywhere, and is unlikely to be used in the future; as
    such these changes removes it (and its associated properties).
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 782cf22152a148b8de60c80a8d7f20672f897d3b
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Wed Nov 9 02:37:30 2016 +0100

    opengl: add documentation related to matrices
    
    These added comments should make it easier to reason about the different
    matrices used to do viewpoint related calculations.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 75215c73282f43881d9696f32e92eee147cfce96
Author: Filip Roséen <filip@atch.se>
Date:   Thu Nov 10 07:34:28 2016 +0100

    lua/libs/input: fix 17611: properly populate filename attribute
    
    The previous implementations usage of input_item_GetName resulted in
    unexpected data in the filename attribute (given that
    input_item_GetName will first query vlc_meta_Title, and if present
    return that).
    
    These changes extracts the filename for a given item, including
    support for trailing slashes (so that we do not get an empty filename
    for a path such as file:///media/).
    
    fixes #17611
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 286aa019464fe6927709af88adb48cf562971c70
Author: Filip Roséen <filip@atch.se>
Date:   Wed Nov 9 01:30:10 2016 +0100

    tools: bootstrap: do not override CC/CXX with gcc-4.2 on Darwin
    
    The removed lines probably made some sense back in the days, but at
    the current time things will fail to build in a horrible manner if
    {gcc,g++}-4.2 is selected for CC and CXX (respectivelly).
    
    Fixes #17614
    
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 07811f4bda80d1165c8047b114144eaf2870de12
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 9 21:00:52 2016 +0100

    demux: ts: fix stream offset detection code

commit 01423a06e5fc40a09a4eadb313dc2149ad8eaed2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 9 20:56:57 2016 +0100

    demux: ts: fix use after free
    
    regression from 48edcfab53d4dca0e10603a830c20878a8fa84ab,
    missing return in refactored code

commit e2805ca8ebbbf5b78fc91d84d9eda73f592698f0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 9 20:26:32 2016 +0100

    demux: ts: add fastseek

commit df5663381bb7b54dc1b6b4e38d541f246de9ba45
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 9 18:21:00 2016 +0100

    access: live555: notify discontinuity on RTCP synchronization

commit 4e28d43bb81deb2175fb948d5affdaf2c09aa25b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 9 19:28:12 2016 +0100

    input: show module name on clock conversion errors

commit 91c23c47ee086f40af53fd366f356d31c504d974
Author: Andrey Gursky <andrey.gursky@e-mail.ua>
Date:   Sun Nov 6 22:44:36 2016 +0100

    demux: adaptive: fixup for commit b99bc394843b4967
    
    error: ‘sscanf’ is not a member of ‘std’
            if (std::sscanf(line.c_str(), "%zx%n", &chunkLength, &end) < 1
                ^
    
    Fix build with compilers which do not default to c++11 or later,
    e.g. g++ < 6, clang++ up to and including 3.9.
    
    Noticed during build for VLC-Android.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 48edcfab53d4dca0e10603a830c20878a8fa84ab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 8 20:08:30 2016 +0100

    demux: ts: fix pusi flag conformance
    
    Non payload start unit flagged packets can contain
    multiple PES payloads.
    
    Also adds workaround for broken, non pusi compliant
    streams as seen on Adtech's 0x06 type.

commit 4689491112d4f1587abd0e9f5c02554b115fe882
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 8 21:45:49 2016 +0100

    demux: ts: fix return val inconsistency in ProcessTSPacket

commit b9777ec6680ad812cd51c7f13db2688681a71a42
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Nov 8 15:36:08 2016 +0100

    keystore: Add a win32 crypt_file implementation

commit 8cbc5caea9fa95411fb416ee53dee629c262c77c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 9 01:29:40 2016 +0100

    lua/http: remove bad conversion from URL to file path of VLM input
    
    The conversion is pointless, limiting, unsafe, error-prone and indeed
    buggy as it's done in a naive way oblivious of Windows file URL schemes.
    
    Should fix #14842

commit a00ca419424b3df1b742b113b63d8bd7dd2f8ba0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 9 00:52:25 2016 +0100

    Mac build.sh: use contribs' bin before system

commit e37d2baa8e251db4bdc9f1828bf40e4916e1df9b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 8 16:34:18 2016 +0100

    avcodec/audio: don't set decoder error when dropping blocks
    
    These cases are perfectly normal: we shouldn't abort decoding.

commit 611fc2e2049b240da354f5e58f7476713c9d5157
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 8 16:14:51 2016 +0100

    avcodec/audio: set decoder error only when it's critical

commit 08207425d8d260a6650a332c4c7c7b040ff48b15
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Mon Sep 19 16:58:51 2016 +0200

    opengl: start the 360° display from the left part of the video
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5f09a2625bc9c269a8c8231555e734439bc49cb8
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Mon Nov 7 10:32:57 2016 +0100

    opengl: use M_PI as a single precision float
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fb60f28e7d18c0bce4981a3e9ad73fea9da4202e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 7 12:08:09 2016 +0100

    demux: mp4: check stsc/stsz total samples consistency (fix #17589)
    
    Otherwise can trigger a chunks read overflow

commit a230bc2356ff400427716a1f57c3a3266fbdb530
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Nov 7 11:20:37 2016 +0100

    contribs: gnutls: Fix win32 build

commit ce1a2fbb4188065e866e207973e11614201fd3a0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 7 11:15:17 2016 +0100

    demux: mp4: segfault regression (fix #17603)

commit af913e083ff71ac0dbcc17dabce5d646b35d6789
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Nov 6 16:57:58 2016 +0100

    macosx: Fallback to name in status bar icon menu
    
    Previously for items with no metadata, the whole area
    right to the coverart was empty, which could be a bit
    confusing. This change will make sure we always display
    at least the item name, if it has no title.

commit d289aead0f1de886cd5a09db26e132a9285e618d
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Nov 4 22:35:58 2016 +0100

    NEWS: List new features that were added to the macOS interface

commit ab2a84735463f91ecdae5eb0a8c4e6c6a5452b57
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 6 00:26:23 2016 +0200

    url: do not rely on asserts in test and print error on URL parsing

commit 1a27724251571535933fe8db650a64bda756e6be
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 6 00:10:09 2016 +0200

    url: use common test harness for URI resolve and fixup

commit e2a296bef09da3cc72a37c7f185d221e1bb6380b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 6 00:09:48 2016 +0200

    url: only print out failed tests

commit 63f9f32f11307176bbc8b245e72fc5750e55868e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 23:58:40 2016 +0200

    url: fix IDN to ASCII of the empty string on Windows

commit aaa0687af019093baf9b7b3cb63a778b71addce9
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:54:58 2016 +0300

    Revert "freetype: fix static linking."
    
    This reverts commit 6c76cb23b0d6c4f85423783a9138be83f7d3667a.

commit e3b967783dbf76ef3b90cc4dbcd084b115796b71
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:54:58 2016 +0300

    Revert "chromaprint: fix linking against static libavcodec."
    
    This reverts commit 4fb3848ad84d5e668f9f4825591ed890cd16d6a3.

commit 335a70857ad3cceae0838deacfe5ce055aa82a1f
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:54:57 2016 +0300

    Revert "dca: Fix static linking."
    
    This reverts commit fb9a94bf6fd22a04925b6e2633551679aeeabccf.

commit b737db8da6c1b54f0a8fa96b874d52a26f49c236
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:54:56 2016 +0300

    Revert "speex_resampler: Fix static linking."
    
    This reverts commit d21869948da2527b2da26aa848b2339ce1a073ae.

commit f62e6322dd88aa96164a22c24593aa70a906968c
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:54:56 2016 +0300

    Revert "zvbi: Fix static linking."
    
    This reverts commit faea418c6393c369962c1555dc66c3ef4fad3c6c.

commit 2b40cab787bfb0c7885e0e67f7955a1252b22fb3
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:54:55 2016 +0300

    Revert "libass: Fix static linking."
    
    This reverts commit c7090eff1cfe0d4fa676dd484456c70b3efef43d.

commit 32f1835dfd94e68cb4899da770c71745a9234b77
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:54:53 2016 +0300

    Revert "a52: Fix static linking."
    
    This reverts commit a6be49e4d8becc5cc0e690c1577a123fda0c3dad.

commit 01b0ff943c65ee00a304f462ed921c7ea75ebc79
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Nov 5 17:52:44 2016 +0100

    Revert "tests/tls: Disable checks for ALPN on apple platforms"
    
    This is not sufficient to disable the test currently.
    
    This reverts commit 784ab6ce693675fb554060d1e1f8d194c354e3ff.

commit 6c76cb23b0d6c4f85423783a9138be83f7d3667a
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 3 02:45:04 2016 +0300

    freetype: fix static linking.

commit 4fb3848ad84d5e668f9f4825591ed890cd16d6a3
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 3 02:16:14 2016 +0300

    chromaprint: fix linking against static libavcodec.

commit 2198fe038baa8f5bcdd7acb92ced92a5c694058a
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 3 02:12:27 2016 +0300

    contrib: gnutls: fix linking with static nettle.

commit e875ae0f381319d8192a53ba944d6cf36e76eb5e
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 3 00:41:58 2016 +0300

    contrib: libxml2: fix pkg-config for static linking.

commit 64f5385aeeb5661bc34de348cc27b61a0a045705
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 3 00:36:29 2016 +0300

    contrib: zvbi: fixed linking with static libpng.

commit d21869948da2527b2da26aa848b2339ce1a073ae
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:06:40 2016 +0300

    speex_resampler: Fix static linking.

commit f08e63638643f29a7826c6d4b6ac783faf78fb63
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:06:21 2016 +0300

    soxr: Fix static linking.

commit 1ec00f60399af0d71a85184cee8cb52718cd4497
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:06:06 2016 +0300

    samplerate: Fix static linking.

commit faea418c6393c369962c1555dc66c3ef4fad3c6c
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:05:35 2016 +0300

    zvbi: Fix static linking.

commit c7090eff1cfe0d4fa676dd484456c70b3efef43d
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:05:16 2016 +0300

    libass: Fix static linking.

commit fb9a94bf6fd22a04925b6e2633551679aeeabccf
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Nov 5 19:04:29 2016 +0300

    dca: Fix static linking.

commit a6be49e4d8becc5cc0e690c1577a123fda0c3dad
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Nov 1 22:30:17 2016 +0300

    a52: Fix static linking.

commit 9736641c59ae541d1282111b99d72770ec2acce2
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 3 00:30:44 2016 +0300

    contrib: png: fix pkg-config for static linking.

commit 8711e892a368a50b5ef5c20654f55b6998430a53
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Nov 3 00:30:30 2016 +0300

    contrib: fontconfig: fix pkg-config for static linking.

commit 46d581dbebdc3a24aca63a40e553af725b130ff5
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Nov 1 22:36:28 2016 +0300

    contrib: tiger: fix pkg-config for static linking.

commit a882fe69fdfde4a51f83f540b419dd4eef42639f
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Nov 1 22:36:16 2016 +0300

    contrib: libarchive: fix pkg-config for static linking.

commit f85bd3e47140524ae4e0842405c19c8b60e109aa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 11:30:29 2016 +0200

    input: privatize b_preparsing

commit 8f5d6ca752cc61bae3196e4701998768323b7d58
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 11:22:30 2016 +0200

    input: add intermediate variable to simplify

commit d71b632d519658b5d677e3dde0097999c4d8f12d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 11:24:07 2016 +0200

    es_out: remove tautology
    
    sout is only instantiated when not preparsing.
    
    More generally, a lot of special cases for preparsing could be
    eliminated if preparsing used a dedicated ES output back-end, but that
    is way beyond the scope of this patch.

commit 0aaf4d6dcaf48dd522d8db38a48e1c8fe99960b7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 10:59:32 2016 +0200

    ogg: fix potential NULL dereference

commit ad4a50d3947e6846fa23b02e4331ba6e75d84800
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 5 10:11:44 2016 +0200

    input: remove indirection from input to input private data
    
    Put the input thread (public) within the private data, like we already
    do for some other core-allocated objects. This removes one layer of
    indirection for almost all internal input values.
    
    input_thread_t.p no longer exists. Use input_priv() instead.

commit d3a8f14c109ea575f839395baab1a7e979d6f6da
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Nov 5 02:34:58 2016 +0100

    vimeo.lua: tighten player.vimeo.com probe

commit 8466176518508a3268ffe1272d998bcb2340e603
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 4 19:51:53 2016 +0100

    demux: mp4: check for overflows in PeekBoxHeader
    
    refs #17584

commit 46e632dd060e6f3f70679af83f3d9efb7a1be733
Author: Filip Roséen <filip@atch.se>
Date:   Fri Nov 4 16:47:08 2016 +0100

    demux/mkv: abort EnsureDuration on non-finite elements
    
    matroska_segment_c::EnsureDuration is used to calculate the duration
    for a stream which does not include the value as metadata. Given that
    the function potentially will have to run through the entire file in
    order to get the last timecode, these changes make sure that we abort
    if an element does not have a finite size.
    
    If an element, on the way, does not have a finite size we cannot
    simply jump over it, but have to parse it's entire contents (which
    might be an expensive operation). And most often when an element does
    not have a finite size, the media is being streamed.
    
    We however have an exception to infinite clusters that are referenced
    by a Cue, in which case we will try to parse it (to allow content
    saved from a live stream where the Cues refers to every cluster to
    have a duration).
    
    Signed-off-by: Steve Lhomme <robux4@videolabs.io>
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 8ad7d9ceaf57149dfcd6903560007f354274f727
Author: Filip Roséen <filip@atch.se>
Date:   Fri Nov 4 16:47:07 2016 +0100

    demux/mkv: fix 17567: null-pointer dereference in EnsureDuration
    
    Since matroska_segment_c::EnsureDuration calculates the duration by
    using the timecode of the last block in the last cluster, and
    subtracting that with the timecode of the first cluster found, the
    previous implementation would crash if there was no clusters in the
    file.
    
    These changes fixes that, and should be viewed as a fixup of f275663.
    
    fixes #17567
    
    Signed-off-by: Steve Lhomme <robux4@videolabs.io>
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 55d4aff67f9b74bc47c3258a9452fb8a5e17457b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 4 11:06:47 2016 +0100

    demux: libmp4: reject truncated boxes (fix #17584)

commit e2fb10438ae71913bf4f90834c305867329350fa
Author: Filip Roséen <filip@atch.se>
Date:   Fri Nov 4 10:02:04 2016 +0100

    demux/asf: fix 17601: fix undesired integer underflow
    
    This commit shall be viewed as a fix-up of 86835f9.
    
    The previous commit in question did not take into account that the
    left-hand side expression can of course result in a negative value,
    meaning that the value-promotion necessary for the comparison to take
    place would result in a very large value (where we expect a very small
    one).
    
    fixes #17601
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 793c499fd6e13debc8c4b6f80dd2c8eb10676abe
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 3 18:49:41 2016 +0100

    macosx: Release CGColorRef properly
    
    ARC only handles Objective C objects so a CGColorRef needs to be
    released explicitly.

commit d1606e3a73deecab2b35d9f92cbea84d8dc3b21c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 3 17:25:31 2016 +0100

    macosx: Fix VLCFullScreenPanel.xib requiring Xcode 8

commit 105377d6f547b936f4b8c32c15d3a4d05ec24fa2
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 3 15:38:23 2016 +0100

    macosx: Disable custom fscontroller height on <10.10 to fix hang
    
    Due to auto layout issues the fullscreen controller window would use
    a huge height on some older OS X versions (tested on 10.7), which would
    cause rendering some controls to hang.
    As a quick fix, this commit disables the possibility to adjust the
    height on OS X versions lower than 10.10.

commit c4eb40b4b68812daa3697224d1b26e000fac8ec9
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 3 02:05:08 2016 +0100

    macosx: Fix crash on 10.7 due to CGColor method
    
    This fixes an issue where VLC would crash on 10.7 doe to usage of the
    CGColor method on NSColor which was only introduce in 10.8, leading
    to a crash on 10.7.

commit b99bc394843b4967e1f54904608027154e683896
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 2 19:14:31 2016 +0100

    demux: adaptive: add chunked transfert support
    
    refs #17551

commit ac4744b72d0d5fce6f4a1d37cb1777a6c5ae0b9b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 2 18:13:55 2016 +0200

    mms: use vlc_getProxyUrl()

commit 0535b128b79a1bef1f43abdc97f74b23d1ef736d
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Nov 1 19:04:48 2016 -0400

    demux: adaptive: fix uninitialized average (CID #1374346)
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 3ed5854521eef9747be855f95c3d0aec41343b1c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 2 15:50:18 2016 +0100

    packetizer: hevc: check short term ref pics loop

commit 9bad6dda37b904600ec656dd567f9d26a1659538
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 2 15:44:47 2016 +0100

    vlc_bits: fix overflow in bs_read_ue
    
    refs #17591

commit 68dc8e754ad7b805f5ce29da0e95511afb6660c5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 2 15:39:45 2016 +0100

    packetizer: hevc: check pps heterogenous tiling sizes loop (fix #17591)

commit 28c0aa81ae4df27f3a7366eaee24f54d22db6f88
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 2 15:02:10 2016 +0100

    packetizer: h264: check hdr parameters loop (fix #17590)

commit c5efc8d33a96f876d2b4bc8f3f51c138c644cbca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 2 14:30:51 2016 +0100

    demux: mp4: don't preload fastseekable

commit 89a66ce09a1fe2d6c85079f779e2177bee3effe7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 2 13:15:22 2016 +0100

    packetizer: h264: fully compute pts from dpb delay
    
    avoids outputting pts less frames/blocks

commit 2fc667e9d2faed90dfdbbb60d40f09a9e1a51264
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 2 14:08:39 2016 +0100

    Revert "network: Android has vlc_getaddrinfo_i11e"
    
    This reverts commit 32bd30ca34defa3c7732b98eb26d202e255ae390.

commit 3a9943c78c71339168ef515b8d61134e5d40732c
Author: Filip Roséen <filip@atch.se>
Date:   Mon Oct 31 15:07:45 2016 +0100

    demux/mkv: fix 17575: ignore simple blocks preceeding timecode
    
    As detailed in the matroska specification, the Timecode element within
    a cluster is not only mandatory, it shall be the first element within
    its parent (given that a SimpleBlock, and other entities, cannot be
    interpreted correctly without it).
    
    The previous implementation would assert inside libmatroska on
    out-of-order blocks, causing us to crash. These changes are made so
    that out-of-order elements are ignored instead of being a
    point-of-failure.
    
    An input where the added diagnostic is triggered is ill-formed.
    
     - https://www.matroska.org/technical/order/index.html
    
    Signed-off-by: Steve Lhomme <robux4@videolabs.io>
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 32bd30ca34defa3c7732b98eb26d202e255ae390
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 2 10:41:08 2016 +0100

    network: Android has vlc_getaddrinfo_i11e

commit 78040d389530a4da79f613f9013d36ac533fbc10
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 2 10:40:58 2016 +0100

    fix Android build

commit 7f4fa0414e6421fef7ac884f7a28ef0bbc03e956
Author: Filip Roséen <filip@atch.se>
Date:   Mon Oct 31 12:57:15 2016 +0100

    demux/mkv: fix 17572: error on cluster without timecode
    
    As can be read in the MKV specification, a cluster must include a
    timecode element in order to be valid.
    
    These changes make sure that we error if such element is missing,
    effectivelly preventing us from calling KaxCluster::GlobalTimecode
    (which will assert if KaxCluster::InitTimecode has not been called).
    
    fixes #17572
    
    Signed-off-by: Steve Lhomme <robux4@videolabs.io>
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit eca9932cb7a6009d892c300d9224be286fd894ef
Author: Filip Roséen <filip@atch.se>
Date:   Mon Oct 31 12:57:14 2016 +0100

    demux/mkv: make it possible to check result of ParseCluster
    
    Parsing a cluster can fail for a number of different reasons, though
    previously it was impossible for the callee to know whether parsing
    was successful or not.
    
    These changes changes the signature of
    matroska_segment_c::ParseCluster so that it returns a boolean (true on
    success, false on failure).
    
    Signed-off-by: Steve Lhomme <robux4@videolabs.io>
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e68d413dcbc3762fb08b2702e48d112d375e73a3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 2 07:09:29 2016 +0100

    lua: remove unused variable and no-op assignment

commit 0aad9c35955ba3f62b384c968ea34d85f6d97fd5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 2 02:31:29 2016 +0100

    lua: stop installing broken playlist scripts
    
    These scripts are unmaintained and obviously outdated and broken. Up for
    adoption, some of them seem rather easy to fix!

commit 1dc89235f2a1f78ac2044a45784eb32063ddb2ab
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 2 02:19:50 2016 +0100

    anevia_streams.lua: partially tighten URL probe function
    
    Ref. #17488

commit d88cf188930c5d636fdaed4e8f2cb56b1362b3be
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 2 02:17:59 2016 +0100

    lua: tighten URL probe functions of playlist scripts
    
    These scripts are possibly still otherwise outdated and broken.
    
    Ref. #17488

commit 65b6c2f882bd2de764cf2664f29e20ede99138a0
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 2 02:14:29 2016 +0100

    lua: update and tighten URL probe functions of playlist scripts
    
    Update domains and URL roots, but these scripts are still otherwise
    outdated and broken.
    
    Ref. #17488

commit a1e38a36b508fc592ab453386f1f4f3d2c78ac5c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 2 02:08:54 2016 +0100

    lua: fix and tighten URL probe functions of playlist scripts
    
    Fix wrong operator precedence. These scripts are still outdated and
    broken though.
    
    Ref. #17488

commit 338b204b26b4e901ddf75350b6d1dcd50bf17156
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 2 01:53:40 2016 +0100

    koreus.lua: tighten URL probe function
    
    Ref. #17488

commit d08ee1432b58cc2ea0dd866aece51bd2827de11e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 2 01:52:25 2016 +0100

    vocaroo.lua: tighten URL probe function
    
    Ref. #17488

commit 86015b8882abe8c2c391e3d6d33307235b74b556
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Nov 1 18:31:16 2016 -0400

    demux: ttml: fix use after free (CID #1374347)

commit 87cf24c252569d13335cee006ae59c1fe0718705
Author: Filip Roséen <filip@atch.se>
Date:   Sun Oct 30 23:27:36 2016 +0100

    demux/nsv: invalid NSVf header size leads to infinite loop (fixes #17563)
    
    According to the specification of nsv, a file header size of 0 (and
    0xFFFFFFFF) is invalid; these changes prevents an infinite loop if the
    size is specified as the former, while also making sure that we do not
    try to parse files containing the latter.
    
     - http://multimedia.cx/nsv-format.txt
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 83b66b77d146046aa42b9406b979f14fe4eb91c9
Author: Filip Roséen <filip@atch.se>
Date:   Tue Nov 1 13:51:27 2016 +0100

    demux/avformat: fix return-value of IORead (fixes #17574)
    
    av_read_frame expects 0 to be returned on end-of-file, and negative
    values are reserved for fatal stream-errors. The previous
    implementation would return -1 upon EOF (vlc_stream_Read returning 0),
    causing premature EOF from modules/demux/avformat/demux.c:Demux.
    
    These changes make sure that we honor the contract associated with the
    read-callback, and that we only return -1 if there is a fatal error.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit e082cac10bfd47e78f8e7096351323f3040348a8
Author: Filip Roséen <filip@atch.se>
Date:   Tue Nov 1 02:33:03 2016 +0100

    demux/avi: do not call FromACP with NULL (fixes #17581)
    
    FromACP is used to convert a c-style string from one charset to the
    other, as such it does not make sense to call the function with NULL
    (especially given that NULL is not a valid input for the function).
    
    These changes fixes the checks to see whether or not the function is
    applicable or not by properly checking the argument that would-be
    passed (instead of just the object that contains it).
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit c06adddc9aa345d14daab576c7e61cf14b7a8dfc
Author: Filip Roséen <filip@atch.se>
Date:   Tue Nov 1 02:15:25 2016 +0100

    demux/asf: prevent overflow leading to crash (fixes #17580)
    
    Given that the previous implementation assigned the return-value of
    vlc_stream_Peek to a size_t, the value would wrap around on error
    (since vlc_stream_Peek returns -1), rendering the "< 78" somewhat
    useless (when an error occurs).
    
    These changes change the type of i_peek to correspond to that of
    vlc_stream_Peek, while also making sure that we error before calling
    the function if the object size is larger than SSIZE_MAX (meaning that
    we cannot peek).
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 86835f9f7ed85e4d9b5adc0d8cb5ffb344d9a965
Author: Filip Roséen <filip@atch.se>
Date:   Tue Nov 1 02:04:06 2016 +0100

    demux/asf: prevent signed integer overflow (fixes #17579)
    
    The previous implementation could overflow the mtime_t when
    multiplying p_sys->p_fp->i_preroll by a thousand when converting from
    the asf time unit (milliseconds) to VLCs (microseconds).
    
    Given that you can always divide a value without running into issues
    in terms of under/overflow, these changes prevent any overflow error
    while still preserving the same logic.
    
    In short the implementation takes advantage of the below two
    conditions being equivalent:
    
       1: A > ( ( B * C ) + D )
       2: ( ( A - D ) / C ) > B
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit a9a94b22384fdf19d6af1493e6291f15fde671a3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 16:49:03 2016 +0200

    configure: remove reference to nonexistent $ac_cv_c_altivec_abi

commit 7c7a80bae47d7ccf62a11a9696a770b678e6247a
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Nov 1 17:48:05 2016 +0300

    snap: update package names to use on Ubuntu Zesty.

commit 677948a635307904117a6f104df0ebf97b56e724
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 16:39:01 2016 +0200

    st: fix flawed logic
    
    Refer to fed7e7951b9cc782c27abab47760ded69360a381.

commit d076af4e46cdb25d2b33494fa57d444ceb591ae3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 16:27:30 2016 +0200

    xiph: rewrite ParseFlacPicture() w/o integer overflows (fixes #17592)

commit d70331b13ca5c65bb1b16b7d97a8c23bf7e7d86f
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Nov 1 15:10:50 2016 +0100

    macosx: advanced prefs: only choose slider if we have limits set
    
    The RangedXXControls only make much sense if we have sensible
    limits.

commit 83202854315798f4c2058ad81a09c3b2537eb958
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Nov 1 14:52:10 2016 +0100

    macosx: Add VLCFSPanelController.h to the dummy target as well

commit 784ab6ce693675fb554060d1e1f8d194c354e3ff
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Nov 1 14:35:08 2016 +0100

    tests/tls: Disable checks for ALPN on apple platforms
    
    On Apple platforms, ALPN does not work as securetransport does
    not provide any public API for that. So do not check for that
    feature until support is added.

commit 165f0b11ddbfbd24ac79cce1c8b3f4e6c0905e9b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 16:09:14 2016 +0200

    flac: fix leaks on error

commit d144f1746ecdec2fe3ae38c0c575ff0a7ee9373e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 1 01:33:16 2016 +0100

    packetizer: hevc: rename limits

commit f63ee9ba4847230826d4866eb6fe5b2461ddc6e1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 1 01:24:48 2016 +0100

    packetizer: h264: fix invalid deref (fix #17585)

commit 34142f6b31d8dfd2bc5632a384860e2dd1f29000
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 31 23:52:42 2016 +0100

    lua: don't return pointless, wrong URL meta data
    
    Don't return "url = vlc.path", first that's not a valid URL, then the
    runtime already sets it automatically to the input URL by default.

commit 7a0f854f02478b5f024901fd8ad5f2aae87af15d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 31 21:59:08 2016 +0100

    lua: update interface script examples in README.txt

commit 29c1d1cf74477e71562a216c36c7c03de19334e5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 31 21:48:12 2016 +0100

    lua: update playlist script examples in README.txt
    
    Name well-maintained, varied and relevant scripts.

commit 986e967503c856dc7f07e68376d94a9be565b2fd
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Oct 31 16:16:57 2016 -0400

    contrib: bpg: update to 0.9.7

commit 311064b34c308c3039f04f2ab8ae2eeaf2278a98
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 31 21:37:22 2016 +0100

    demux: mp4: fix read overflow

commit 66229ae7208798604abc94514ea13ebc9289fb3e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 31 21:30:01 2016 +0100

    youtube_homepage.lua: remove broken script
    
    This must have long been broken, also if anything this should really be
    a service discovery script instead.
    
    Ref. #17488

commit d3e233c59fdbc7511e22a966a5cfebcde7dc9ba9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 31 21:11:05 2016 +0100

    demux: mp4: esds heap buffer ofw (fix #17856)

commit dafab63ab29c507ebf5a0b756231371add948d4f
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Oct 31 20:51:59 2016 +0100

    appletrailers.lua: Fix script for website changes
    
    Fix the Script to work again with the changed
    Apple trailers website.
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 7416c61d01a42c38699ce93d9ecfd9d8943c68fa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 31 18:08:22 2016 +0100

    demux: mp4: chunk matching does not need frag flag

commit 1583a49459f680250dc5ec951215c661c26b1b20
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 28 15:19:54 2016 +0200

    demux: mp4: rewrite main non fragmented Demux logic
    
    Makes main demux aware of interleaving, and avoid
    access layer seeks. Also improves the large interleaves
    and non interleaved playback.
    
    Fixes the pcr jumps, as a min() dts based logic isn't
    suitable for edit lists.
    
    Improves empty edits handling by keeping demuxing on
    empty samples time.

commit 66c4cbb087903b8a0ca61737e914899f77d522a6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 31 11:09:16 2016 +0100

    demux: mp4: add chunk virtual trun
    
    Adds continuity sequence counter,
    like fragmented mp4 truns

commit daca57aeccb49009cdbabcc04d60d55242880a33
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 28 23:10:50 2016 +0200

    demux: mp4: fix and improve interleaving detection
    
    On compressed content, all chunks are separate

commit 7b52601d12d20d1974ea701638630431d17ce0f3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 31 17:04:24 2016 +0100

    demux: mp4: set discontinuity on edit list change
    
    fixes timestamp conversion errors using avcodec
    refs samples/mov/editlist/menace00.mov

commit 3bf8a8ec60e5f97cbfbbe11e7f8c88ecb7935a45
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 31 10:00:39 2016 +0200

    stream: assert that read size is well defined
    
    The result of a read operation is a signed size_t, and cannot be
    negative (except on error). Thus reading more than SSIZE_MAX bytes at
    once is not well defined.
    
    (Note: POSIX marks it as implementation-defined, and we cannot rely on
     much given the different implementations.)
    
    In practice, this is not really a limitation for regular reads as
    allocating a contiguous output buffer of more than SSIZE_MAX bytes is
    essentially impossible. It can however be a problem when skipping data
    (buffer pointer is NULL), especially on 32-bits platforms.
    
    To skip such large amount of data, seeking is recommended instead,
    e.g.:
    
        vlc_stream_Seek(s, vlc_stream_Tell() + skip);
    
    instead of:
    
        vlc_stream_Read(s, NULL, skip);

commit 4e69953a93166f34489ede2d58d98f0b5979515b
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Oct 30 23:21:10 2016 +0100

    macosx: Correct spelling mistakes in fscontroller

commit 6a5ae97de67582b7595cad8db583e21e662d87b0
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Oct 11 11:02:28 2016 +0200

    macosx: Remove fscontroller assets
    
    Remove the old fullscreen controller assets and
    their references from the Makefile and Xcode
    project.

commit 3da0d0c2185e08486cd41eee2e6c36366d5a5606
Author: Marvin Scholz <epirat07@gmail.com>
